
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * Code and optional string to describe a location point.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirportInformationType">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="ns:ResponseLocationType">
 *       &lt;xs:attribute type="xs:string" use="optional" name="TerminalID"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirportInformationType implements Serializable
{
    private ResponseLocationType responseLocationType;
    private String terminalID;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public ResponseLocationType getResponseLocationType() {
        return responseLocationType;
    }

    /** 
     * Set the extension value.
     * 
     * @param responseLocationType
     */
    public void setResponseLocationType(
            ResponseLocationType responseLocationType) {
        this.responseLocationType = responseLocationType;
    }

    /** 
     * Get the 'TerminalID' attribute value. Location terminal identifier.
     * 
     * @return value
     */
    public String getTerminalID() {
        return terminalID;
    }

    /** 
     * Set the 'TerminalID' attribute value. Location terminal identifier.
     * 
     * @param terminalID
     */
    public void setTerminalID(String terminalID) {
        this.terminalID = terminalID;
    }
}
