
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * IntelliSell Type . lowest fare for alternate departure / return date times.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AlternateDateLowestFaresType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="DepartureDateTime"/>
 *     &lt;xs:element type="xs:string" name="ReturnlDateTime"/>
 *     &lt;xs:element type="ns:CurrencyAmountType" name="LowestFare"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AlternateDateLowestFaresType implements Serializable
{
    private String departureDateTime;
    private String returnlDateTime;
    private CurrencyAmountType lowestFare;

    /** 
     * Get the 'DepartureDateTime' element value.
     * 
     * @return value
     */
    public String getDepartureDateTime() {
        return departureDateTime;
    }

    /** 
     * Set the 'DepartureDateTime' element value.
     * 
     * @param departureDateTime
     */
    public void setDepartureDateTime(String departureDateTime) {
        this.departureDateTime = departureDateTime;
    }

    /** 
     * Get the 'ReturnlDateTime' element value.
     * 
     * @return value
     */
    public String getReturnlDateTime() {
        return returnlDateTime;
    }

    /** 
     * Set the 'ReturnlDateTime' element value.
     * 
     * @param returnlDateTime
     */
    public void setReturnlDateTime(String returnlDateTime) {
        this.returnlDateTime = returnlDateTime;
    }

    /** 
     * Get the 'LowestFare' element value.
     * 
     * @return value
     */
    public CurrencyAmountType getLowestFare() {
        return lowestFare;
    }

    /** 
     * Set the 'LowestFare' element value.
     * 
     * @param lowestFare
     */
    public void setLowestFare(CurrencyAmountType lowestFare) {
        this.lowestFare = lowestFare;
    }
}
