
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * IntelliSell Type . lowest fare for alternate origin / destination pair.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AlternateLocationLowestFaresType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ResponseLocationType" name="OriginLocation"/>
 *     &lt;xs:element type="ns:ResponseLocationType" name="DestinationLocation"/>
 *     &lt;xs:element type="ns:CurrencyAmountType" name="LowestFare"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AlternateLocationLowestFaresType implements Serializable
{
    private ResponseLocationType originLocation;
    private ResponseLocationType destinationLocation;
    private CurrencyAmountType lowestFare;

    /** 
     * Get the 'OriginLocation' element value.
     * 
     * @return value
     */
    public ResponseLocationType getOriginLocation() {
        return originLocation;
    }

    /** 
     * Set the 'OriginLocation' element value.
     * 
     * @param originLocation
     */
    public void setOriginLocation(ResponseLocationType originLocation) {
        this.originLocation = originLocation;
    }

    /** 
     * Get the 'DestinationLocation' element value.
     * 
     * @return value
     */
    public ResponseLocationType getDestinationLocation() {
        return destinationLocation;
    }

    /** 
     * Set the 'DestinationLocation' element value.
     * 
     * @param destinationLocation
     */
    public void setDestinationLocation(ResponseLocationType destinationLocation) {
        this.destinationLocation = destinationLocation;
    }

    /** 
     * Get the 'LowestFare' element value.
     * 
     * @return value
     */
    public CurrencyAmountType getLowestFare() {
        return lowestFare;
    }

    /** 
     * Set the 'LowestFare' element value.
     * 
     * @param lowestFare
     */
    public void setLowestFare(CurrencyAmountType lowestFare) {
        this.lowestFare = lowestFare;
    }
}
