
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * ATPCO Table 166 brand feature item
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BrandFeatureType">
 *   &lt;xs:attribute type="xs:int" use="required" name="Id"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="Application"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ServiceType"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ServiceGroup"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="SubCode"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="Vendor"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="CommercialName"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class BrandFeatureType implements Serializable
{
    private int id;
    private String application;
    private String serviceType;
    private String serviceGroup;
    private String subCode;
    private String vendor;
    private String commercialName;

    /** 
     * Get the 'Id' attribute value. Reference ID
     * 
     * @return value
     */
    public int getId() {
        return id;
    }

    /** 
     * Set the 'Id' attribute value. Reference ID
     * 
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /** 
     * Get the 'Application' attribute value.
     * 
     * @return value
     */
    public String getApplication() {
        return application;
    }

    /** 
     * Set the 'Application' attribute value.
     * 
     * @param application
     */
    public void setApplication(String application) {
        this.application = application;
    }

    /** 
     * Get the 'ServiceType' attribute value.
     * 
     * @return value
     */
    public String getServiceType() {
        return serviceType;
    }

    /** 
     * Set the 'ServiceType' attribute value.
     * 
     * @param serviceType
     */
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    /** 
     * Get the 'ServiceGroup' attribute value.
     * 
     * @return value
     */
    public String getServiceGroup() {
        return serviceGroup;
    }

    /** 
     * Set the 'ServiceGroup' attribute value.
     * 
     * @param serviceGroup
     */
    public void setServiceGroup(String serviceGroup) {
        this.serviceGroup = serviceGroup;
    }

    /** 
     * Get the 'SubCode' attribute value.
     * 
     * @return value
     */
    public String getSubCode() {
        return subCode;
    }

    /** 
     * Set the 'SubCode' attribute value.
     * 
     * @param subCode
     */
    public void setSubCode(String subCode) {
        this.subCode = subCode;
    }

    /** 
     * Get the 'Vendor' attribute value.
     * 
     * @return value
     */
    public String getVendor() {
        return vendor;
    }

    /** 
     * Set the 'Vendor' attribute value.
     * 
     * @param vendor
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /** 
     * Get the 'CommercialName' attribute value.
     * 
     * @return value
     */
    public String getCommercialName() {
        return commercialName;
    }

    /** 
     * Set the 'CommercialName' attribute value.
     * 
     * @param commercialName
     */
    public void setCommercialName(String commercialName) {
        this.commercialName = commercialName;
    }
}
