
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * Controls advance purchase validation logic for repricing. Values 'T'/'F' can be used by AS, for TN the only valid option is 'N'.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BypassAdvancePurchaseType">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="T"/>
 *     &lt;xs:enumeration value="F"/>
 *     &lt;xs:enumeration value="N"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum BypassAdvancePurchaseType implements Serializable {
    T, F, N
}
