
package com.gridnine.sabre.bfm;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FareMessagesType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="Message" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class Message -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FareMessagesType implements Serializable
{
    private List<Message> messageList = new ArrayList<Message>();

    /** 
     * Get the list of 'Message' element items.
     * 
     * @return list
     */
    public List<Message> getMessageList() {
        return messageList;
    }

    /** 
     * Set the list of 'Message' element items.
     * 
     * @param list
     */
    public void setMessageList(List<Message> list) {
        messageList = list;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Message" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:string" name="AirlineCode"/>
     *     &lt;xs:attribute type="xs:string" name="Type"/>
     *     &lt;xs:attribute type="xs:short" name="FailCode"/>
     *     &lt;xs:attribute type="xs:string" name="Info"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Message implements Serializable
    {
        private String airlineCode;
        private String type;
        private Short failCode;
        private String info;

        /** 
         * Get the 'AirlineCode' attribute value.
         * 
         * @return value
         */
        public String getAirlineCode() {
            return airlineCode;
        }

        /** 
         * Set the 'AirlineCode' attribute value.
         * 
         * @param airlineCode
         */
        public void setAirlineCode(String airlineCode) {
            this.airlineCode = airlineCode;
        }

        /** 
         * Get the 'Type' attribute value.
         * 
         * @return value
         */
        public String getType() {
            return type;
        }

        /** 
         * Set the 'Type' attribute value.
         * 
         * @param type
         */
        public void setType(String type) {
            this.type = type;
        }

        /** 
         * Get the 'FailCode' attribute value.
         * 
         * @return value
         */
        public Short getFailCode() {
            return failCode;
        }

        /** 
         * Set the 'FailCode' attribute value.
         * 
         * @param failCode
         */
        public void setFailCode(Short failCode) {
            this.failCode = failCode;
        }

        /** 
         * Get the 'Info' attribute value. Message text
         * 
         * @return value
         */
        public String getInfo() {
            return info;
        }

        /** 
         * Set the 'Info' attribute value. Message text
         * 
         * @param info
         */
        public void setInfo(String info) {
            this.info = info;
        }
    }
}
