
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * Definies the available messaage class type
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MessageClassType">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="E"/>
 *     &lt;xs:enumeration value="W"/>
 *     &lt;xs:enumeration value="D"/>
 *     &lt;xs:enumeration value="I"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum MessageClassType implements Serializable {
    /** 
     * Error
     */
    E, /** 
        * Warrning
        */
    W, /** 
        * Diagnostic
        */
    D, /** 
        * Info
        */
    I
}
