
package com.gridnine.sabre.bfm;

import java.io.Serializable;

/** 
 * Defines geographical position.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PositionGroup">
 *   &lt;xs:attribute type="xs:string" use="optional" name="Latitude"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Longitude"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Altitude"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class PositionGroup implements Serializable
{
    private String latitude;
    private String longitude;
    private String altitude;

    /** 
     * Get the 'Latitude' attribute value.
     * 
     * @return value
     */
    public String getLatitude() {
        return latitude;
    }

    /** 
     * Set the 'Latitude' attribute value.
     * 
     * @param latitude
     */
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    /** 
     * Get the 'Longitude' attribute value.
     * 
     * @return value
     */
    public String getLongitude() {
        return longitude;
    }

    /** 
     * Set the 'Longitude' attribute value.
     * 
     * @param longitude
     */
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    /** 
     * Get the 'Altitude' attribute value.
     * 
     * @return value
     */
    public String getAltitude() {
        return altitude;
    }

    /** 
     * Set the 'Altitude' attribute value.
     * 
     * @param altitude
     */
    public void setAltitude(String altitude) {
        this.altitude = altitude;
    }
}
