
package com.gridnine.sabre.bfm;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ValidatingCarrierType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="Preference" minOccurs="0" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class Preference -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="Code"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ValidatingCarrierType implements Serializable
{
    private List<Preference> preferenceList = new ArrayList<Preference>();
    private String code;

    /** 
     * Get the list of 'Preference' element items.
     * 
     * @return list
     */
    public List<Preference> getPreferenceList() {
        return preferenceList;
    }

    /** 
     * Set the list of 'Preference' element items.
     * 
     * @param list
     */
    public void setPreferenceList(List<Preference> list) {
        preferenceList = list;
    }

    /** 
     * Get the 'Code' attribute value. Validating Carrier code
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'Code' attribute value. Validating Carrier code
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Preference" minOccurs="0" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:string" use="required" name="Code"/>
     *     &lt;xs:attribute type="ns:IncludeExcludePreferLevelType" use="required" name="Level"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Preference implements Serializable
    {
        private String code;
        private IncludeExcludePreferLevelType level;

        /** 
         * Get the 'Code' attribute value.
         * 
         * @return value
         */
        public String getCode() {
            return code;
        }

        /** 
         * Set the 'Code' attribute value.
         * 
         * @param code
         */
        public void setCode(String code) {
            this.code = code;
        }

        /** 
         * Get the 'Level' attribute value.
         * 
         * @return value
         */
        public IncludeExcludePreferLevelType getLevel() {
            return level;
        }

        /** 
         * Set the 'Level' attribute value.
         * 
         * @param level
         */
        public void setLevel(IncludeExcludePreferLevelType level) {
            this.level = level;
        }
    }
}
