
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Access mode for Profile elements described in Metadata: 
 RW - Readable/Writeable, RO - Read Only, NA - Not Available

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AccessibilityType">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="RW"/>
 *     &lt;xs:enumeration value="RO"/>
 *     &lt;xs:enumeration value="NA"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum AccessibilityType implements Serializable {
    RW, RO, NA
}
