
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Limited to schema subtrees that are at the level of Profile/Customer/xxxxx like PaymentForm or TPA_ProfileExtensions/xxxx like BusinessTraveler NOTE: PersonName cannot be deleted.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AddSubtreeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:PartialUpdateProfileType" name="NewSubtree"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="ns:PartialChildDataType" use="required" name="child"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AddSubtreeType implements Serializable
{
    private PartialUpdateProfileType newSubtree;
    private PartialChildDataType child;

    /** 
     * Get the 'NewSubtree' element value. Requires as much data as the view of the client has
     * 
     * @return value
     */
    public PartialUpdateProfileType getNewSubtree() {
        return newSubtree;
    }

    /** 
     * Set the 'NewSubtree' element value. Requires as much data as the view of the client has
     * 
     * @param newSubtree
     */
    public void setNewSubtree(PartialUpdateProfileType newSubtree) {
        this.newSubtree = newSubtree;
    }

    /** 
     * Get the 'child' attribute value.
     * 
     * @return value
     */
    public PartialChildDataType getChild() {
        return child;
    }

    /** 
     * Set the 'child' attribute value.
     * 
     * @param child
     */
    public void setChild(PartialChildDataType child) {
        this.child = child;
    }
}
