
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Root element for profile content.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DupChkRSProfileType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:TPAIdentityType" name="TPA_Identity"/>
 *     &lt;xs:element type="ns:DupChkRSTravelerProfileType" name="Traveler" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DupChkRSProfileType implements Serializable
{
    private TPAIdentityType TPAIdentity;
    private DupChkRSTravelerProfileType traveler;

    /** 
     * Get the 'TPA_Identity' element value. ***SABRE ADDED*** To hold Identity information of a profile
     * 
     * @return value
     */
    public TPAIdentityType getTPAIdentity() {
        return TPAIdentity;
    }

    /** 
     * Set the 'TPA_Identity' element value. ***SABRE ADDED*** To hold Identity information of a profile
     * 
     * @param TPAIdentity
     */
    public void setTPAIdentity(TPAIdentityType TPAIdentity) {
        this.TPAIdentity = TPAIdentity;
    }

    /** 
     * Get the 'Traveler' element value. ***SABRE ADDED*** To hold Traveler Profile Information
     * 
     * @return value
     */
    public DupChkRSTravelerProfileType getTraveler() {
        return traveler;
    }

    /** 
     * Set the 'Traveler' element value. ***SABRE ADDED*** To hold Traveler Profile Information
     * 
     * @param traveler
     */
    public void setTraveler(DupChkRSTravelerProfileType traveler) {
        this.traveler = traveler;
    }
}
