
package com.sabre.eps.schemas;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * A collection of errors that occurred during the processing of a message.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ErrorsType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ErrorMessageType" name="ErrorMessage" maxOccurs="100"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ErrorsType implements Serializable
{
    private List<ErrorMessageType> errorMessageList = new ArrayList<ErrorMessageType>();

    /** 
     * Get the list of 'ErrorMessage' element items.
     * 
     * @return list
     */
    public List<ErrorMessageType> getErrorMessageList() {
        return errorMessageList;
    }

    /** 
     * Set the list of 'ErrorMessage' element items.
     * 
     * @param list
     */
    public void setErrorMessageList(List<ErrorMessageType> list) {
        errorMessageList = list;
    }
}
