
package com.sabre.eps.schemas;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Data for group profiles
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="GroupProfileType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:GroupInfoType" name="GroupInfo" minOccurs="0"/>
 *     &lt;xs:element type="ns:ContactNameType" name="ContactName" minOccurs="0" maxOccurs="50"/>
 *     &lt;xs:element type="ns:AddressType" name="Address" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:TelephoneType" name="Telephone" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:EmailType" name="Email" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:PaymentFormType" name="PaymentForm" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:ContactType" name="EmergencyContactPerson" minOccurs="0" maxOccurs="10"/>
 *     &lt;xs:element type="ns:PriorityRemarksType" name="PriorityRemarks" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:RemarkType" name="Remark" minOccurs="0" maxOccurs="1000"/>
 *     &lt;xs:element type="ns:GDSType" name="GDS" minOccurs="0" maxOccurs="5"/>
 *     &lt;xs:element type="ns:CustomerReferenceInfoType" name="CustomerReferenceInfo" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:SSRType" name="SSR" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:OSIType" name="OSI" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:BusinessSystemIdentityInfoType" name="BusinessSystemIdentityInfo" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:AssociatedProfilesType" name="AssociatedProfiles" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:AssociatedFiltersType" name="AssociatedFilters" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:AssociatedTemplateType" name="AssociatedTemplate" minOccurs="0" maxOccurs="25"/>
 *     &lt;xs:element type="ns:AssociatedFormatsType" name="AssociatedFormats" minOccurs="0" maxOccurs="500"/>
 *     &lt;xs:element type="ns:DiscountsType" name="Discounts" minOccurs="0" maxOccurs="200"/>
 *     &lt;xs:element type="ns:CustomDefinedDataType" name="CustomDefinedData" minOccurs="0" maxOccurs="500"/>
 *     &lt;xs:element type="ns:PrefCollectionsType" name="PrefCollections" minOccurs="0"/>
 *     &lt;xs:element type="ns:TravelPolicyType" name="TravelPolicy" minOccurs="0"/>
 *     &lt;xs:element type="ns:BrandingType" name="Branding" minOccurs="0" maxOccurs="10"/>
 *     &lt;xs:element type="ns:STARDataType" name="STARData" minOccurs="0" maxOccurs="1000"/>
 *     &lt;xs:element type="ns:BusinessTravelerSettingType" name="BusinessTravelerSetting" minOccurs="0" maxOccurs="6"/>
 *     &lt;xs:element type="ns:EmploymentInfoType" name="EmploymentInfo" minOccurs="0" maxOccurs="50"/>
 *     &lt;xs:element type="ns:NumberOfAssocProfilesType" name="NumberOfAssocProfiles" minOccurs="0"/>
 *     &lt;xs:element type="ns:CustomDefinedValuesType" name="CustomDefinedValues" minOccurs="0" maxOccurs="500"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class GroupProfileType implements Serializable
{
    private GroupInfoType groupInfo;
    private List<ContactNameType> contactNameList = new ArrayList<ContactNameType>();
    private List<AddressType> addressList = new ArrayList<AddressType>();
    private List<TelephoneType> telephoneList = new ArrayList<TelephoneType>();
    private List<EmailType> emailList = new ArrayList<EmailType>();
    private List<PaymentFormType> paymentFormList = new ArrayList<PaymentFormType>();
    private List<ContactType> emergencyContactPersonList = new ArrayList<ContactType>();
    private List<PriorityRemarksType> priorityRemarkList = new ArrayList<PriorityRemarksType>();
    private List<RemarkType> remarkList = new ArrayList<RemarkType>();
    private List<GDSType> GDSList = new ArrayList<GDSType>();
    private List<CustomerReferenceInfoType> customerReferenceInfoList = new ArrayList<CustomerReferenceInfoType>();
    private List<SSRType> SSRList = new ArrayList<SSRType>();
    private List<OSIType> OSIList = new ArrayList<OSIType>();
    private List<BusinessSystemIdentityInfoType> businessSystemIdentityInfoList = new ArrayList<BusinessSystemIdentityInfoType>();
    private List<AssociatedProfilesType> associatedProfileList = new ArrayList<AssociatedProfilesType>();
    private List<AssociatedFiltersType> associatedFilterList = new ArrayList<AssociatedFiltersType>();
    private List<AssociatedTemplateType> associatedTemplateList = new ArrayList<AssociatedTemplateType>();
    private List<AssociatedFormatsType> associatedFormatList = new ArrayList<AssociatedFormatsType>();
    private List<DiscountsType> discountList = new ArrayList<DiscountsType>();
    private List<CustomDefinedDataType> customDefinedDataList = new ArrayList<CustomDefinedDataType>();
    private PrefCollectionsType prefCollections;
    private TravelPolicyType travelPolicy;
    private List<BrandingType> brandingList = new ArrayList<BrandingType>();
    private List<STARDataType> STARDataList = new ArrayList<STARDataType>();
    private List<BusinessTravelerSettingType> businessTravelerSettingList = new ArrayList<BusinessTravelerSettingType>();
    private List<EmploymentInfoType> employmentInfoList = new ArrayList<EmploymentInfoType>();
    private NumberOfAssocProfilesType numberOfAssocProfiles;
    private List<CustomDefinedValuesType> customDefinedValueList = new ArrayList<CustomDefinedValuesType>();

    /** 
     * Get the 'GroupInfo' element value. ***SABRE ADDED*** Group information
     * 
     * @return value
     */
    public GroupInfoType getGroupInfo() {
        return groupInfo;
    }

    /** 
     * Set the 'GroupInfo' element value. ***SABRE ADDED*** Group information
     * 
     * @param groupInfo
     */
    public void setGroupInfo(GroupInfoType groupInfo) {
        this.groupInfo = groupInfo;
    }

    /** 
     * Get the list of 'ContactName' element items. *** SABRE ADDED *** Group Contact Name data 
     * 
     * @return list
     */
    public List<ContactNameType> getContactNameList() {
        return contactNameList;
    }

    /** 
     * Set the list of 'ContactName' element items. *** SABRE ADDED *** Group Contact Name data 
     * 
     * @param list
     */
    public void setContactNameList(List<ContactNameType> list) {
        contactNameList = list;
    }

    /** 
     * Get the list of 'Address' element items. *** SABRE ADDED *** Group Address data 
     * 
     * @return list
     */
    public List<AddressType> getAddressList() {
        return addressList;
    }

    /** 
     * Set the list of 'Address' element items. *** SABRE ADDED *** Group Address data 
     * 
     * @param list
     */
    public void setAddressList(List<AddressType> list) {
        addressList = list;
    }

    /** 
     * Get the list of 'Telephone' element items. *** SABRE ADDED *** Group Phone data 
     * 
     * @return list
     */
    public List<TelephoneType> getTelephoneList() {
        return telephoneList;
    }

    /** 
     * Set the list of 'Telephone' element items. *** SABRE ADDED *** Group Phone data 
     * 
     * @param list
     */
    public void setTelephoneList(List<TelephoneType> list) {
        telephoneList = list;
    }

    /** 
     * Get the list of 'Email' element items. *** SABRE ADDED *** Group Email data 
     * 
     * @return list
     */
    public List<EmailType> getEmailList() {
        return emailList;
    }

    /** 
     * Set the list of 'Email' element items. *** SABRE ADDED *** Group Email data 
     * 
     * @param list
     */
    public void setEmailList(List<EmailType> list) {
        emailList = list;
    }

    /** 
     * Get the list of 'PaymentForm' element items. *** SABRE ADDED*** Payment Information 
     * 
     * @return list
     */
    public List<PaymentFormType> getPaymentFormList() {
        return paymentFormList;
    }

    /** 
     * Set the list of 'PaymentForm' element items. *** SABRE ADDED*** Payment Information 
     * 
     * @param list
     */
    public void setPaymentFormList(List<PaymentFormType> list) {
        paymentFormList = list;
    }

    /** 
     * Get the list of 'EmergencyContactPerson' element items. ***OTA Based *** Emergency Contact Person Information 
     * 
     * @return list
     */
    public List<ContactType> getEmergencyContactPersonList() {
        return emergencyContactPersonList;
    }

    /** 
     * Set the list of 'EmergencyContactPerson' element items. ***OTA Based *** Emergency Contact Person Information 
     * 
     * @param list
     */
    public void setEmergencyContactPersonList(List<ContactType> list) {
        emergencyContactPersonList = list;
    }

    /** 
     * Get the list of 'PriorityRemarks' element items. *** SABRE ADDED *** Priority Lines of a profile
     * 
     * @return list
     */
    public List<PriorityRemarksType> getPriorityRemarkList() {
        return priorityRemarkList;
    }

    /** 
     * Set the list of 'PriorityRemarks' element items. *** SABRE ADDED *** Priority Lines of a profile
     * 
     * @param list
     */
    public void setPriorityRemarkList(List<PriorityRemarksType> list) {
        priorityRemarkList = list;
    }

    /** 
     * Get the list of 'Remark' element items. *** SABRE ADDED *** Remarks of a profile
     * 
     * @return list
     */
    public List<RemarkType> getRemarkList() {
        return remarkList;
    }

    /** 
     * Set the list of 'Remark' element items. *** SABRE ADDED *** Remarks of a profile
     * 
     * @param list
     */
    public void setRemarkList(List<RemarkType> list) {
        remarkList = list;
    }

    /** 
     * Get the list of 'GDS' element items. ***SABRE ADDED*** GDS Information associated with a Group
     * 
     * @return list
     */
    public List<GDSType> getGDSList() {
        return GDSList;
    }

    /** 
     * Set the list of 'GDS' element items. ***SABRE ADDED*** GDS Information associated with a Group
     * 
     * @param list
     */
    public void setGDSList(List<GDSType> list) {
        GDSList = list;
    }

    /** 
     * Get the list of 'CustomerReferenceInfo' element items. *** SABRE ADDED *** Third party system Reference IDs for a profile
     * 
     * @return list
     */
    public List<CustomerReferenceInfoType> getCustomerReferenceInfoList() {
        return customerReferenceInfoList;
    }

    /** 
     * Set the list of 'CustomerReferenceInfo' element items. *** SABRE ADDED *** Third party system Reference IDs for a profile
     * 
     * @param list
     */
    public void setCustomerReferenceInfoList(
            List<CustomerReferenceInfoType> list) {
        customerReferenceInfoList = list;
    }

    /** 
     * Get the list of 'SSR' element items. *** SABRE ADDED *** Special service requets for a profile
     * 
     * @return list
     */
    public List<SSRType> getSSRList() {
        return SSRList;
    }

    /** 
     * Set the list of 'SSR' element items. *** SABRE ADDED *** Special service requets for a profile
     * 
     * @param list
     */
    public void setSSRList(List<SSRType> list) {
        SSRList = list;
    }

    /** 
     * Get the list of 'OSI' element items. *** SABRE ADDED *** Other Service Info for a profile
     * 
     * @return list
     */
    public List<OSIType> getOSIList() {
        return OSIList;
    }

    /** 
     * Set the list of 'OSI' element items. *** SABRE ADDED *** Other Service Info for a profile
     * 
     * @param list
     */
    public void setOSIList(List<OSIType> list) {
        OSIList = list;
    }

    /** 
     * Get the list of 'BusinessSystemIdentityInfo' element items. *** SABRE ADDED *** Group BackOffice System Information data 
     * 
     * @return list
     */
    public List<BusinessSystemIdentityInfoType> getBusinessSystemIdentityInfoList() {
        return businessSystemIdentityInfoList;
    }

    /** 
     * Set the list of 'BusinessSystemIdentityInfo' element items. *** SABRE ADDED *** Group BackOffice System Information data 
     * 
     * @param list
     */
    public void setBusinessSystemIdentityInfoList(
            List<BusinessSystemIdentityInfoType> list) {
        businessSystemIdentityInfoList = list;
    }

    /** 
     * Get the list of 'AssociatedProfiles' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area) Associated profiles
     * 
     * @return list
     */
    public List<AssociatedProfilesType> getAssociatedProfileList() {
        return associatedProfileList;
    }

    /** 
     * Set the list of 'AssociatedProfiles' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area) Associated profiles
     * 
     * @param list
     */
    public void setAssociatedProfileList(List<AssociatedProfilesType> list) {
        associatedProfileList = list;
    }

    /** 
     * Get the list of 'AssociatedFilters' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area)  Filters Associated to a  profile
     * 
     * @return list
     */
    public List<AssociatedFiltersType> getAssociatedFilterList() {
        return associatedFilterList;
    }

    /** 
     * Set the list of 'AssociatedFilters' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area)  Filters Associated to a  profile
     * 
     * @param list
     */
    public void setAssociatedFilterList(List<AssociatedFiltersType> list) {
        associatedFilterList = list;
    }

    /** 
     * Get the list of 'AssociatedTemplate' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area) Template Associated to a  profile
     * 
     * @return list
     */
    public List<AssociatedTemplateType> getAssociatedTemplateList() {
        return associatedTemplateList;
    }

    /** 
     * Set the list of 'AssociatedTemplate' element items. *** SABRE ADDED *** (For Profiles Only --Templates/Filters should not use this Subject area) Template Associated to a  profile
     * 
     * @param list
     */
    public void setAssociatedTemplateList(List<AssociatedTemplateType> list) {
        associatedTemplateList = list;
    }

    /** 
     * Get the list of 'AssociatedFormats' element items. *** SABRE ADDED *** Information about Formats associated with a template 
     * 
     * @return list
     */
    public List<AssociatedFormatsType> getAssociatedFormatList() {
        return associatedFormatList;
    }

    /** 
     * Set the list of 'AssociatedFormats' element items. *** SABRE ADDED *** Information about Formats associated with a template 
     * 
     * @param list
     */
    public void setAssociatedFormatList(List<AssociatedFormatsType> list) {
        associatedFormatList = list;
    }

    /** 
     * Get the list of 'Discounts' element items. *** SABRE ADDED *** Discount Associated to a  profile
     * 
     * @return list
     */
    public List<DiscountsType> getDiscountList() {
        return discountList;
    }

    /** 
     * Set the list of 'Discounts' element items. *** SABRE ADDED *** Discount Associated to a  profile
     * 
     * @param list
     */
    public void setDiscountList(List<DiscountsType> list) {
        discountList = list;
    }

    /** 
     * Get the list of 'CustomDefinedData' element items. *** SABRE ADDED *** Customer Defined Data
     * 
     * @return list
     */
    public List<CustomDefinedDataType> getCustomDefinedDataList() {
        return customDefinedDataList;
    }

    /** 
     * Set the list of 'CustomDefinedData' element items. *** SABRE ADDED *** Customer Defined Data
     * 
     * @param list
     */
    public void setCustomDefinedDataList(List<CustomDefinedDataType> list) {
        customDefinedDataList = list;
    }

    /** 
     * Get the 'PrefCollections' element value. ***OTA Based*** Preferences of a Profile 
     * 
     * @return value
     */
    public PrefCollectionsType getPrefCollections() {
        return prefCollections;
    }

    /** 
     * Set the 'PrefCollections' element value. ***OTA Based*** Preferences of a Profile 
     * 
     * @param prefCollections
     */
    public void setPrefCollections(PrefCollectionsType prefCollections) {
        this.prefCollections = prefCollections;
    }

    /** 
     * Get the 'TravelPolicy' element value. *** SABRE ADDED *** Travel Policy Information 
     * 
     * @return value
     */
    public TravelPolicyType getTravelPolicy() {
        return travelPolicy;
    }

    /** 
     * Set the 'TravelPolicy' element value. *** SABRE ADDED *** Travel Policy Information 
     * 
     * @param travelPolicy
     */
    public void setTravelPolicy(TravelPolicyType travelPolicy) {
        this.travelPolicy = travelPolicy;
    }

    /** 
     * Get the list of 'Branding' element items. ***SABRE ADDED *** Branding Informaion
     * 
     * @return list
     */
    public List<BrandingType> getBrandingList() {
        return brandingList;
    }

    /** 
     * Set the list of 'Branding' element items. ***SABRE ADDED *** Branding Informaion
     * 
     * @param list
     */
    public void setBrandingList(List<BrandingType> list) {
        brandingList = list;
    }

    /** 
     * Get the list of 'STARData' element items. *** SABRE ADDED *** STAR Data that got migrated to PPP *** Please Note that this is Temporary only and will not be supported in PPP after 2012
     * 
     * @return list
     */
    public List<STARDataType> getSTARDataList() {
        return STARDataList;
    }

    /** 
     * Set the list of 'STARData' element items. *** SABRE ADDED *** STAR Data that got migrated to PPP *** Please Note that this is Temporary only and will not be supported in PPP after 2012
     * 
     * @param list
     */
    public void setSTARDataList(List<STARDataType> list) {
        STARDataList = list;
    }

    /** 
     * Get the list of 'BusinessTravelerSetting' element items. ***SABRE ADDED*** Business Traveler Settings associated to a Group
     * 
     * @return list
     */
    public List<BusinessTravelerSettingType> getBusinessTravelerSettingList() {
        return businessTravelerSettingList;
    }

    /** 
     * Set the list of 'BusinessTravelerSetting' element items. ***SABRE ADDED*** Business Traveler Settings associated to a Group
     * 
     * @param list
     */
    public void setBusinessTravelerSettingList(
            List<BusinessTravelerSettingType> list) {
        businessTravelerSettingList = list;
    }

    /** 
     * Get the list of 'EmploymentInfo' element items. *** Sabre Added *** EmploymentInfo elements and attributes, per Trading Partner Agreement (TPA)
     * 
     * @return list
     */
    public List<EmploymentInfoType> getEmploymentInfoList() {
        return employmentInfoList;
    }

    /** 
     * Set the list of 'EmploymentInfo' element items. *** Sabre Added *** EmploymentInfo elements and attributes, per Trading Partner Agreement (TPA)
     * 
     * @param list
     */
    public void setEmploymentInfoList(List<EmploymentInfoType> list) {
        employmentInfoList = list;
    }

    /** 
     * Get the 'NumberOfAssocProfiles' element value. *** SABRE ADDED *** Number of profiles associated to and from this profile
     * 
     * @return value
     */
    public NumberOfAssocProfilesType getNumberOfAssocProfiles() {
        return numberOfAssocProfiles;
    }

    /** 
     * Set the 'NumberOfAssocProfiles' element value. *** SABRE ADDED *** Number of profiles associated to and from this profile
     * 
     * @param numberOfAssocProfiles
     */
    public void setNumberOfAssocProfiles(
            NumberOfAssocProfilesType numberOfAssocProfiles) {
        this.numberOfAssocProfiles = numberOfAssocProfiles;
    }

    /** 
     * Get the list of 'CustomDefinedValues' element items. *** SABRE ADDED *** Customer Defined Values can store any name/value pairs that can represent any customer data. There are no restrictions on the content of Name or Value. Name element can be stored without Value.
     * 
     * @return list
     */
    public List<CustomDefinedValuesType> getCustomDefinedValueList() {
        return customDefinedValueList;
    }

    /** 
     * Set the list of 'CustomDefinedValues' element items. *** SABRE ADDED *** Customer Defined Values can store any name/value pairs that can represent any customer data. There are no restrictions on the content of Name or Value. Name element can be stored without Value.
     * 
     * @param list
     */
    public void setCustomDefinedValueList(List<CustomDefinedValuesType> list) {
        customDefinedValueList = list;
    }
}
