
package com.sabre.eps.schemas;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 *  Traveler Profile Change Info
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="HistoryTravelerProfileType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:HistoryTravelerChangeType" name="TravelerChangeHistory" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class HistoryTravelerProfileType implements Serializable
{
    private List<HistoryTravelerChangeType> travelerChangeHistoryList = new ArrayList<HistoryTravelerChangeType>();

    /** 
     * Get the list of 'TravelerChangeHistory' element items. Traveler Change History for every Profile Update/Delete
     * 
     * @return list
     */
    public List<HistoryTravelerChangeType> getTravelerChangeHistoryList() {
        return travelerChangeHistoryList;
    }

    /** 
     * Set the list of 'TravelerChangeHistory' element items. Traveler Change History for every Profile Update/Delete
     * 
     * @param list
     */
    public void setTravelerChangeHistoryList(
            List<HistoryTravelerChangeType> list) {
        travelerChangeHistoryList = list;
    }
}
