
package com.sabre.eps.schemas;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PartialTravelerElementMatchDataListType">
 *   &lt;xs:attribute type="xs:date" use="optional" name="BirthDate"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="MaritalStatus"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Gender"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="AgeRange"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfileName"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="DomainID"/>
 *   &lt;xs:attribute type="ns:StatusType" use="optional" name="ProfileStatus"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="LoginID"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Password"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfileDescription"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfilePurgeNoDays"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfileSubTypeCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="CitizenCountryCode"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PartialTravelerElementMatchDataListType implements Serializable
{
    private Date birthDate;
    private String maritalStatus;
    private String gender;
    private String ageRange;
    private String profileName;
    private String domainID;
    private StatusType profileStatus;
    private String loginID;
    private String password;
    private String profileDescription;
    private String profilePurgeNoDays;
    private String profileSubTypeCode;
    private String citizenCountryCode;

    /** 
     * Get the 'BirthDate' attribute value.
     * 
     * @return value
     */
    public Date getBirthDate() {
        return birthDate;
    }

    /** 
     * Set the 'BirthDate' attribute value.
     * 
     * @param birthDate
     */
    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    /** 
     * Get the 'MaritalStatus' attribute value.
     * 
     * @return value
     */
    public String getMaritalStatus() {
        return maritalStatus;
    }

    /** 
     * Set the 'MaritalStatus' attribute value.
     * 
     * @param maritalStatus
     */
    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    /** 
     * Get the 'Gender' attribute value.
     * 
     * @return value
     */
    public String getGender() {
        return gender;
    }

    /** 
     * Set the 'Gender' attribute value.
     * 
     * @param gender
     */
    public void setGender(String gender) {
        this.gender = gender;
    }

    /** 
     * Get the 'AgeRange' attribute value.
     * 
     * @return value
     */
    public String getAgeRange() {
        return ageRange;
    }

    /** 
     * Set the 'AgeRange' attribute value.
     * 
     * @param ageRange
     */
    public void setAgeRange(String ageRange) {
        this.ageRange = ageRange;
    }

    /** 
     * Get the 'ProfileName' attribute value.
     * 
     * @return value
     */
    public String getProfileName() {
        return profileName;
    }

    /** 
     * Set the 'ProfileName' attribute value.
     * 
     * @param profileName
     */
    public void setProfileName(String profileName) {
        this.profileName = profileName;
    }

    /** 
     * Get the 'DomainID' attribute value. *** DEPRECATED *** DomainID cannot be empty. It also cannot be updated: a profile can be moved to other domain using Sabre_OTA_ProfileDataMgmtRQ/MoveDomainObject.
     * 
     * @return value
     */
    public String getDomainID() {
        return domainID;
    }

    /** 
     * Set the 'DomainID' attribute value. *** DEPRECATED *** DomainID cannot be empty. It also cannot be updated: a profile can be moved to other domain using Sabre_OTA_ProfileDataMgmtRQ/MoveDomainObject.
     * 
     * @param domainID
     */
    public void setDomainID(String domainID) {
        this.domainID = domainID;
    }

    /** 
     * Get the 'ProfileStatus' attribute value. ProfileStatus is DEPRECATED in Delete and Add operaions but USED in Modify operation
     * 
     * @return value
     */
    public StatusType getProfileStatus() {
        return profileStatus;
    }

    /** 
     * Set the 'ProfileStatus' attribute value. ProfileStatus is DEPRECATED in Delete and Add operaions but USED in Modify operation
     * 
     * @param profileStatus
     */
    public void setProfileStatus(StatusType profileStatus) {
        this.profileStatus = profileStatus;
    }

    /** 
     * Get the 'LoginID' attribute value.
     * 
     * @return value
     */
    public String getLoginID() {
        return loginID;
    }

    /** 
     * Set the 'LoginID' attribute value.
     * 
     * @param loginID
     */
    public void setLoginID(String loginID) {
        this.loginID = loginID;
    }

    /** 
     * Get the 'Password' attribute value.
     * 
     * @return value
     */
    public String getPassword() {
        return password;
    }

    /** 
     * Set the 'Password' attribute value.
     * 
     * @param password
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /** 
     * Get the 'ProfileDescription' attribute value.
     * 
     * @return value
     */
    public String getProfileDescription() {
        return profileDescription;
    }

    /** 
     * Set the 'ProfileDescription' attribute value.
     * 
     * @param profileDescription
     */
    public void setProfileDescription(String profileDescription) {
        this.profileDescription = profileDescription;
    }

    /** 
     * Get the 'ProfilePurgeNoDays' attribute value. Number of days after which the profile should be purged
     * 
     * @return value
     */
    public String getProfilePurgeNoDays() {
        return profilePurgeNoDays;
    }

    /** 
     * Set the 'ProfilePurgeNoDays' attribute value. Number of days after which the profile should be purged
     * 
     * @param profilePurgeNoDays
     */
    public void setProfilePurgeNoDays(String profilePurgeNoDays) {
        this.profilePurgeNoDays = profilePurgeNoDays;
    }

    /** 
     * Get the 'ProfileSubTypeCode' attribute value.
     * 
     * @return value
     */
    public String getProfileSubTypeCode() {
        return profileSubTypeCode;
    }

    /** 
     * Set the 'ProfileSubTypeCode' attribute value.
     * 
     * @param profileSubTypeCode
     */
    public void setProfileSubTypeCode(String profileSubTypeCode) {
        this.profileSubTypeCode = profileSubTypeCode;
    }

    /** 
     * Get the 'CitizenCountryCode' attribute value.
     * 
     * @return value
     */
    public String getCitizenCountryCode() {
        return citizenCountryCode;
    }

    /** 
     * Set the 'CitizenCountryCode' attribute value.
     * 
     * @param citizenCountryCode
     */
    public void setCitizenCountryCode(String citizenCountryCode) {
        this.citizenCountryCode = citizenCountryCode;
    }
}
