
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Profiles Associated to a Profile
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SearchRSAssociatedProfilesType">
 *   &lt;xs:attribute type="xs:string" use="required" name="AssocUniqueID"/>
 *   &lt;xs:attribute type="ns:ProfileTypeInfo" use="required" name="AssocProfileTypeCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="AssocProfileName"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="AssocProfileDescription"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="DisplaySequenceNo"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="OrderSequenceNo"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="DomainID"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ClientCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ClientContextCode"/>
 *   &lt;xs:attribute type="ns:YesNoType" use="optional" default="N" name="TemplateInheritInd"/>
 *   &lt;xs:attribute type="ns:YesNoType" use="optional" name="AssocFiltersInd"/>
 *   &lt;xs:attribute type="ns:YesNoType" use="optional" name="CreditBankIndicator"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfileRelationTypeCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ProfileRelationStatusCode"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SearchRSAssociatedProfilesType implements Serializable
{
    private String assocUniqueID;
    private ProfileTypeInfo assocProfileTypeCode;
    private String assocProfileName;
    private String assocProfileDescription;
    private String displaySequenceNo;
    private String orderSequenceNo;
    private String domainID;
    private String clientCode;
    private String clientContextCode;
    private YesNoType templateInheritInd;
    private YesNoType assocFiltersInd;
    private YesNoType creditBankIndicator;
    private String profileRelationTypeCode;
    private String profileRelationStatusCode;

    /** 
     * Get the 'AssocUniqueID' attribute value. *** SABRE ADDED *** Associate profileID
     * 
     * @return value
     */
    public String getAssocUniqueID() {
        return assocUniqueID;
    }

    /** 
     * Set the 'AssocUniqueID' attribute value. *** SABRE ADDED *** Associate profileID
     * 
     * @param assocUniqueID
     */
    public void setAssocUniqueID(String assocUniqueID) {
        this.assocUniqueID = assocUniqueID;
    }

    /** 
     * Get the 'AssocProfileTypeCode' attribute value. *** SABRE ADDED *** Associated Profile Type
     * 
     * @return value
     */
    public ProfileTypeInfo getAssocProfileTypeCode() {
        return assocProfileTypeCode;
    }

    /** 
     * Set the 'AssocProfileTypeCode' attribute value. *** SABRE ADDED *** Associated Profile Type
     * 
     * @param assocProfileTypeCode
     */
    public void setAssocProfileTypeCode(ProfileTypeInfo assocProfileTypeCode) {
        this.assocProfileTypeCode = assocProfileTypeCode;
    }

    /** 
     * Get the 'AssocProfileName' attribute value.
     * 
     * @return value
     */
    public String getAssocProfileName() {
        return assocProfileName;
    }

    /** 
     * Set the 'AssocProfileName' attribute value.
     * 
     * @param assocProfileName
     */
    public void setAssocProfileName(String assocProfileName) {
        this.assocProfileName = assocProfileName;
    }

    /** 
     * Get the 'AssocProfileDescription' attribute value. Description of a profile if needed 
     * 
     * @return value
     */
    public String getAssocProfileDescription() {
        return assocProfileDescription;
    }

    /** 
     * Set the 'AssocProfileDescription' attribute value. Description of a profile if needed 
     * 
     * @param assocProfileDescription
     */
    public void setAssocProfileDescription(String assocProfileDescription) {
        this.assocProfileDescription = assocProfileDescription;
    }

    /** 
     * Get the 'DisplaySequenceNo' attribute value. Defines sorting order for collection elements, numbers have to be unique within collection
     * 
     * @return value
     */
    public String getDisplaySequenceNo() {
        return displaySequenceNo;
    }

    /** 
     * Set the 'DisplaySequenceNo' attribute value. Defines sorting order for collection elements, numbers have to be unique within collection
     * 
     * @param displaySequenceNo
     */
    public void setDisplaySequenceNo(String displaySequenceNo) {
        this.displaySequenceNo = displaySequenceNo;
    }

    /** 
     * Get the 'OrderSequenceNo' attribute value.
     * 
     * @return value
     */
    public String getOrderSequenceNo() {
        return orderSequenceNo;
    }

    /** 
     * Set the 'OrderSequenceNo' attribute value.
     * 
     * @param orderSequenceNo
     */
    public void setOrderSequenceNo(String orderSequenceNo) {
        this.orderSequenceNo = orderSequenceNo;
    }

    /** 
     * Get the 'DomainID' attribute value.
     * 
     * @return value
     */
    public String getDomainID() {
        return domainID;
    }

    /** 
     * Set the 'DomainID' attribute value.
     * 
     * @param domainID
     */
    public void setDomainID(String domainID) {
        this.domainID = domainID;
    }

    /** 
     * Get the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @return value
     */
    public String getClientCode() {
        return clientCode;
    }

    /** 
     * Set the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @param clientCode
     */
    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    /** 
     * Get the 'ClientContextCode' attribute value. CLientContextCode is the calling application code
    	
     * 
     * @return value
     */
    public String getClientContextCode() {
        return clientContextCode;
    }

    /** 
     * Set the 'ClientContextCode' attribute value. CLientContextCode is the calling application code
    	
     * 
     * @param clientContextCode
     */
    public void setClientContextCode(String clientContextCode) {
        this.clientContextCode = clientContextCode;
    }

    /** 
     * Get the 'TemplateInheritInd' attribute value. Indicates if this relation is inherited from a Template, Should be used only under Profile and not under Template and Filter.
    	
     * 
     * @return value
     */
    public YesNoType getTemplateInheritInd() {
        return templateInheritInd;
    }

    /** 
     * Set the 'TemplateInheritInd' attribute value. Indicates if this relation is inherited from a Template, Should be used only under Profile and not under Template and Filter.
    	
     * 
     * @param templateInheritInd
     */
    public void setTemplateInheritInd(YesNoType templateInheritInd) {
        this.templateInheritInd = templateInheritInd;
    }

    /** 
     * Get the 'AssocFiltersInd' attribute value. Indicates If Profile has assiciated Filters
    	
     * 
     * @return value
     */
    public YesNoType getAssocFiltersInd() {
        return assocFiltersInd;
    }

    /** 
     * Set the 'AssocFiltersInd' attribute value. Indicates If Profile has assiciated Filters
    	
     * 
     * @param assocFiltersInd
     */
    public void setAssocFiltersInd(YesNoType assocFiltersInd) {
        this.assocFiltersInd = assocFiltersInd;
    }

    /** 
     * Get the 'CreditBankIndicator' attribute value. Indicates If Credit Bank is present
    	
     * 
     * @return value
     */
    public YesNoType getCreditBankIndicator() {
        return creditBankIndicator;
    }

    /** 
     * Set the 'CreditBankIndicator' attribute value. Indicates If Credit Bank is present
    	
     * 
     * @param creditBankIndicator
     */
    public void setCreditBankIndicator(YesNoType creditBankIndicator) {
        this.creditBankIndicator = creditBankIndicator;
    }

    /** 
     * Get the 'ProfileRelationTypeCode' attribute value. Indicates Type of relationship between profiles
    	
     * 
     * @return value
     */
    public String getProfileRelationTypeCode() {
        return profileRelationTypeCode;
    }

    /** 
     * Set the 'ProfileRelationTypeCode' attribute value. Indicates Type of relationship between profiles
    	
     * 
     * @param profileRelationTypeCode
     */
    public void setProfileRelationTypeCode(String profileRelationTypeCode) {
        this.profileRelationTypeCode = profileRelationTypeCode;
    }

    /** 
     * Get the 'ProfileRelationStatusCode' attribute value. Indicates Status of relationship between
    	
     * 
     * @return value
     */
    public String getProfileRelationStatusCode() {
        return profileRelationStatusCode;
    }

    /** 
     * Set the 'ProfileRelationStatusCode' attribute value. Indicates Status of relationship between
    	
     * 
     * @param profileRelationStatusCode
     */
    public void setProfileRelationStatusCode(String profileRelationStatusCode) {
        this.profileRelationStatusCode = profileRelationStatusCode;
    }
}
