
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * *** SABRE ADDED *** Response for Profile Search request
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SearchRSProfileInfoType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Message" minOccurs="0"/>
 *     &lt;xs:element type="ns:ProfileListElementType" name="ProfileList" minOccurs="0"/>
 *     &lt;xs:element type="ns:ProfileType" name="Profile" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SearchRSProfileInfoType implements Serializable
{
    private String message;
    private ProfileListElementType profileList;
    private ProfileType profile;

    /** 
     * Get the 'Message' element value. *** SABRE ADDED *** Search Specific Response Messages
     * 
     * @return value
     */
    public String getMessage() {
        return message;
    }

    /** 
     * Set the 'Message' element value. *** SABRE ADDED *** Search Specific Response Messages
     * 
     * @param message
     */
    public void setMessage(String message) {
        this.message = message;
    }

    /** 
     * Get the 'ProfileList' element value. *** SABRE ADDED *** List of Profiles Ids upto 250
     * 
     * @return value
     */
    public ProfileListElementType getProfileList() {
        return profileList;
    }

    /** 
     * Set the 'ProfileList' element value. *** SABRE ADDED *** List of Profiles Ids upto 250
     * 
     * @param profileList
     */
    public void setProfileList(ProfileListElementType profileList) {
        this.profileList = profileList;
    }

    /** 
     * Get the 'Profile' element value. *** SABRE ADDED *** Return Profile only if there is 1 profile that mathces the search criteria 
     * 
     * @return value
     */
    public ProfileType getProfile() {
        return profile;
    }

    /** 
     * Set the 'Profile' element value. *** SABRE ADDED *** Return Profile only if there is 1 profile that mathces the search criteria 
     * 
     * @param profile
     */
    public void setProfile(ProfileType profile) {
        this.profile = profile;
    }
}
