
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Used to retreive the status of moving domain
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StatusOfMoveDomainRQType">
 *   &lt;xs:attribute type="xs:string" use="required" name="OriginDomainID"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="DestinationDomainID"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ClientCode"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ClientContextCode"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="RequestTrackingID"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class StatusOfMoveDomainRQType implements Serializable
{
    private String originDomainID;
    private String destinationDomainID;
    private String clientCode;
    private String clientContextCode;
    private String requestTrackingID;

    /** 
     * Get the 'OriginDomainID' attribute value. DomainID from which data will be moved
     * 
     * @return value
     */
    public String getOriginDomainID() {
        return originDomainID;
    }

    /** 
     * Set the 'OriginDomainID' attribute value. DomainID from which data will be moved
     * 
     * @param originDomainID
     */
    public void setOriginDomainID(String originDomainID) {
        this.originDomainID = originDomainID;
    }

    /** 
     * Get the 'DestinationDomainID' attribute value. DomainID to which data will be moved. Should be different from origin
     * 
     * @return value
     */
    public String getDestinationDomainID() {
        return destinationDomainID;
    }

    /** 
     * Set the 'DestinationDomainID' attribute value. DomainID to which data will be moved. Should be different from origin
     * 
     * @param destinationDomainID
     */
    public void setDestinationDomainID(String destinationDomainID) {
        this.destinationDomainID = destinationDomainID;
    }

    /** 
     * Get the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @return value
     */
    public String getClientCode() {
        return clientCode;
    }

    /** 
     * Set the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @param clientCode
     */
    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    /** 
     * Get the 'ClientContextCode' attribute value. ClientContextCode is the calling application code
    	
     * 
     * @return value
     */
    public String getClientContextCode() {
        return clientContextCode;
    }

    /** 
     * Set the 'ClientContextCode' attribute value. ClientContextCode is the calling application code
    	
     * 
     * @param clientContextCode
     */
    public void setClientContextCode(String clientContextCode) {
        this.clientContextCode = clientContextCode;
    }

    /** 
     * Get the 'RequestTrackingID' attribute value. The RequestTrackingID of MoveDomain request
    	
     * 
     * @return value
     */
    public String getRequestTrackingID() {
        return requestTrackingID;
    }

    /** 
     * Set the 'RequestTrackingID' attribute value. The RequestTrackingID of MoveDomain request
    	
     * 
     * @param requestTrackingID
     */
    public void setRequestTrackingID(String requestTrackingID) {
        this.requestTrackingID = requestTrackingID;
    }
}
