
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Identity of a Template in database
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TemplateIdentityType">
 *   &lt;xs:attribute type="xs:string" use="required" name="TemplateID"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="TemplateName"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="DomainID"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ClientCode"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ClientContextCode"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TemplateIdentityType implements Serializable
{
    private String templateID;
    private String templateName;
    private String domainID;
    private String clientCode;
    private String clientContextCode;

    /** 
     * Get the 'TemplateID' attribute value. *** SABRE ADDED *** ID of the template in the database
     * 
     * @return value
     */
    public String getTemplateID() {
        return templateID;
    }

    /** 
     * Set the 'TemplateID' attribute value. *** SABRE ADDED *** ID of the template in the database
     * 
     * @param templateID
     */
    public void setTemplateID(String templateID) {
        this.templateID = templateID;
    }

    /** 
     * Get the 'TemplateName' attribute value. *** SABRE ADDED *** Name of the template 
     * 
     * @return value
     */
    public String getTemplateName() {
        return templateName;
    }

    /** 
     * Set the 'TemplateName' attribute value. *** SABRE ADDED *** Name of the template 
     * 
     * @param templateName
     */
    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    /** 
     * Get the 'DomainID' attribute value.
     * 
     * @return value
     */
    public String getDomainID() {
        return domainID;
    }

    /** 
     * Set the 'DomainID' attribute value.
     * 
     * @param domainID
     */
    public void setDomainID(String domainID) {
        this.domainID = domainID;
    }

    /** 
     * Get the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @return value
     */
    public String getClientCode() {
        return clientCode;
    }

    /** 
     * Set the 'ClientCode' attribute value. ClientCode indicated the code that is associated with the profile that is shared between calling applications
    	
     * 
     * @param clientCode
     */
    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    /** 
     * Get the 'ClientContextCode' attribute value. CLientContextCode is the calling application code
    	
     * 
     * @return value
     */
    public String getClientContextCode() {
        return clientContextCode;
    }

    /** 
     * Set the 'ClientContextCode' attribute value. CLientContextCode is the calling application code
    	
     * 
     * @param clientContextCode
     */
    public void setClientContextCode(String clientContextCode) {
        this.clientContextCode = clientContextCode;
    }
}
