
package com.sabre.eps.schemas;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/eps/schemas" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelerProfileType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:CustomerType" name="Customer" minOccurs="0"/>
 *     &lt;xs:element type="ns:PrefCollectionsType" name="PrefCollections" minOccurs="0">
 *       &lt;xs:unique name="loungePrefUniqueness">
 *         &lt;xs:selector xpath="./p3:LoungePref"/>
 *         &lt;xs:field xpath="@TripTypeCode"/>
 *         &lt;xs:field xpath="@VendorTypeCode"/>
 *         &lt;xs:field xpath="@VendorCode"/>
 *       &lt;/xs:unique>
 *     &lt;/xs:element>
 *     &lt;xs:element type="ns:TPA_Extensions_Type" name="TPA_Extensions" minOccurs="0">
 *       &lt;xs:unique name="TravelerCustomDefinedValuesNameUniqueness">
 *         &lt;xs:selector xpath="./p3:CustomDefinedValues"/>
 *         &lt;xs:field xpath="@Name"/>
 *       &lt;/xs:unique>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TravelerProfileType implements Serializable
{
    private CustomerType customer;
    private PrefCollectionsType prefCollections;
    private TPAExtensionsType TPAExtensions;

    /** 
     * Get the 'Customer' element value. ***OTA Based *** Customer Information 
     * 
     * @return value
     */
    public CustomerType getCustomer() {
        return customer;
    }

    /** 
     * Set the 'Customer' element value. ***OTA Based *** Customer Information 
     * 
     * @param customer
     */
    public void setCustomer(CustomerType customer) {
        this.customer = customer;
    }

    /** 
     * Get the 'PrefCollections' element value. ***OTA Based*** Preferences of a Profile 
     * 
     * @return value
     */
    public PrefCollectionsType getPrefCollections() {
        return prefCollections;
    }

    /** 
     * Set the 'PrefCollections' element value. ***OTA Based*** Preferences of a Profile 
     * 
     * @param prefCollections
     */
    public void setPrefCollections(PrefCollectionsType prefCollections) {
        this.prefCollections = prefCollections;
    }

    /** 
     * Get the 'TPA_Extensions' element value. ***SABRE ADDED*** To hold additional profile elements 
     * 
     * @return value
     */
    public TPAExtensionsType getTPAExtensions() {
        return TPAExtensions;
    }

    /** 
     * Set the 'TPA_Extensions' element value. ***SABRE ADDED*** To hold additional profile elements 
     * 
     * @param TPAExtensions
     */
    public void setTPAExtensions(TPAExtensionsType TPAExtensions) {
        this.TPAExtensions = TPAExtensions;
    }
}
