
package com.sabre.ns.ticketing.pqs;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;

/** 
 * Amount
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/pqs/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CommissionAmount">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:decimal">
 *       &lt;xs:attribute type="xs:string" name="type"/>
 *       &lt;xs:attribute type="xs:string" name="currencyCode"/>
 *       &lt;xs:attribute type="xs:integer" name="decimalPlace"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CommissionAmount implements Serializable
{
    private BigDecimal decimal;
    private String type;
    private String currencyCode;
    private BigInteger decimalPlace;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public BigDecimal getDecimal() {
        return decimal;
    }

    /** 
     * Set the extension value.
     * 
     * @param decimal
     */
    public void setDecimal(BigDecimal decimal) {
        this.decimal = decimal;
    }

    /** 
     * Get the 'type' attribute value. if source='AMC', values can be any of the following: 'agencyManaged', 'earned'
    						if source='C35', values can be: 'markup' 
     * 
     * @return value
     */
    public String getType() {
        return type;
    }

    /** 
     * Set the 'type' attribute value. if source='AMC', values can be any of the following: 'agencyManaged', 'earned'
    						if source='C35', values can be: 'markup' 
     * 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    /** 
     * Get the 'decimalPlace' attribute value.
     * 
     * @return value
     */
    public BigInteger getDecimalPlace() {
        return decimalPlace;
    }

    /** 
     * Set the 'decimalPlace' attribute value.
     * 
     * @param decimalPlace
     */
    public void setDecimalPlace(BigInteger decimalPlace) {
        this.decimalPlace = decimalPlace;
    }
}
