
package com.sabre.ns.ticketing.pqs;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/pqs/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Fee.Tax">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Amount" name="Amount"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" use="required" name="code"/>
 *   &lt;xs:attribute type="xs:boolean" use="optional" name="paid"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FeeTax implements Serializable
{
    private Amount amount;
    private String code;
    private Boolean paid;

    /** 
     * Get the 'Amount' element value. Ref: DM0Z_C5_CAMT
     * 
     * @return value
     */
    public Amount getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' element value. Ref: DM0Z_C5_CAMT
     * 
     * @param amount
     */
    public void setAmount(Amount amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'code' attribute value. Tax box identifier
    				Ref: DM0Z_C5_TIDE
    			
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. Tax box identifier
    				Ref: DM0Z_C5_TIDE
    			
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'paid' attribute value. 
    				Ref: DM0Z_C5_IND1,#DM0Z_C5_PDT
    			
     * 
     * @return value
     */
    public Boolean getPaid() {
        return paid;
    }

    /** 
     * Set the 'paid' attribute value. 
    				Ref: DM0Z_C5_IND1,#DM0Z_C5_PDT
    			
     * 
     * @param paid
     */
    public void setPaid(Boolean paid) {
        this.paid = paid;
    }
}
