
package com.sabre.ns.ticketing.ttl;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * Free text and code provided by the application or system that detected the error. Contants may be anything the system detecting the error chooses to convey. Used by service consumers.  Codes and/or messages should be agreed upon by service users. Do not use for structured data, use parameters instead.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Header.ErrorMessage">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:string">
 *       &lt;xs:attribute type="xs:integer" name="code"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class HeaderErrorMessage implements Serializable
{
    private String string;
    private BigInteger code;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getString() {
        return string;
    }

    /** 
     * Set the extension value.
     * 
     * @param string
     */
    public void setString(String string) {
        this.string = string;
    }

    /** 
     * Get the 'code' attribute value.
     * 
     * @return value
     */
    public BigInteger getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value.
     * 
     * @param code
     */
    public void setCode(BigInteger code) {
        this.code = code;
    }
}
