
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.sql.Time;

/** 
 * Arrival/Departure Information
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ArrivalDepartureInformation">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:FlightInformation" name="ArrivalFlight" minOccurs="0"/>
 *     &lt;xs:element type="ns:FlightInformation" name="DepartureFlight" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:time" use="optional" name="ArrivalTime"/>
 *   &lt;xs:attribute type="xs:time" use="optional" name="DepartureTime"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ArrivalDepartureInformation implements Serializable
{
    private FlightInformation arrivalFlight;
    private FlightInformation departureFlight;
    private Time arrivalTime;
    private Time departureTime;

    /** 
     * Get the 'ArrivalFlight' element value.
     * 
     * @return value
     */
    public FlightInformation getArrivalFlight() {
        return arrivalFlight;
    }

    /** 
     * Set the 'ArrivalFlight' element value.
     * 
     * @param arrivalFlight
     */
    public void setArrivalFlight(FlightInformation arrivalFlight) {
        this.arrivalFlight = arrivalFlight;
    }

    /** 
     * Get the 'DepartureFlight' element value.
     * 
     * @return value
     */
    public FlightInformation getDepartureFlight() {
        return departureFlight;
    }

    /** 
     * Set the 'DepartureFlight' element value.
     * 
     * @param departureFlight
     */
    public void setDepartureFlight(FlightInformation departureFlight) {
        this.departureFlight = departureFlight;
    }

    /** 
     * Get the 'ArrivalTime' attribute value.
     * 
     * @return value
     */
    public Time getArrivalTime() {
        return arrivalTime;
    }

    /** 
     * Set the 'ArrivalTime' attribute value.
     * 
     * @param arrivalTime
     */
    public void setArrivalTime(Time arrivalTime) {
        this.arrivalTime = arrivalTime;
    }

    /** 
     * Get the 'DepartureTime' attribute value.
     * 
     * @return value
     */
    public Time getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' attribute value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(Time departureTime) {
        this.departureTime = departureTime;
    }
}
