
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * Description Of cancel Penalty
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CancelPenalty">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="Deadline" minOccurs="0">
 *       &lt;!-- Reference to inner class Deadline -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="AmountPercent" minOccurs="0">
 *       &lt;!-- Reference to inner class AmountPercent -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="PenaltyDescription" minOccurs="0">
 *       &lt;!-- Reference to inner class PenaltyDescription -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" use="optional" name="Refundable"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CancelPenalty implements Serializable
{
    private Deadline deadline;
    private AmountPercent amountPercent;
    private PenaltyDescription penaltyDescription;
    private Boolean refundable;

    /** 
     * Get the 'Deadline' element value.
     * 
     * @return value
     */
    public Deadline getDeadline() {
        return deadline;
    }

    /** 
     * Set the 'Deadline' element value.
     * 
     * @param deadline
     */
    public void setDeadline(Deadline deadline) {
        this.deadline = deadline;
    }

    /** 
     * Get the 'AmountPercent' element value.
     * 
     * @return value
     */
    public AmountPercent getAmountPercent() {
        return amountPercent;
    }

    /** 
     * Set the 'AmountPercent' element value.
     * 
     * @param amountPercent
     */
    public void setAmountPercent(AmountPercent amountPercent) {
        this.amountPercent = amountPercent;
    }

    /** 
     * Get the 'PenaltyDescription' element value.
     * 
     * @return value
     */
    public PenaltyDescription getPenaltyDescription() {
        return penaltyDescription;
    }

    /** 
     * Set the 'PenaltyDescription' element value.
     * 
     * @param penaltyDescription
     */
    public void setPenaltyDescription(PenaltyDescription penaltyDescription) {
        this.penaltyDescription = penaltyDescription;
    }

    /** 
     * Get the 'Refundable' attribute value.
     * 
     * @return value
     */
    public Boolean getRefundable() {
        return refundable;
    }

    /** 
     * Set the 'Refundable' attribute value.
     * 
     * @param refundable
     */
    public void setRefundable(Boolean refundable) {
        this.refundable = refundable;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Deadline" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:dateTime" use="optional" name="AbsoluteDeadline"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="OffsetDropTime"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="OffsetTimeUnit"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="OffsetUnitMultiplier"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Deadline implements Serializable
    {
        private Date absoluteDeadline;
        private String offsetDropTime;
        private String offsetTimeUnit;
        private String offsetUnitMultiplier;

        /** 
         * Get the 'AbsoluteDeadline' attribute value.
         * 
         * @return value
         */
        public Date getAbsoluteDeadline() {
            return absoluteDeadline;
        }

        /** 
         * Set the 'AbsoluteDeadline' attribute value.
         * 
         * @param absoluteDeadline
         */
        public void setAbsoluteDeadline(Date absoluteDeadline) {
            this.absoluteDeadline = absoluteDeadline;
        }

        /** 
         * Get the 'OffsetDropTime' attribute value.
         * 
         * @return value
         */
        public String getOffsetDropTime() {
            return offsetDropTime;
        }

        /** 
         * Set the 'OffsetDropTime' attribute value.
         * 
         * @param offsetDropTime
         */
        public void setOffsetDropTime(String offsetDropTime) {
            this.offsetDropTime = offsetDropTime;
        }

        /** 
         * Get the 'OffsetTimeUnit' attribute value.
         * 
         * @return value
         */
        public String getOffsetTimeUnit() {
            return offsetTimeUnit;
        }

        /** 
         * Set the 'OffsetTimeUnit' attribute value.
         * 
         * @param offsetTimeUnit
         */
        public void setOffsetTimeUnit(String offsetTimeUnit) {
            this.offsetTimeUnit = offsetTimeUnit;
        }

        /** 
         * Get the 'OffsetUnitMultiplier' attribute value.
         * 
         * @return value
         */
        public String getOffsetUnitMultiplier() {
            return offsetUnitMultiplier;
        }

        /** 
         * Set the 'OffsetUnitMultiplier' attribute value.
         * 
         * @param offsetUnitMultiplier
         */
        public void setOffsetUnitMultiplier(String offsetUnitMultiplier) {
            this.offsetUnitMultiplier = offsetUnitMultiplier;
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AmountPercent" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:boolean" use="optional" name="TaxInclusive"/>
     *     &lt;xs:attribute type="xs:boolean" use="optional" name="FeesInclusive"/>
     *     &lt;xs:attribute type="xs:int" use="optional" name="NmbrOfNights"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="BasisType"/>
     *     &lt;xs:attribute type="xs:decimal" use="optional" name="Percent"/>
     *     &lt;xs:attribute type="xs:decimal" use="optional" name="Amount"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="CurrencyCode"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="ApplyAs"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AmountPercent implements Serializable
    {
        private Boolean taxInclusive;
        private Boolean feesInclusive;
        private Integer nmbrOfNights;
        private String basisType;
        private BigDecimal percent;
        private BigDecimal amount;
        private String currencyCode;
        private String applyAs;

        /** 
         * Get the 'TaxInclusive' attribute value.
         * 
         * @return value
         */
        public Boolean getTaxInclusive() {
            return taxInclusive;
        }

        /** 
         * Set the 'TaxInclusive' attribute value.
         * 
         * @param taxInclusive
         */
        public void setTaxInclusive(Boolean taxInclusive) {
            this.taxInclusive = taxInclusive;
        }

        /** 
         * Get the 'FeesInclusive' attribute value.
         * 
         * @return value
         */
        public Boolean getFeesInclusive() {
            return feesInclusive;
        }

        /** 
         * Set the 'FeesInclusive' attribute value.
         * 
         * @param feesInclusive
         */
        public void setFeesInclusive(Boolean feesInclusive) {
            this.feesInclusive = feesInclusive;
        }

        /** 
         * Get the 'NmbrOfNights' attribute value.
         * 
         * @return value
         */
        public Integer getNmbrOfNights() {
            return nmbrOfNights;
        }

        /** 
         * Set the 'NmbrOfNights' attribute value.
         * 
         * @param nmbrOfNights
         */
        public void setNmbrOfNights(Integer nmbrOfNights) {
            this.nmbrOfNights = nmbrOfNights;
        }

        /** 
         * Get the 'BasisType' attribute value.
         * 
         * @return value
         */
        public String getBasisType() {
            return basisType;
        }

        /** 
         * Set the 'BasisType' attribute value.
         * 
         * @param basisType
         */
        public void setBasisType(String basisType) {
            this.basisType = basisType;
        }

        /** 
         * Get the 'Percent' attribute value.
         * 
         * @return value
         */
        public BigDecimal getPercent() {
            return percent;
        }

        /** 
         * Set the 'Percent' attribute value.
         * 
         * @param percent
         */
        public void setPercent(BigDecimal percent) {
            this.percent = percent;
        }

        /** 
         * Get the 'Amount' attribute value.
         * 
         * @return value
         */
        public BigDecimal getAmount() {
            return amount;
        }

        /** 
         * Set the 'Amount' attribute value.
         * 
         * @param amount
         */
        public void setAmount(BigDecimal amount) {
            this.amount = amount;
        }

        /** 
         * Get the 'CurrencyCode' attribute value.
         * 
         * @return value
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /** 
         * Set the 'CurrencyCode' attribute value.
         * 
         * @param currencyCode
         */
        public void setCurrencyCode(String currencyCode) {
            this.currencyCode = currencyCode;
        }

        /** 
         * Get the 'ApplyAs' attribute value.
         * 
         * @return value
         */
        public String getApplyAs() {
            return applyAs;
        }

        /** 
         * Set the 'ApplyAs' attribute value.
         * 
         * @param applyAs
         */
        public void setApplyAs(String applyAs) {
            this.applyAs = applyAs;
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PenaltyDescription" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="Text"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class PenaltyDescription implements Serializable
    {
        private String text;

        /** 
         * Get the 'Text' element value.
         * 
         * @return value
         */
        public String getText() {
            return text;
        }

        /** 
         * Set the 'Text' element value.
         * 
         * @param text
         */
        public void setText(String text) {
            this.text = text;
        }
    }
}
