
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.math.BigDecimal;

/** 
 * Used for explaining commission on response
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CommissionType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="CommissionDescription" minOccurs="0">
 *       &lt;!-- Reference to inner class CommissionDescription -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" use="optional" name="CommissionIndicator"/>
 *   &lt;xs:attribute type="xs:decimal" use="optional" name="Percent"/>
 *   &lt;xs:attribute type="xs:decimal" use="optional" name="Amount"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="CurrencyCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Type"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CommissionType implements Serializable
{
    private CommissionDescription commissionDescription;
    private Boolean commissionIndicator;
    private BigDecimal percent;
    private BigDecimal amount;
    private String currencyCode;
    private String type;

    /** 
     * Get the 'CommissionDescription' element value.
     * 
     * @return value
     */
    public CommissionDescription getCommissionDescription() {
        return commissionDescription;
    }

    /** 
     * Set the 'CommissionDescription' element value.
     * 
     * @param commissionDescription
     */
    public void setCommissionDescription(
            CommissionDescription commissionDescription) {
        this.commissionDescription = commissionDescription;
    }

    /** 
     * Get the 'CommissionIndicator' attribute value.
     * 
     * @return value
     */
    public Boolean getCommissionIndicator() {
        return commissionIndicator;
    }

    /** 
     * Set the 'CommissionIndicator' attribute value.
     * 
     * @param commissionIndicator
     */
    public void setCommissionIndicator(Boolean commissionIndicator) {
        this.commissionIndicator = commissionIndicator;
    }

    /** 
     * Get the 'Percent' attribute value.
     * 
     * @return value
     */
    public BigDecimal getPercent() {
        return percent;
    }

    /** 
     * Set the 'Percent' attribute value.
     * 
     * @param percent
     */
    public void setPercent(BigDecimal percent) {
        this.percent = percent;
    }

    /** 
     * Get the 'Amount' attribute value.
     * 
     * @return value
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' attribute value.
     * 
     * @param amount
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'CurrencyCode' attribute value.
     * 
     * @return value
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'CurrencyCode' attribute value.
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    /** 
     * Get the 'Type' attribute value. Type will be None Or Variable
     * 
     * @return value
     */
    public String getType() {
        return type;
    }

    /** 
     * Set the 'Type' attribute value. Type will be None Or Variable
     * 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CommissionDescription" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="Text"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class CommissionDescription implements Serializable
    {
        private String text;

        /** 
         * Get the 'Text' element value.
         * 
         * @return value
         */
        public String getText() {
            return text;
        }

        /** 
         * Set the 'Text' element value.
         * 
         * @param text
         */
        public void setText(String text) {
            this.text = text;
        }
    }
}
