
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Date;

/** 
 * Single Fee
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="LodgingFeeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="FeeDescription" minOccurs="0">
 *       &lt;!-- Reference to inner class FeeDescription -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:int" use="optional" name="Code"/>
 *   &lt;xs:attribute type="xs:decimal" use="optional" name="Amount"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="CurrencyCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ApplyAs"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="BasisType"/>
 *   &lt;xs:attribute type="xs:date" name="StartDate"/>
 *   &lt;xs:attribute type="xs:date" name="EndDate"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class LodgingFeeType implements Serializable
{
    private FeeDescription feeDescription;
    private Integer code;
    private BigDecimal amount;
    private String currencyCode;
    private String applyAs;
    private String basisType;
    private Date startDate;
    private Date endDate;

    /** 
     * Get the 'FeeDescription' element value.
     * 
     * @return value
     */
    public FeeDescription getFeeDescription() {
        return feeDescription;
    }

    /** 
     * Set the 'FeeDescription' element value.
     * 
     * @param feeDescription
     */
    public void setFeeDescription(FeeDescription feeDescription) {
        this.feeDescription = feeDescription;
    }

    /** 
     * Get the 'Code' attribute value. OpenTravel Code List Fee Tax Type (FIT)
     * 
     * @return value
     */
    public Integer getCode() {
        return code;
    }

    /** 
     * Set the 'Code' attribute value. OpenTravel Code List Fee Tax Type (FIT)
     * 
     * @param code
     */
    public void setCode(Integer code) {
        this.code = code;
    }

    /** 
     * Get the 'Amount' attribute value.
     * 
     * @return value
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' attribute value.
     * 
     * @param amount
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'CurrencyCode' attribute value.
     * 
     * @return value
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'CurrencyCode' attribute value.
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    /** 
     * Get the 'ApplyAs' attribute value.
     * 
     * @return value
     */
    public String getApplyAs() {
        return applyAs;
    }

    /** 
     * Set the 'ApplyAs' attribute value.
     * 
     * @param applyAs
     */
    public void setApplyAs(String applyAs) {
        this.applyAs = applyAs;
    }

    /** 
     * Get the 'BasisType' attribute value.
     * 
     * @return value
     */
    public String getBasisType() {
        return basisType;
    }

    /** 
     * Set the 'BasisType' attribute value.
     * 
     * @param basisType
     */
    public void setBasisType(String basisType) {
        this.basisType = basisType;
    }

    /** 
     * Get the 'StartDate' attribute value.
     * 
     * @return value
     */
    public Date getStartDate() {
        return startDate;
    }

    /** 
     * Set the 'StartDate' attribute value.
     * 
     * @param startDate
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    /** 
     * Get the 'EndDate' attribute value.
     * 
     * @return value
     */
    public Date getEndDate() {
        return endDate;
    }

    /** 
     * Set the 'EndDate' attribute value.
     * 
     * @param endDate
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FeeDescription" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="Text" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class FeeDescription implements Serializable
    {
        private String text;

        /** 
         * Get the 'Text' element value.
         * 
         * @return value
         */
        public String getText() {
            return text;
        }

        /** 
         * Set the 'Text' element value.
         * 
         * @param text
         */
        public void setText(String text) {
            this.text = text;
        }
    }
}
