
package com.sabre.services.res.or.v114;

import java.io.Serializable;

/** 
 * Defines type of offer source.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OfferSource">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="OFFER_STORE"/>
 *     &lt;xs:enumeration value="PRICING"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum OfferSource implements Serializable {
    /** 
     * Offer source is offer store
     */
    OFFER_STORE, /** 
                  * Offer source is pricing
                  */
    PRICING
}
