
package com.sabre.services.res.or.v114;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OpenReservationAction">
 *   &lt;xs:sequence>
 *     &lt;xs:choice>
 *       &lt;xs:element type="ns:PaymentCardApprovalAction" name="PaymentCardApprovalAction" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:PaymentCardCorporateIDAction" name="PaymentCardCorporateIDAction" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:DisassociatedEMDPresentAction" name="DisassociatedEMDPresentAction" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:VirtualCardFaxAction" name="VirtualCardFaxAction" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:VirtualCardDeployAction" name="VirtualCardDeployAction" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:PaymentCardAuthenticationAction" name="PaymentCardAuthenticationAction" minOccurs="0" maxOccurs="1"/>
 *     &lt;/xs:choice>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:string" name="name"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OpenReservationAction implements Serializable
{
    private int choiceSelect = -1;
    private static final int PAYMENT_CARD_APPROVAL_ACTION_CHOICE = 0;
    private static final int PAYMENT_CARD_CORPORATE_ID_ACTION_CHOICE = 1;
    private static final int DISASSOCIATED_EMD_PRESENT_ACTION_CHOICE = 2;
    private static final int VIRTUAL_CARD_FAX_ACTION_CHOICE = 3;
    private static final int VIRTUAL_CARD_DEPLOY_ACTION_CHOICE = 4;
    private static final int PAYMENT_CARD_AUTHENTICATION_ACTION_CHOICE = 5;
    private PaymentCardApprovalAction paymentCardApprovalAction;
    private PaymentCardCorporateIDAction paymentCardCorporateIDAction;
    private DisassociatedEMDPresentAction disassociatedEMDPresentAction;
    private VirtualCardFaxAction virtualCardFaxAction;
    private VirtualCardDeployAction virtualCardDeployAction;
    private PaymentCardAuthenticationAction paymentCardAuthenticationAction;
    private String id;
    private String name;

    private void setChoiceSelect(int choice) {
        if (choiceSelect == -1) {
            choiceSelect = choice;
        } else if (choiceSelect != choice) {
            throw new IllegalStateException(
                    "Need to call clearChoiceSelect() before changing existing choice");
        }
    }

    /** 
     * Clear the choice selection.
     */
    public void clearChoiceSelect() {
        choiceSelect = -1;
    }

    /** 
     * Check if PaymentCardApprovalAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifPaymentCardApprovalAction() {
        return choiceSelect == PAYMENT_CARD_APPROVAL_ACTION_CHOICE;
    }

    /** 
     * Get the 'PaymentCardApprovalAction' element value.
     * 
     * @return value
     */
    public PaymentCardApprovalAction getPaymentCardApprovalAction() {
        return paymentCardApprovalAction;
    }

    /** 
     * Set the 'PaymentCardApprovalAction' element value.
     * 
     * @param paymentCardApprovalAction
     */
    public void setPaymentCardApprovalAction(
            PaymentCardApprovalAction paymentCardApprovalAction) {
        setChoiceSelect(PAYMENT_CARD_APPROVAL_ACTION_CHOICE);
        this.paymentCardApprovalAction = paymentCardApprovalAction;
    }

    /** 
     * Check if PaymentCardCorporateIDAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifPaymentCardCorporateIDAction() {
        return choiceSelect == PAYMENT_CARD_CORPORATE_ID_ACTION_CHOICE;
    }

    /** 
     * Get the 'PaymentCardCorporateIDAction' element value.
     * 
     * @return value
     */
    public PaymentCardCorporateIDAction getPaymentCardCorporateIDAction() {
        return paymentCardCorporateIDAction;
    }

    /** 
     * Set the 'PaymentCardCorporateIDAction' element value.
     * 
     * @param paymentCardCorporateIDAction
     */
    public void setPaymentCardCorporateIDAction(
            PaymentCardCorporateIDAction paymentCardCorporateIDAction) {
        setChoiceSelect(PAYMENT_CARD_CORPORATE_ID_ACTION_CHOICE);
        this.paymentCardCorporateIDAction = paymentCardCorporateIDAction;
    }

    /** 
     * Check if DisassociatedEMDPresentAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifDisassociatedEMDPresentAction() {
        return choiceSelect == DISASSOCIATED_EMD_PRESENT_ACTION_CHOICE;
    }

    /** 
     * Get the 'DisassociatedEMDPresentAction' element value.
     * 
     * @return value
     */
    public DisassociatedEMDPresentAction getDisassociatedEMDPresentAction() {
        return disassociatedEMDPresentAction;
    }

    /** 
     * Set the 'DisassociatedEMDPresentAction' element value.
     * 
     * @param disassociatedEMDPresentAction
     */
    public void setDisassociatedEMDPresentAction(
            DisassociatedEMDPresentAction disassociatedEMDPresentAction) {
        setChoiceSelect(DISASSOCIATED_EMD_PRESENT_ACTION_CHOICE);
        this.disassociatedEMDPresentAction = disassociatedEMDPresentAction;
    }

    /** 
     * Check if VirtualCardFaxAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifVirtualCardFaxAction() {
        return choiceSelect == VIRTUAL_CARD_FAX_ACTION_CHOICE;
    }

    /** 
     * Get the 'VirtualCardFaxAction' element value.
     * 
     * @return value
     */
    public VirtualCardFaxAction getVirtualCardFaxAction() {
        return virtualCardFaxAction;
    }

    /** 
     * Set the 'VirtualCardFaxAction' element value.
     * 
     * @param virtualCardFaxAction
     */
    public void setVirtualCardFaxAction(
            VirtualCardFaxAction virtualCardFaxAction) {
        setChoiceSelect(VIRTUAL_CARD_FAX_ACTION_CHOICE);
        this.virtualCardFaxAction = virtualCardFaxAction;
    }

    /** 
     * Check if VirtualCardDeployAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifVirtualCardDeployAction() {
        return choiceSelect == VIRTUAL_CARD_DEPLOY_ACTION_CHOICE;
    }

    /** 
     * Get the 'VirtualCardDeployAction' element value.
     * 
     * @return value
     */
    public VirtualCardDeployAction getVirtualCardDeployAction() {
        return virtualCardDeployAction;
    }

    /** 
     * Set the 'VirtualCardDeployAction' element value.
     * 
     * @param virtualCardDeployAction
     */
    public void setVirtualCardDeployAction(
            VirtualCardDeployAction virtualCardDeployAction) {
        setChoiceSelect(VIRTUAL_CARD_DEPLOY_ACTION_CHOICE);
        this.virtualCardDeployAction = virtualCardDeployAction;
    }

    /** 
     * Check if PaymentCardAuthenticationAction is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifPaymentCardAuthenticationAction() {
        return choiceSelect == PAYMENT_CARD_AUTHENTICATION_ACTION_CHOICE;
    }

    /** 
     * Get the 'PaymentCardAuthenticationAction' element value.
     * 
     * @return value
     */
    public PaymentCardAuthenticationAction getPaymentCardAuthenticationAction() {
        return paymentCardAuthenticationAction;
    }

    /** 
     * Set the 'PaymentCardAuthenticationAction' element value.
     * 
     * @param paymentCardAuthenticationAction
     */
    public void setPaymentCardAuthenticationAction(
            PaymentCardAuthenticationAction paymentCardAuthenticationAction) {
        setChoiceSelect(PAYMENT_CARD_AUTHENTICATION_ACTION_CHOICE);
        this.paymentCardAuthenticationAction = paymentCardAuthenticationAction;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'name' attribute value.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'name' attribute value.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }
}
