
package com.sabre.services.res.or.v114;

import java.io.Serializable;

/** 
 * Point of Sale (POS) is the details identifying the
 party or connection channel making the request.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="POSType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:SourceType" name="Source" minOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class POSType implements Serializable
{
    private SourceType source;

    /** 
     * Get the 'Source' element value. This holds details regarding the requestor. It
    					may be repeated to also accommodate the delivery
    					systems.
    				
     * 
     * @return value
     */
    public SourceType getSource() {
        return source;
    }

    /** 
     * Set the 'Source' element value. This holds details regarding the requestor. It
    					may be repeated to also accommodate the delivery
    					systems.
    				
     * 
     * @param source
     */
    public void setSource(SourceType source) {
        this.source = source;
    }
}
