
package com.sabre.services.res.or.v114;

import java.io.Serializable;

/** 
 * Describes a rate plan in response
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RatePlanType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:RatePlanDescriptionType" name="RatePlanDescription" minOccurs="0"/>
 *     &lt;xs:element type="ns:RatePlanInclusionsType" name="RatePlanInclusions" minOccurs="0"/>
 *     &lt;xs:element type="ns:MealsIncludedType" name="MealsIncluded" minOccurs="0"/>
 *     &lt;xs:element type="ns:RateInfoType" name="RateInfo" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RatePlanName"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RatePlanCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="SupplierRatePlanCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RatePlanType"/>
 *   &lt;xs:attribute type="xs:boolean" use="optional" name="PrepaidIndicator"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RateAssured"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RateKey"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RatePlanType implements Serializable
{
    private RatePlanDescriptionType ratePlanDescription;
    private RatePlanInclusionsType ratePlanInclusions;
    private MealsIncludedType mealsIncluded;
    private RateInfoType rateInfo;
    private String ratePlanName;
    private String ratePlanCode;
    private String supplierRatePlanCode;
    private String ratePlanType;
    private Boolean prepaidIndicator;
    private String rateAssured;
    private String rateKey;

    /** 
     * Get the 'RatePlanDescription' element value.
     * 
     * @return value
     */
    public RatePlanDescriptionType getRatePlanDescription() {
        return ratePlanDescription;
    }

    /** 
     * Set the 'RatePlanDescription' element value.
     * 
     * @param ratePlanDescription
     */
    public void setRatePlanDescription(
            RatePlanDescriptionType ratePlanDescription) {
        this.ratePlanDescription = ratePlanDescription;
    }

    /** 
     * Get the 'RatePlanInclusions' element value.
     * 
     * @return value
     */
    public RatePlanInclusionsType getRatePlanInclusions() {
        return ratePlanInclusions;
    }

    /** 
     * Set the 'RatePlanInclusions' element value.
     * 
     * @param ratePlanInclusions
     */
    public void setRatePlanInclusions(RatePlanInclusionsType ratePlanInclusions) {
        this.ratePlanInclusions = ratePlanInclusions;
    }

    /** 
     * Get the 'MealsIncluded' element value.
     * 
     * @return value
     */
    public MealsIncludedType getMealsIncluded() {
        return mealsIncluded;
    }

    /** 
     * Set the 'MealsIncluded' element value.
     * 
     * @param mealsIncluded
     */
    public void setMealsIncluded(MealsIncludedType mealsIncluded) {
        this.mealsIncluded = mealsIncluded;
    }

    /** 
     * Get the 'RateInfo' element value.
     * 
     * @return value
     */
    public RateInfoType getRateInfo() {
        return rateInfo;
    }

    /** 
     * Set the 'RateInfo' element value.
     * 
     * @param rateInfo
     */
    public void setRateInfo(RateInfoType rateInfo) {
        this.rateInfo = rateInfo;
    }

    /** 
     * Get the 'RatePlanName' attribute value.
     * 
     * @return value
     */
    public String getRatePlanName() {
        return ratePlanName;
    }

    /** 
     * Set the 'RatePlanName' attribute value.
     * 
     * @param ratePlanName
     */
    public void setRatePlanName(String ratePlanName) {
        this.ratePlanName = ratePlanName;
    }

    /** 
     * Get the 'RatePlanCode' attribute value.
     * 
     * @return value
     */
    public String getRatePlanCode() {
        return ratePlanCode;
    }

    /** 
     * Set the 'RatePlanCode' attribute value.
     * 
     * @param ratePlanCode
     */
    public void setRatePlanCode(String ratePlanCode) {
        this.ratePlanCode = ratePlanCode;
    }

    /** 
     * Get the 'SupplierRatePlanCode' attribute value.
     * 
     * @return value
     */
    public String getSupplierRatePlanCode() {
        return supplierRatePlanCode;
    }

    /** 
     * Set the 'SupplierRatePlanCode' attribute value.
     * 
     * @param supplierRatePlanCode
     */
    public void setSupplierRatePlanCode(String supplierRatePlanCode) {
        this.supplierRatePlanCode = supplierRatePlanCode;
    }

    /** 
     * Get the 'RatePlanType' attribute value.
     * 
     * @return value
     */
    public String getRatePlanType() {
        return ratePlanType;
    }

    /** 
     * Set the 'RatePlanType' attribute value.
     * 
     * @param ratePlanType
     */
    public void setRatePlanType(String ratePlanType) {
        this.ratePlanType = ratePlanType;
    }

    /** 
     * Get the 'PrepaidIndicator' attribute value.
     * 
     * @return value
     */
    public Boolean getPrepaidIndicator() {
        return prepaidIndicator;
    }

    /** 
     * Set the 'PrepaidIndicator' attribute value.
     * 
     * @param prepaidIndicator
     */
    public void setPrepaidIndicator(Boolean prepaidIndicator) {
        this.prepaidIndicator = prepaidIndicator;
    }

    /** 
     * Get the 'RateAssured' attribute value.
     * 
     * @return value
     */
    public String getRateAssured() {
        return rateAssured;
    }

    /** 
     * Set the 'RateAssured' attribute value.
     * 
     * @param rateAssured
     */
    public void setRateAssured(String rateAssured) {
        this.rateAssured = rateAssured;
    }

    /** 
     * Get the 'RateKey' attribute value.
     * 
     * @return value
     */
    public String getRateKey() {
        return rateKey;
    }

    /** 
     * Set the 'RateKey' attribute value.
     * 
     * @param rateKey
     */
    public void setRateKey(String rateKey) {
        this.rateKey = rateKey;
    }
}
