
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Reservation Information
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ResGlobalInfoType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:BookingInfoRefType" name="BookingInfo" minOccurs="0"/>
 *     &lt;xs:element type="ns:HotelInfoType" name="HotelInfo" minOccurs="0"/>
 *     &lt;xs:element name="StayDateRange" minOccurs="0">
 *       &lt;!-- Reference to inner class StayDateRange -->
 *     &lt;/xs:element>
 *     &lt;xs:element type="ns:TotalCharges" name="Total" minOccurs="0"/>
 *     &lt;xs:element type="ns:AdditionalDetailsType" name="AdditionalDetails" minOccurs="0"/>
 *     &lt;xs:element type="ns:FeesType" name="Fees" minOccurs="0"/>
 *     &lt;xs:element type="ns:LodgingTaxesType" name="Taxes" minOccurs="0"/>
 *     &lt;xs:element type="ns:CancelPenalties" name="CancelPenalties" minOccurs="0"/>
 *     &lt;xs:element type="ns:GuaranteeType" name="Guarantee" minOccurs="0"/>
 *     &lt;xs:element type="ns:CommissionType" name="Commission" minOccurs="0"/>
 *     &lt;xs:element type="ns:Discounts" name="Discounts" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ResGlobalInfoType implements Serializable
{
    private BookingInfoRefType bookingInfo;
    private HotelInfoType hotelInfo;
    private StayDateRange stayDateRange;
    private TotalCharges total;
    private AdditionalDetailsType additionalDetails;
    private FeesType fees;
    private LodgingTaxesType taxes;
    private CancelPenalties cancelPenalties;
    private GuaranteeType guarantee;
    private CommissionType commission;
    private Discounts discounts;

    /** 
     * Get the 'BookingInfo' element value.
     * 
     * @return value
     */
    public BookingInfoRefType getBookingInfo() {
        return bookingInfo;
    }

    /** 
     * Set the 'BookingInfo' element value.
     * 
     * @param bookingInfo
     */
    public void setBookingInfo(BookingInfoRefType bookingInfo) {
        this.bookingInfo = bookingInfo;
    }

    /** 
     * Get the 'HotelInfo' element value.
     * 
     * @return value
     */
    public HotelInfoType getHotelInfo() {
        return hotelInfo;
    }

    /** 
     * Set the 'HotelInfo' element value.
     * 
     * @param hotelInfo
     */
    public void setHotelInfo(HotelInfoType hotelInfo) {
        this.hotelInfo = hotelInfo;
    }

    /** 
     * Get the 'StayDateRange' element value.
     * 
     * @return value
     */
    public StayDateRange getStayDateRange() {
        return stayDateRange;
    }

    /** 
     * Set the 'StayDateRange' element value.
     * 
     * @param stayDateRange
     */
    public void setStayDateRange(StayDateRange stayDateRange) {
        this.stayDateRange = stayDateRange;
    }

    /** 
     * Get the 'Total' element value.
     * 
     * @return value
     */
    public TotalCharges getTotal() {
        return total;
    }

    /** 
     * Set the 'Total' element value.
     * 
     * @param total
     */
    public void setTotal(TotalCharges total) {
        this.total = total;
    }

    /** 
     * Get the 'AdditionalDetails' element value.
     * 
     * @return value
     */
    public AdditionalDetailsType getAdditionalDetails() {
        return additionalDetails;
    }

    /** 
     * Set the 'AdditionalDetails' element value.
     * 
     * @param additionalDetails
     */
    public void setAdditionalDetails(AdditionalDetailsType additionalDetails) {
        this.additionalDetails = additionalDetails;
    }

    /** 
     * Get the 'Fees' element value.
     * 
     * @return value
     */
    public FeesType getFees() {
        return fees;
    }

    /** 
     * Set the 'Fees' element value.
     * 
     * @param fees
     */
    public void setFees(FeesType fees) {
        this.fees = fees;
    }

    /** 
     * Get the 'Taxes' element value.
     * 
     * @return value
     */
    public LodgingTaxesType getTaxes() {
        return taxes;
    }

    /** 
     * Set the 'Taxes' element value.
     * 
     * @param taxes
     */
    public void setTaxes(LodgingTaxesType taxes) {
        this.taxes = taxes;
    }

    /** 
     * Get the 'CancelPenalties' element value.
     * 
     * @return value
     */
    public CancelPenalties getCancelPenalties() {
        return cancelPenalties;
    }

    /** 
     * Set the 'CancelPenalties' element value.
     * 
     * @param cancelPenalties
     */
    public void setCancelPenalties(CancelPenalties cancelPenalties) {
        this.cancelPenalties = cancelPenalties;
    }

    /** 
     * Get the 'Guarantee' element value.
     * 
     * @return value
     */
    public GuaranteeType getGuarantee() {
        return guarantee;
    }

    /** 
     * Set the 'Guarantee' element value.
     * 
     * @param guarantee
     */
    public void setGuarantee(GuaranteeType guarantee) {
        this.guarantee = guarantee;
    }

    /** 
     * Get the 'Commission' element value.
     * 
     * @return value
     */
    public CommissionType getCommission() {
        return commission;
    }

    /** 
     * Set the 'Commission' element value.
     * 
     * @param commission
     */
    public void setCommission(CommissionType commission) {
        this.commission = commission;
    }

    /** 
     * Get the 'Discounts' element value.
     * 
     * @return value
     */
    public Discounts getDiscounts() {
        return discounts;
    }

    /** 
     * Set the 'Discounts' element value.
     * 
     * @param discounts
     */
    public void setDiscounts(Discounts discounts) {
        this.discounts = discounts;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StayDateRange" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:date" use="optional" name="StartDate"/>
     *     &lt;xs:attribute type="xs:date" use="optional" name="EndDate"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class StayDateRange implements Serializable
    {
        private Date startDate;
        private Date endDate;

        /** 
         * Get the 'StartDate' attribute value.
         * 
         * @return value
         */
        public Date getStartDate() {
            return startDate;
        }

        /** 
         * Set the 'StartDate' attribute value.
         * 
         * @param startDate
         */
        public void setStartDate(Date startDate) {
            this.startDate = startDate;
        }

        /** 
         * Get the 'EndDate' attribute value.
         * 
         * @return value
         */
        public Date getEndDate() {
            return endDate;
        }

        /** 
         * Set the 'EndDate' attribute value.
         * 
         * @param endDate
         */
        public void setEndDate(Date endDate) {
            this.endDate = endDate;
        }
    }
}
