
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceProviderType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0"/>
 *     &lt;xs:element name="Code" minOccurs="0">
 *       &lt;!-- Reference to inner class Code -->
 *     &lt;/xs:element>
 *     &lt;xs:element type="ns:PhoneType" name="Telephone" minOccurs="0" maxOccurs="99"/>
 *     &lt;xs:element type="ns:AddressType" name="Address" minOccurs="0" maxOccurs="9"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ServiceProviderType implements Serializable
{
    private String name;
    private Code code;
    private List<PhoneType> telephoneList = new ArrayList<PhoneType>();
    private List<AddressType> addressList = new ArrayList<AddressType>();

    /** 
     * Get the 'Name' element value.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'Code' element value.
     * 
     * @return value
     */
    public Code getCode() {
        return code;
    }

    /** 
     * Set the 'Code' element value.
     * 
     * @param code
     */
    public void setCode(Code code) {
        this.code = code;
    }

    /** 
     * Get the list of 'Telephone' element items.
     * 
     * @return list
     */
    public List<PhoneType> getTelephoneList() {
        return telephoneList;
    }

    /** 
     * Set the list of 'Telephone' element items.
     * 
     * @param list
     */
    public void setTelephoneList(List<PhoneType> list) {
        telephoneList = list;
    }

    /** 
     * Get the list of 'Address' element items.
     * 
     * @return list
     */
    public List<AddressType> getAddressList() {
        return addressList;
    }

    /** 
     * Set the list of 'Address' element items.
     * 
     * @param list
     */
    public void setAddressList(List<AddressType> list) {
        addressList = list;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Code" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:anySimpleType" name="codeContext"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Code implements Serializable
    {
        private String string;
        private String codeContext;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'codeContext' attribute value.
         * 
         * @return value
         */
        public String getCodeContext() {
            return codeContext;
        }

        /** 
         * Set the 'codeContext' attribute value.
         * 
         * @param codeContext
         */
        public void setCodeContext(String codeContext) {
            this.codeContext = codeContext;
        }
    }
}
