
package com.sabre.services.res.or.v114;

import java.io.Serializable;
import java.util.Date;

/** 
 * Payment Services Directive (PSD) information
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StrongCustomerAuthentication">
 *   &lt;xs:attribute type="xs:string" name="Channel"/>
 *   &lt;xs:attribute type="xs:string" name="CardNumberCollection"/>
 *   &lt;xs:attribute type="xs:string" name="ExemptionCode"/>
 *   &lt;xs:attribute type="xs:string" name="MandateType"/>
 *   &lt;xs:attribute type="xs:string" name="OriginalPaymentRef"/>
 *   &lt;xs:attribute type="xs:string" name="MerchantName"/>
 *   &lt;xs:attribute type="xs:string" name="T3DSAuthValue"/>
 *   &lt;xs:attribute type="xs:string" name="TAVV"/>
 *   &lt;xs:attribute type="xs:string" name="ECI"/>
 *   &lt;xs:attribute type="xs:string" name="DirectoryServerTrxID"/>
 *   &lt;xs:attribute type="xs:string" name="Version"/>
 *   &lt;xs:attribute type="xs:string" name="AuthenticationIssues"/>
 *   &lt;xs:attribute type="xs:string" name="PurchaseAmount"/>
 *   &lt;xs:attribute type="xs:string" name="PurchaseCurrency"/>
 *   &lt;xs:attribute type="xs:string" name="VerificationResult"/>
 *   &lt;xs:attribute type="xs:string" name="AuthenticationResult"/>
 *   &lt;xs:attribute type="xs:string" name="Id"/>
 *   &lt;xs:attribute type="xs:dateTime" name="LastUpdateTime"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class StrongCustomerAuthentication implements Serializable
{
    private String channel;
    private String cardNumberCollection;
    private String exemptionCode;
    private String mandateType;
    private String originalPaymentRef;
    private String merchantName;
    private String t3DSAuthValue;
    private String TAVV;
    private String ECI;
    private String directoryServerTrxID;
    private String version;
    private String authenticationIssues;
    private String purchaseAmount;
    private String purchaseCurrency;
    private String verificationResult;
    private String authenticationResult;
    private String id;
    private Date lastUpdateTime;

    /** 
     * Get the 'Channel' attribute value.
     * 
     * @return value
     */
    public String getChannel() {
        return channel;
    }

    /** 
     * Set the 'Channel' attribute value.
     * 
     * @param channel
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /** 
     * Get the 'CardNumberCollection' attribute value.
     * 
     * @return value
     */
    public String getCardNumberCollection() {
        return cardNumberCollection;
    }

    /** 
     * Set the 'CardNumberCollection' attribute value.
     * 
     * @param cardNumberCollection
     */
    public void setCardNumberCollection(String cardNumberCollection) {
        this.cardNumberCollection = cardNumberCollection;
    }

    /** 
     * Get the 'ExemptionCode' attribute value.
     * 
     * @return value
     */
    public String getExemptionCode() {
        return exemptionCode;
    }

    /** 
     * Set the 'ExemptionCode' attribute value.
     * 
     * @param exemptionCode
     */
    public void setExemptionCode(String exemptionCode) {
        this.exemptionCode = exemptionCode;
    }

    /** 
     * Get the 'MandateType' attribute value.
     * 
     * @return value
     */
    public String getMandateType() {
        return mandateType;
    }

    /** 
     * Set the 'MandateType' attribute value.
     * 
     * @param mandateType
     */
    public void setMandateType(String mandateType) {
        this.mandateType = mandateType;
    }

    /** 
     * Get the 'OriginalPaymentRef' attribute value.
     * 
     * @return value
     */
    public String getOriginalPaymentRef() {
        return originalPaymentRef;
    }

    /** 
     * Set the 'OriginalPaymentRef' attribute value.
     * 
     * @param originalPaymentRef
     */
    public void setOriginalPaymentRef(String originalPaymentRef) {
        this.originalPaymentRef = originalPaymentRef;
    }

    /** 
     * Get the 'MerchantName' attribute value.
     * 
     * @return value
     */
    public String getMerchantName() {
        return merchantName;
    }

    /** 
     * Set the 'MerchantName' attribute value.
     * 
     * @param merchantName
     */
    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    /** 
     * Get the 'T3DSAuthValue' attribute value.
     * 
     * @return value
     */
    public String getT3DSAuthValue() {
        return t3DSAuthValue;
    }

    /** 
     * Set the 'T3DSAuthValue' attribute value.
     * 
     * @param t3DSAuthValue
     */
    public void setT3DSAuthValue(String t3DSAuthValue) {
        this.t3DSAuthValue = t3DSAuthValue;
    }

    /** 
     * Get the 'TAVV' attribute value.
     * 
     * @return value
     */
    public String getTAVV() {
        return TAVV;
    }

    /** 
     * Set the 'TAVV' attribute value.
     * 
     * @param TAVV
     */
    public void setTAVV(String TAVV) {
        this.TAVV = TAVV;
    }

    /** 
     * Get the 'ECI' attribute value.
     * 
     * @return value
     */
    public String getECI() {
        return ECI;
    }

    /** 
     * Set the 'ECI' attribute value.
     * 
     * @param ECI
     */
    public void setECI(String ECI) {
        this.ECI = ECI;
    }

    /** 
     * Get the 'DirectoryServerTrxID' attribute value.
     * 
     * @return value
     */
    public String getDirectoryServerTrxID() {
        return directoryServerTrxID;
    }

    /** 
     * Set the 'DirectoryServerTrxID' attribute value.
     * 
     * @param directoryServerTrxID
     */
    public void setDirectoryServerTrxID(String directoryServerTrxID) {
        this.directoryServerTrxID = directoryServerTrxID;
    }

    /** 
     * Get the 'Version' attribute value.
     * 
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /** 
     * Set the 'Version' attribute value.
     * 
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /** 
     * Get the 'AuthenticationIssues' attribute value.
     * 
     * @return value
     */
    public String getAuthenticationIssues() {
        return authenticationIssues;
    }

    /** 
     * Set the 'AuthenticationIssues' attribute value.
     * 
     * @param authenticationIssues
     */
    public void setAuthenticationIssues(String authenticationIssues) {
        this.authenticationIssues = authenticationIssues;
    }

    /** 
     * Get the 'PurchaseAmount' attribute value.
     * 
     * @return value
     */
    public String getPurchaseAmount() {
        return purchaseAmount;
    }

    /** 
     * Set the 'PurchaseAmount' attribute value.
     * 
     * @param purchaseAmount
     */
    public void setPurchaseAmount(String purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    /** 
     * Get the 'PurchaseCurrency' attribute value.
     * 
     * @return value
     */
    public String getPurchaseCurrency() {
        return purchaseCurrency;
    }

    /** 
     * Set the 'PurchaseCurrency' attribute value.
     * 
     * @param purchaseCurrency
     */
    public void setPurchaseCurrency(String purchaseCurrency) {
        this.purchaseCurrency = purchaseCurrency;
    }

    /** 
     * Get the 'VerificationResult' attribute value.
     * 
     * @return value
     */
    public String getVerificationResult() {
        return verificationResult;
    }

    /** 
     * Set the 'VerificationResult' attribute value.
     * 
     * @param verificationResult
     */
    public void setVerificationResult(String verificationResult) {
        this.verificationResult = verificationResult;
    }

    /** 
     * Get the 'AuthenticationResult' attribute value.
     * 
     * @return value
     */
    public String getAuthenticationResult() {
        return authenticationResult;
    }

    /** 
     * Set the 'AuthenticationResult' attribute value.
     * 
     * @param authenticationResult
     */
    public void setAuthenticationResult(String authenticationResult) {
        this.authenticationResult = authenticationResult;
    }

    /** 
     * Get the 'Id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'Id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'LastUpdateTime' attribute value.
     * 
     * @return value
     */
    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    /** 
     * Set the 'LastUpdateTime' attribute value.
     * 
     * @param lastUpdateTime
     */
    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }
}
