
package com.sabre.services.res.or.v114;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="VirtualCardDetails">
 *   &lt;xs:sequence>
 *     &lt;xs:choice>
 *       &lt;xs:element type="xs:string" name="CustomerAccountCode"/>
 *       &lt;xs:element type="xs:unsignedShort" name="Index"/>
 *       &lt;xs:element type="xs:string" name="Id"/>
 *     &lt;/xs:choice>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class VirtualCardDetails implements Serializable
{
    private int choiceSelect = -1;
    private static final int CUSTOMER_ACCOUNT_CODE_CHOICE = 0;
    private static final int INDEX_CHOICE = 1;
    private static final int ID_CHOICE = 2;
    private String customerAccountCode;
    private String index;
    private String id;

    private void setChoiceSelect(int choice) {
        if (choiceSelect == -1) {
            choiceSelect = choice;
        } else if (choiceSelect != choice) {
            throw new IllegalStateException(
                    "Need to call clearChoiceSelect() before changing existing choice");
        }
    }

    /** 
     * Clear the choice selection.
     */
    public void clearChoiceSelect() {
        choiceSelect = -1;
    }

    /** 
     * Check if CustomerAccountCode is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifCustomerAccountCode() {
        return choiceSelect == CUSTOMER_ACCOUNT_CODE_CHOICE;
    }

    /** 
     * Get the 'CustomerAccountCode' element value.
     * 
     * @return value
     */
    public String getCustomerAccountCode() {
        return customerAccountCode;
    }

    /** 
     * Set the 'CustomerAccountCode' element value.
     * 
     * @param customerAccountCode
     */
    public void setCustomerAccountCode(String customerAccountCode) {
        setChoiceSelect(CUSTOMER_ACCOUNT_CODE_CHOICE);
        this.customerAccountCode = customerAccountCode;
    }

    /** 
     * Check if Index is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifIndex() {
        return choiceSelect == INDEX_CHOICE;
    }

    /** 
     * Get the 'Index' element value.
     * 
     * @return value
     */
    public String getIndex() {
        return index;
    }

    /** 
     * Set the 'Index' element value.
     * 
     * @param index
     */
    public void setIndex(String index) {
        setChoiceSelect(INDEX_CHOICE);
        this.index = index;
    }

    /** 
     * Check if Id is current selection for choice.
     * 
     * @return <code>true</code> if selection, <code>false</code> if not
     */
    public boolean ifId() {
        return choiceSelect == ID_CHOICE;
    }

    /** 
     * Get the 'Id' element value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'Id' element value.
     * 
     * @param id
     */
    public void setId(String id) {
        setChoiceSelect(ID_CHOICE);
        this.id = id;
    }
}
