
package com.sabre.services.sp.eab.v310;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/eab/v3_10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="LoyaltyProgramRedemption">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ProgramName" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MembershipNumber"/>
 *     &lt;xs:element type="xs:string" name="MemberName" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Vendor" minOccurs="0"/>
 *     &lt;xs:element name="TierLevel" minOccurs="0" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class TierLevel -->
 *     &lt;/xs:element>
 *     &lt;xs:element type="xs:string" name="LocalCardNumber" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class LoyaltyProgramRedemption implements Serializable
{
    private String programName;
    private String membershipNumber;
    private String memberName;
    private String vendor;
    private List<TierLevel> tierLevelList = new ArrayList<TierLevel>();
    private String localCardNumber;

    /** 
     * Get the 'ProgramName' element value.
     * 
     * @return value
     */
    public String getProgramName() {
        return programName;
    }

    /** 
     * Set the 'ProgramName' element value.
     * 
     * @param programName
     */
    public void setProgramName(String programName) {
        this.programName = programName;
    }

    /** 
     * Get the 'MembershipNumber' element value.
     * 
     * @return value
     */
    public String getMembershipNumber() {
        return membershipNumber;
    }

    /** 
     * Set the 'MembershipNumber' element value.
     * 
     * @param membershipNumber
     */
    public void setMembershipNumber(String membershipNumber) {
        this.membershipNumber = membershipNumber;
    }

    /** 
     * Get the 'MemberName' element value.
     * 
     * @return value
     */
    public String getMemberName() {
        return memberName;
    }

    /** 
     * Set the 'MemberName' element value.
     * 
     * @param memberName
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /** 
     * Get the 'Vendor' element value.
     * 
     * @return value
     */
    public String getVendor() {
        return vendor;
    }

    /** 
     * Set the 'Vendor' element value.
     * 
     * @param vendor
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /** 
     * Get the list of 'TierLevel' element items.
     * 
     * @return list
     */
    public List<TierLevel> getTierLevelList() {
        return tierLevelList;
    }

    /** 
     * Set the list of 'TierLevel' element items.
     * 
     * @param list
     */
    public void setTierLevelList(List<TierLevel> list) {
        tierLevelList = list;
    }

    /** 
     * Get the 'LocalCardNumber' element value.
     * 
     * @return value
     */
    public String getLocalCardNumber() {
        return localCardNumber;
    }

    /** 
     * Set the 'LocalCardNumber' element value.
     * 
     * @param localCardNumber
     */
    public void setLocalCardNumber(String localCardNumber) {
        this.localCardNumber = localCardNumber;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/sp/eab/v3_10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TierLevel" minOccurs="0" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:string" name="code"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class TierLevel implements Serializable
    {
        private String string;
        private String code;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'code' attribute value.
         * 
         * @return value
         */
        public String getCode() {
            return code;
        }

        /** 
         * Set the 'code' attribute value.
         * 
         * @param code
         */
        public void setCode(String code) {
            this.code = code;
        }
    }
}
