
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;

/** 
 * OAC POS details for segments
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirPosType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="CrsCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="IataNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AgencyCityCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CountryCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DutyCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OACAccountingCityCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OACAccountingCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="HomeCityCode" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirPosType implements Serializable
{
    private String crsCode;
    private String iataNumber;
    private String agencyCityCode;
    private String countryCode;
    private String dutyCode;
    private String OACAccountingCityCode;
    private String OACAccountingCode;
    private String homeCityCode;

    /** 
     * Get the 'CrsCode' element value. OAC POS Crs code
     * 
     * @return value
     */
    public String getCrsCode() {
        return crsCode;
    }

    /** 
     * Set the 'CrsCode' element value. OAC POS Crs code
     * 
     * @param crsCode
     */
    public void setCrsCode(String crsCode) {
        this.crsCode = crsCode;
    }

    /** 
     * Get the 'IataNumber' element value. OAC POS IATA number
     * 
     * @return value
     */
    public String getIataNumber() {
        return iataNumber;
    }

    /** 
     * Set the 'IataNumber' element value. OAC POS IATA number
     * 
     * @param iataNumber
     */
    public void setIataNumber(String iataNumber) {
        this.iataNumber = iataNumber;
    }

    /** 
     * Get the 'AgencyCityCode' element value. OAC POS Agency city code
     * 
     * @return value
     */
    public String getAgencyCityCode() {
        return agencyCityCode;
    }

    /** 
     * Set the 'AgencyCityCode' element value. OAC POS Agency city code
     * 
     * @param agencyCityCode
     */
    public void setAgencyCityCode(String agencyCityCode) {
        this.agencyCityCode = agencyCityCode;
    }

    /** 
     * Get the 'CountryCode' element value. OAC POS Booking country code
     * 
     * @return value
     */
    public String getCountryCode() {
        return countryCode;
    }

    /** 
     * Set the 'CountryCode' element value. OAC POS Booking country code
     * 
     * @param countryCode
     */
    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    /** 
     * Get the 'DutyCode' element value. OAC POS Duty code
     * 
     * @return value
     */
    public String getDutyCode() {
        return dutyCode;
    }

    /** 
     * Set the 'DutyCode' element value. OAC POS Duty code
     * 
     * @param dutyCode
     */
    public void setDutyCode(String dutyCode) {
        this.dutyCode = dutyCode;
    }

    /** 
     * Get the 'OACAccountingCityCode' element value. OAC Accounting City code
     * 
     * @return value
     */
    public String getOACAccountingCityCode() {
        return OACAccountingCityCode;
    }

    /** 
     * Set the 'OACAccountingCityCode' element value. OAC Accounting City code
     * 
     * @param OACAccountingCityCode
     */
    public void setOACAccountingCityCode(String OACAccountingCityCode) {
        this.OACAccountingCityCode = OACAccountingCityCode;
    }

    /** 
     * Get the 'OACAccountingCode' element value. OAC Accounting code
     * 
     * @return value
     */
    public String getOACAccountingCode() {
        return OACAccountingCode;
    }

    /** 
     * Set the 'OACAccountingCode' element value. OAC Accounting code
     * 
     * @param OACAccountingCode
     */
    public void setOACAccountingCode(String OACAccountingCode) {
        this.OACAccountingCode = OACAccountingCode;
    }

    /** 
     * Get the 'HomeCityCode' element value. OAC POS Agent home city code
     * 
     * @return value
     */
    public String getHomeCityCode() {
        return homeCityCode;
    }

    /** 
     * Set the 'HomeCityCode' element value. OAC POS Agent home city code
     * 
     * @param homeCityCode
     */
    public void setHomeCityCode(String homeCityCode) {
        this.homeCityCode = homeCityCode;
    }
}
