
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;

/** 
 * Cabin data form ATPCO RBD Answer Table (A02 record).
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CabinType">
 *   &lt;xs:attribute type="xs:string" name="code"/>
 *   &lt;xs:attribute type="xs:string" name="sabreCode"/>
 *   &lt;xs:attribute type="xs:string" name="name"/>
 *   &lt;xs:attribute type="xs:string" name="shortName"/>
 *   &lt;xs:attribute type="xs:string" name="lang"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CabinType implements Serializable
{
    private String code;
    private String sabreCode;
    private String name;
    private String shortName;
    private String lang;

    /** 
     * Get the 'code' attribute value. Reservation Booking Designator code.
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. Reservation Booking Designator code.
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'sabreCode' attribute value. Reservation Booking Designator Sabre code.
     * 
     * @return value
     */
    public String getSabreCode() {
        return sabreCode;
    }

    /** 
     * Set the 'sabreCode' attribute value. Reservation Booking Designator Sabre code.
     * 
     * @param sabreCode
     */
    public void setSabreCode(String sabreCode) {
        this.sabreCode = sabreCode;
    }

    /** 
     * Get the 'name' attribute value. Long name of the Reservation booking designator. Example: Premium Economy.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'name' attribute value. Long name of the Reservation booking designator. Example: Premium Economy.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'shortName' attribute value. Short name of the Reservation booking designator. Example: PR ECON.
     * 
     * @return value
     */
    public String getShortName() {
        return shortName;
    }

    /** 
     * Set the 'shortName' attribute value. Short name of the Reservation booking designator. Example: PR ECON.
     * 
     * @param shortName
     */
    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    /** 
     * Get the 'lang' attribute value. Language of the names.
     * 
     * @return value
     */
    public String getLang() {
        return lang;
    }

    /** 
     * Set the 'lang' attribute value. Language of the names.
     * 
     * @param lang
     */
    public void setLang(String lang) {
        this.lang = lang;
    }
}
