
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ChargeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Description" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Notes" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0"/>
 *     &lt;xs:element type="ns:CalculationType" name="Calculation" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="xs:string" name="BillingType" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="currencyCode"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ChargeType implements Serializable
{
    private String description;
    private String notes;
    private String name;
    private List<CalculationType> calculationList = new ArrayList<CalculationType>();
    private String billingType;
    private String currencyCode;

    /** 
     * Get the 'Description' element value.
     * 
     * @return value
     */
    public String getDescription() {
        return description;
    }

    /** 
     * Set the 'Description' element value.
     * 
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** 
     * Get the 'Notes' element value.
     * 
     * @return value
     */
    public String getNotes() {
        return notes;
    }

    /** 
     * Set the 'Notes' element value.
     * 
     * @param notes
     */
    public void setNotes(String notes) {
        this.notes = notes;
    }

    /** 
     * Get the 'Name' element value.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the list of 'Calculation' element items.
     * 
     * @return list
     */
    public List<CalculationType> getCalculationList() {
        return calculationList;
    }

    /** 
     * Set the list of 'Calculation' element items.
     * 
     * @param list
     */
    public void setCalculationList(List<CalculationType> list) {
        calculationList = list;
    }

    /** 
     * Get the 'BillingType' element value.
     * 
     * @return value
     */
    public String getBillingType() {
        return billingType;
    }

    /** 
     * Set the 'BillingType' element value.
     * 
     * @param billingType
     */
    public void setBillingType(String billingType) {
        this.billingType = billingType;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }
}
