
package com.sabre.services.sp.pd.v35;

import com.sabre.services.stlpayload.v0201.STLResponsePayload1;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:ns1="http://services.sabre.com/STL_Payload/v02_01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PassengerDetailsRS">
 *   &lt;xs:complexType>
 *     &lt;xs:complexContent>
 *       &lt;xs:extension base="ns1:STL_Response_Payload">
 *         &lt;xs:sequence>
 *           &lt;xs:element name="ItineraryRef" minOccurs="0">
 *             &lt;!-- Reference to inner class ItineraryRef -->
 *           &lt;/xs:element>
 *           &lt;xs:element name="TravelItineraryReadRS" minOccurs="0">
 *             &lt;!-- Reference to inner class TravelItineraryReadRS -->
 *           &lt;/xs:element>
 *         &lt;/xs:sequence>
 *       &lt;/xs:extension>
 *     &lt;/xs:complexContent>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class PassengerDetailsRS extends STLResponsePayload1 implements
    Serializable
{
    private ItineraryRef itineraryRef;
    private TravelItineraryReadRS travelItineraryReadRS;

    /** 
     * Get the 'ItineraryRef' element value.
     * 
     * @return value
     */
    public ItineraryRef getItineraryRef() {
        return itineraryRef;
    }

    /** 
     * Set the 'ItineraryRef' element value.
     * 
     * @param itineraryRef
     */
    public void setItineraryRef(ItineraryRef itineraryRef) {
        this.itineraryRef = itineraryRef;
    }

    /** 
     * Get the 'TravelItineraryReadRS' element value.
     * 
     * @return value
     */
    public TravelItineraryReadRS getTravelItineraryReadRS() {
        return travelItineraryReadRS;
    }

    /** 
     * Set the 'TravelItineraryReadRS' element value.
     * 
     * @param travelItineraryReadRS
     */
    public void setTravelItineraryReadRS(
            TravelItineraryReadRS travelItineraryReadRS) {
        this.travelItineraryReadRS = travelItineraryReadRS;
    }
    /** 
     * Used to pass the ID of the ended record
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ItineraryRef" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:string" name="ID"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class ItineraryRef implements Serializable
    {
        private String ID;

        /** 
         * Get the 'ID' attribute value. Used to return the locator of the ended record
         * 
         * @return value
         */
        public String getID() {
            return ID;
        }

        /** 
         * Set the 'ID' attribute value. Used to return the locator of the ended record
         * 
         * @param ID
         */
        public void setID(String ID) {
            this.ID = ID;
        }
    }
    /** 
     * Used to pass details of the ended record
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelItineraryReadRS" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element ref="ns:TravelItinerary" minOccurs="0"/>
     *       &lt;xs:element ref="ns:PriceQuote" minOccurs="0"/>
     *       &lt;xs:element ref="ns:VCR" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class TravelItineraryReadRS implements Serializable
    {
        private TravelItinerary travelItinerary;
        private PriceQuoteType priceQuote;
        private VCR VCR;

        /** 
         * Get the 'TravelItinerary' element value.
         * 
         * @return value
         */
        public TravelItinerary getTravelItinerary() {
            return travelItinerary;
        }

        /** 
         * Set the 'TravelItinerary' element value.
         * 
         * @param travelItinerary
         */
        public void setTravelItinerary(TravelItinerary travelItinerary) {
            this.travelItinerary = travelItinerary;
        }

        /** 
         * Get the 'PriceQuote' element value.
         * 
         * @return value
         */
        public PriceQuoteType getPriceQuote() {
            return priceQuote;
        }

        /** 
         * Set the 'PriceQuote' element value.
         * 
         * @param priceQuote
         */
        public void setPriceQuote(PriceQuoteType priceQuote) {
            this.priceQuote = priceQuote;
        }

        /** 
         * Get the 'VCR' element value.
         * 
         * @return value
         */
        public VCR getVCR() {
            return VCR;
        }

        /** 
         * Set the 'VCR' element value.
         * 
         * @param VCR
         */
        public void setVCR(VCR VCR) {
            this.VCR = VCR;
        }
    }
}
