
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RefundFare.Tax">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Amount" name="Amount"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" use="required" name="code"/>
 *   &lt;xs:attribute type="xs:boolean" name="refundable"/>
 *   &lt;xs:attribute type="xs:boolean" name="modified"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RefundFareTax implements Serializable
{
    private Amount amount;
    private String code;
    private Boolean refundable;
    private Boolean modified;

    /** 
     * Get the 'Amount' element value.
     * 
     * @return value
     */
    public Amount getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' element value.
     * 
     * @param amount
     */
    public void setAmount(Amount amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'code' attribute value. Tax box identifier
                      Ref: DM0Z_90_TIDE			
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. Tax box identifier
                      Ref: DM0Z_90_TIDE			
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'refundable' attribute value. Ref: #DM0Z_90_NRF
     * 
     * @return value
     */
    public Boolean getRefundable() {
        return refundable;
    }

    /** 
     * Set the 'refundable' attribute value. Ref: #DM0Z_90_NRF
     * 
     * @param refundable
     */
    public void setRefundable(Boolean refundable) {
        this.refundable = refundable;
    }

    /** 
     * Get the 'modified' attribute value. Ref: #DM0Z_90_TAX_MOD
     * 
     * @return value
     */
    public Boolean getModified() {
        return modified;
    }

    /** 
     * Set the 'modified' attribute value. Ref: #DM0Z_90_TAX_MOD
     * 
     * @param modified
     */
    public void setModified(Boolean modified) {
        this.modified = modified;
    }
}
