
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RetailerRulesType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="RetailerRule" maxOccurs="4">
 *       &lt;!-- Reference to inner class RetailerRule -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" default="false" name="force"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RetailerRulesType implements Serializable
{
    private List<RetailerRule> retailerRuleList = new ArrayList<RetailerRule>();
    private Boolean force;

    /** 
     * Get the list of 'RetailerRule' element items.
     * 
     * @return list
     */
    public List<RetailerRule> getRetailerRuleList() {
        return retailerRuleList;
    }

    /** 
     * Set the list of 'RetailerRule' element items.
     * 
     * @param list
     */
    public void setRetailerRuleList(List<RetailerRule> list) {
        retailerRuleList = list;
    }

    /** 
     * Get the 'force' attribute value. If set to true, only fares with a matched Business Rule containing the specified Retailer Rule Qualifier will be returned
     * 
     * @return value
     */
    public Boolean getForce() {
        return force;
    }

    /** 
     * Set the 'force' attribute value. If set to true, only fares with a matched Business Rule containing the specified Retailer Rule Qualifier will be returned
     * 
     * @param force
     */
    public void setForce(Boolean force) {
        this.force = force;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RetailerRule" maxOccurs="4">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:string" use="required" name="code"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class RetailerRule implements Serializable
    {
        private String code;

        /** 
         * Get the 'code' attribute value.
         * 
         * @return value
         */
        public String getCode() {
            return code;
        }

        /** 
         * Set the 'code' attribute value.
         * 
         * @param code
         */
        public void setCode(String code) {
            this.code = code;
        }
    }
}
