
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SegmentCommonAttributes">
 *   &lt;xs:attribute type="xs:string" name="productCategory"/>
 *   &lt;xs:attribute type="xs:string" name="productType"/>
 *   &lt;xs:attribute type="xs:string" name="vendorCode"/>
 *   &lt;xs:attribute type="xs:string" name="statusCode"/>
 *   &lt;xs:attribute type="xs:string" name="previousStatusCode"/>
 *   &lt;xs:attribute type="xs:string" name="startPoint"/>
 *   &lt;xs:attribute type="xs:dateTime" name="startDateTime"/>
 *   &lt;xs:attribute type="xs:string" name="endPoint"/>
 *   &lt;xs:attribute type="xs:dateTime" name="endDateTime"/>
 *   &lt;xs:attribute type="xs:boolean" name="normalizedIndicator"/>
 *   &lt;xs:attribute type="xs:integer" name="numberInParty"/>
 *   &lt;xs:attribute type="xs:string" name="vendorName"/>
 *   &lt;xs:attribute type="xs:string" name="supplierName"/>
 *   &lt;xs:attribute type="xs:string" name="supplierCode"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class SegmentCommonAttributes implements Serializable
{
    private String productCategory;
    private String productType;
    private String vendorCode;
    private String statusCode;
    private String previousStatusCode;
    private String startPoint;
    private Date startDateTime;
    private String endPoint;
    private Date endDateTime;
    private Boolean normalizedIndicator;
    private BigInteger numberInParty;
    private String vendorName;
    private String supplierName;
    private String supplierCode;

    /** 
     * Get the 'productCategory' attribute value. eg. TruTrip, passive, high level source/type
     * 
     * @return value
     */
    public String getProductCategory() {
        return productCategory;
    }

    /** 
     * Set the 'productCategory' attribute value. eg. TruTrip, passive, high level source/type
     * 
     * @param productCategory
     */
    public void setProductCategory(String productCategory) {
        this.productCategory = productCategory;
    }

    /** 
     * Get the 'productType' attribute value.
     * 
     * @return value
     */
    public String getProductType() {
        return productType;
    }

    /** 
     * Set the 'productType' attribute value.
     * 
     * @param productType
     */
    public void setProductType(String productType) {
        this.productType = productType;
    }

    /** 
     * Get the 'vendorCode' attribute value.
     * 
     * @return value
     */
    public String getVendorCode() {
        return vendorCode;
    }

    /** 
     * Set the 'vendorCode' attribute value.
     * 
     * @param vendorCode
     */
    public void setVendorCode(String vendorCode) {
        this.vendorCode = vendorCode;
    }

    /** 
     * Get the 'statusCode' attribute value.
     * 
     * @return value
     */
    public String getStatusCode() {
        return statusCode;
    }

    /** 
     * Set the 'statusCode' attribute value.
     * 
     * @param statusCode
     */
    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    /** 
     * Get the 'previousStatusCode' attribute value.
     * 
     * @return value
     */
    public String getPreviousStatusCode() {
        return previousStatusCode;
    }

    /** 
     * Set the 'previousStatusCode' attribute value.
     * 
     * @param previousStatusCode
     */
    public void setPreviousStatusCode(String previousStatusCode) {
        this.previousStatusCode = previousStatusCode;
    }

    /** 
     * Get the 'startPoint' attribute value.
     * 
     * @return value
     */
    public String getStartPoint() {
        return startPoint;
    }

    /** 
     * Set the 'startPoint' attribute value.
     * 
     * @param startPoint
     */
    public void setStartPoint(String startPoint) {
        this.startPoint = startPoint;
    }

    /** 
     * Get the 'startDateTime' attribute value.
     * 
     * @return value
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /** 
     * Set the 'startDateTime' attribute value.
     * 
     * @param startDateTime
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /** 
     * Get the 'endPoint' attribute value.
     * 
     * @return value
     */
    public String getEndPoint() {
        return endPoint;
    }

    /** 
     * Set the 'endPoint' attribute value.
     * 
     * @param endPoint
     */
    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }

    /** 
     * Get the 'endDateTime' attribute value.
     * 
     * @return value
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /** 
     * Set the 'endDateTime' attribute value.
     * 
     * @param endDateTime
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /** 
     * Get the 'normalizedIndicator' attribute value. When equals to "true" means this data has been normalized with Normalized Service
     * 
     * @return value
     */
    public Boolean getNormalizedIndicator() {
        return normalizedIndicator;
    }

    /** 
     * Set the 'normalizedIndicator' attribute value. When equals to "true" means this data has been normalized with Normalized Service
     * 
     * @param normalizedIndicator
     */
    public void setNormalizedIndicator(Boolean normalizedIndicator) {
        this.normalizedIndicator = normalizedIndicator;
    }

    /** 
     * Get the 'numberInParty' attribute value.
     * 
     * @return value
     */
    public BigInteger getNumberInParty() {
        return numberInParty;
    }

    /** 
     * Set the 'numberInParty' attribute value.
     * 
     * @param numberInParty
     */
    public void setNumberInParty(BigInteger numberInParty) {
        this.numberInParty = numberInParty;
    }

    /** 
     * Get the 'vendorName' attribute value.
     * 
     * @return value
     */
    public String getVendorName() {
        return vendorName;
    }

    /** 
     * Set the 'vendorName' attribute value.
     * 
     * @param vendorName
     */
    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    /** 
     * Get the 'supplierName' attribute value.
     * 
     * @return value
     */
    public String getSupplierName() {
        return supplierName;
    }

    /** 
     * Set the 'supplierName' attribute value.
     * 
     * @param supplierName
     */
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    /** 
     * Get the 'supplierCode' attribute value.
     * 
     * @return value
     */
    public String getSupplierCode() {
        return supplierCode;
    }

    /** 
     * Set the 'supplierCode' attribute value.
     * 
     * @param supplierCode
     */
    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }
}
