
package com.sabre.services.sp.pd.v35;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/pd/v3_5" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceRequestType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Comment" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FreeText" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FullText" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.PassengerAddressInformation" name="PassengerAddressInformation" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.OtherSupplementaryInformation" name="OtherSupplementaryInformation" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.TravelDocument" name="TravelDocument" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.PassengerProvidedContactForPassenger" name="PassengerProvidedContactForPassenger" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.PassengerContactEmail" name="PassengerContactEmail" minOccurs="0"/>
 *     &lt;xs:element type="ns:ServiceRequestType.PassengerContactMobilePhone" name="PassengerContactMobilePhone" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="actionCode"/>
 *   &lt;xs:attribute type="xs:string" name="airlineCode"/>
 *   &lt;xs:attribute type="xs:string" name="code"/>
 *   &lt;xs:attribute type="xs:string" name="serviceCount"/>
 *   &lt;xs:attribute type="xs:string" name="serviceType"/>
 *   &lt;xs:attribute type="xs:string" name="ssrType"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ServiceRequestType implements Serializable
{
    private String comment;
    private String freeText;
    private String fullText;
    private ServiceRequestTypePassengerAddressInformation passengerAddressInformation;
    private ServiceRequestTypeOtherSupplementaryInformation otherSupplementaryInformation;
    private ServiceRequestTypeTravelDocument travelDocument;
    private ServiceRequestTypePassengerProvidedContactForPassenger passengerProvidedContactForPassenger;
    private ServiceRequestTypePassengerContactEmail passengerContactEmail;
    private ServiceRequestTypePassengerContactMobilePhone passengerContactMobilePhone;
    private String actionCode;
    private String airlineCode;
    private String code;
    private String serviceCount;
    private String serviceType;
    private String ssrType;

    /** 
     * Get the 'Comment' element value.
     * 
     * @return value
     */
    public String getComment() {
        return comment;
    }

    /** 
     * Set the 'Comment' element value.
     * 
     * @param comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /** 
     * Get the 'FreeText' element value.
     * 
     * @return value
     */
    public String getFreeText() {
        return freeText;
    }

    /** 
     * Set the 'FreeText' element value.
     * 
     * @param freeText
     */
    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    /** 
     * Get the 'FullText' element value.
     * 
     * @return value
     */
    public String getFullText() {
        return fullText;
    }

    /** 
     * Set the 'FullText' element value.
     * 
     * @param fullText
     */
    public void setFullText(String fullText) {
        this.fullText = fullText;
    }

    /** 
     * Get the 'PassengerAddressInformation' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypePassengerAddressInformation getPassengerAddressInformation() {
        return passengerAddressInformation;
    }

    /** 
     * Set the 'PassengerAddressInformation' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param passengerAddressInformation
     */
    public void setPassengerAddressInformation(
            ServiceRequestTypePassengerAddressInformation passengerAddressInformation) {
        this.passengerAddressInformation = passengerAddressInformation;
    }

    /** 
     * Get the 'OtherSupplementaryInformation' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypeOtherSupplementaryInformation getOtherSupplementaryInformation() {
        return otherSupplementaryInformation;
    }

    /** 
     * Set the 'OtherSupplementaryInformation' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param otherSupplementaryInformation
     */
    public void setOtherSupplementaryInformation(
            ServiceRequestTypeOtherSupplementaryInformation otherSupplementaryInformation) {
        this.otherSupplementaryInformation = otherSupplementaryInformation;
    }

    /** 
     * Get the 'TravelDocument' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypeTravelDocument getTravelDocument() {
        return travelDocument;
    }

    /** 
     * Set the 'TravelDocument' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param travelDocument
     */
    public void setTravelDocument(
            ServiceRequestTypeTravelDocument travelDocument) {
        this.travelDocument = travelDocument;
    }

    /** 
     * Get the 'PassengerProvidedContactForPassenger' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypePassengerProvidedContactForPassenger getPassengerProvidedContactForPassenger() {
        return passengerProvidedContactForPassenger;
    }

    /** 
     * Set the 'PassengerProvidedContactForPassenger' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param passengerProvidedContactForPassenger
     */
    public void setPassengerProvidedContactForPassenger(
            ServiceRequestTypePassengerProvidedContactForPassenger passengerProvidedContactForPassenger) {
        this.passengerProvidedContactForPassenger = passengerProvidedContactForPassenger;
    }

    /** 
     * Get the 'PassengerContactEmail' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypePassengerContactEmail getPassengerContactEmail() {
        return passengerContactEmail;
    }

    /** 
     * Set the 'PassengerContactEmail' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param passengerContactEmail
     */
    public void setPassengerContactEmail(
            ServiceRequestTypePassengerContactEmail passengerContactEmail) {
        this.passengerContactEmail = passengerContactEmail;
    }

    /** 
     * Get the 'PassengerContactMobilePhone' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public ServiceRequestTypePassengerContactMobilePhone getPassengerContactMobilePhone() {
        return passengerContactMobilePhone;
    }

    /** 
     * Set the 'PassengerContactMobilePhone' element value. PassengerAddressInformation, OtherSupplementaryInformation, TravelDocument, PassengerProvidedContactForPassenger, PassengerContactEmail and  PassengerContactMobilePhone are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param passengerContactMobilePhone
     */
    public void setPassengerContactMobilePhone(
            ServiceRequestTypePassengerContactMobilePhone passengerContactMobilePhone) {
        this.passengerContactMobilePhone = passengerContactMobilePhone;
    }

    /** 
     * Get the 'actionCode' attribute value. NN,HK,KK ... etc.
     * 
     * @return value
     */
    public String getActionCode() {
        return actionCode;
    }

    /** 
     * Set the 'actionCode' attribute value. NN,HK,KK ... etc.
     * 
     * @param actionCode
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode;
    }

    /** 
     * Get the 'airlineCode' attribute value. ex. EY
     * 
     * @return value
     */
    public String getAirlineCode() {
        return airlineCode;
    }

    /** 
     * Set the 'airlineCode' attribute value. ex. EY
     * 
     * @param airlineCode
     */
    public void setAirlineCode(String airlineCode) {
        this.airlineCode = airlineCode;
    }

    /** 
     * Get the 'code' attribute value. DOCS,DOCO ... etc.
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. DOCS,DOCO ... etc.
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'serviceCount' attribute value. Count of service items
     * 
     * @return value
     */
    public String getServiceCount() {
        return serviceCount;
    }

    /** 
     * Set the 'serviceCount' attribute value. Count of service items
     * 
     * @param serviceCount
     */
    public void setServiceCount(String serviceCount) {
        this.serviceCount = serviceCount;
    }

    /** 
     * Get the 'serviceType' attribute value. OSI/SSR or O/S
     * 
     * @return value
     */
    public String getServiceType() {
        return serviceType;
    }

    /** 
     * Set the 'serviceType' attribute value. OSI/SSR or O/S
     * 
     * @param serviceType
     */
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    /** 
     * Get the 'ssrType' attribute value. AFX/GFX or A/G
     * 
     * @return value
     */
    public String getSsrType() {
        return ssrType;
    }

    /** 
     * Set the 'ssrType' attribute value. AFX/GFX or A/G
     * 
     * @param ssrType
     */
    public void setSsrType(String ssrType) {
        this.ssrType = ssrType;
    }
}
