
package com.sabre.services.sp.updatereservation.v11;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/updatereservation/v1_1" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FormOfPayment">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:PaymentCard" name="PaymentCard" minOccurs="0"/>
 *     &lt;xs:element type="ns:Cash" name="Cash" minOccurs="0"/>
 *     &lt;xs:element type="ns:Check" name="Check" minOccurs="0"/>
 *     &lt;xs:element type="ns:Invoice" name="Invoice" minOccurs="0"/>
 *     &lt;xs:element type="ns:Docket" name="Docket" minOccurs="0"/>
 *     &lt;xs:element type="ns:GTR" name="GTR" minOccurs="0"/>
 *     &lt;xs:element type="ns:VirtualCard" name="VirtualCard" minOccurs="0"/>
 *     &lt;xs:element type="ns:OtherFOP" name="Other" minOccurs="0"/>
 *     &lt;xs:element type="ns:PayLaterPlan" name="PayLaterPlan" minOccurs="0"/>
 *     &lt;xs:element type="ns:LoyaltyProgramRedemption" name="LoyaltyProgramRedemption" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" name="miscFOP"/>
 *   &lt;xs:attribute type="xs:boolean" default="false" name="migrated"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FormOfPayment implements Serializable
{
    private PaymentCard paymentCard;
    private Cash cash;
    private Check check;
    private Invoice invoice;
    private Docket docket;
    private GTR GTR;
    private VirtualCard virtualCard;
    private OtherFOP other;
    private PayLaterPlan payLaterPlan;
    private LoyaltyProgramRedemption loyaltyProgramRedemption;
    private Boolean miscFOP;
    private Boolean migrated;

    /** 
     * Get the 'PaymentCard' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public PaymentCard getPaymentCard() {
        return paymentCard;
    }

    /** 
     * Set the 'PaymentCard' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param paymentCard
     */
    public void setPaymentCard(PaymentCard paymentCard) {
        this.paymentCard = paymentCard;
    }

    /** 
     * Get the 'Cash' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public Cash getCash() {
        return cash;
    }

    /** 
     * Set the 'Cash' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param cash
     */
    public void setCash(Cash cash) {
        this.cash = cash;
    }

    /** 
     * Get the 'Check' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public Check getCheck() {
        return check;
    }

    /** 
     * Set the 'Check' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param check
     */
    public void setCheck(Check check) {
        this.check = check;
    }

    /** 
     * Get the 'Invoice' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public Invoice getInvoice() {
        return invoice;
    }

    /** 
     * Set the 'Invoice' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param invoice
     */
    public void setInvoice(Invoice invoice) {
        this.invoice = invoice;
    }

    /** 
     * Get the 'Docket' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public Docket getDocket() {
        return docket;
    }

    /** 
     * Set the 'Docket' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param docket
     */
    public void setDocket(Docket docket) {
        this.docket = docket;
    }

    /** 
     * Get the 'GTR' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public GTR getGTR() {
        return GTR;
    }

    /** 
     * Set the 'GTR' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param GTR
     */
    public void setGTR(GTR GTR) {
        this.GTR = GTR;
    }

    /** 
     * Get the 'VirtualCard' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public VirtualCard getVirtualCard() {
        return virtualCard;
    }

    /** 
     * Set the 'VirtualCard' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param virtualCard
     */
    public void setVirtualCard(VirtualCard virtualCard) {
        this.virtualCard = virtualCard;
    }

    /** 
     * Get the 'Other' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public OtherFOP getOther() {
        return other;
    }

    /** 
     * Set the 'Other' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param other
     */
    public void setOther(OtherFOP other) {
        this.other = other;
    }

    /** 
     * Get the 'PayLaterPlan' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public PayLaterPlan getPayLaterPlan() {
        return payLaterPlan;
    }

    /** 
     * Set the 'PayLaterPlan' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param payLaterPlan
     */
    public void setPayLaterPlan(PayLaterPlan payLaterPlan) {
        this.payLaterPlan = payLaterPlan;
    }

    /** 
     * Get the 'LoyaltyProgramRedemption' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @return value
     */
    public LoyaltyProgramRedemption getLoyaltyProgramRedemption() {
        return loyaltyProgramRedemption;
    }

    /** 
     * Set the 'LoyaltyProgramRedemption' element value. PaymentCard, Cash, Check, Invoice, Docket, GTR, VirtualCard, Other, PayLaterPlan and LoyaltyProgramRedemption are mutually exclusive in original TIR schema,
                          this was simplified for easier xsd -&gt; JSON conversion.
                          For original schemas please refer to https://beta.developer.sabre.com/docs/soap_apis/management/itinerary/Get_Itinerary
     * 
     * @param loyaltyProgramRedemption
     */
    public void setLoyaltyProgramRedemption(
            LoyaltyProgramRedemption loyaltyProgramRedemption) {
        this.loyaltyProgramRedemption = loyaltyProgramRedemption;
    }

    /** 
     * Get the 'miscFOP' attribute value.
     * 
     * @return value
     */
    public Boolean getMiscFOP() {
        return miscFOP;
    }

    /** 
     * Set the 'miscFOP' attribute value.
     * 
     * @param miscFOP
     */
    public void setMiscFOP(Boolean miscFOP) {
        this.miscFOP = miscFOP;
    }

    /** 
     * Get the 'migrated' attribute value.
     * 
     * @return value
     */
    public Boolean getMigrated() {
        return migrated;
    }

    /** 
     * Set the 'migrated' attribute value.
     * 
     * @param migrated
     */
    public void setMigrated(Boolean migrated) {
        this.migrated = migrated;
    }
}
