
package com.sabre.services.sp.updatereservation.v11;

import java.io.Serializable;
import java.math.BigInteger;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/sp/updatereservation/v1_1" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SegmentOrTravelPortion">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="AirlineCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OperatingFlightNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
 *     &lt;xs:element type="xs:date" name="DepartureDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="BoardPoint" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OffPoint" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="EquipmentType" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ETicketNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ETicketCoupon" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="EMDNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="EMDCoupon" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MarketingCarrier" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OperatingCarrier" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:integer" name="sequence"/>
 *   &lt;xs:attribute type="xs:boolean" name="advisory"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SegmentOrTravelPortion implements Serializable
{
    private String airlineCode;
    private String flightNumber;
    private String operatingFlightNumber;
    private String classOfService;
    private Date departureDate;
    private String boardPoint;
    private String offPoint;
    private String equipmentType;
    private String ETicketNumber;
    private String ETicketCoupon;
    private String EMDNumber;
    private String EMDCoupon;
    private String marketingCarrier;
    private String operatingCarrier;
    private String id;
    private BigInteger sequence;
    private Boolean advisory;

    /** 
     * Get the 'AirlineCode' element value.
     * 
     * @return value
     */
    public String getAirlineCode() {
        return airlineCode;
    }

    /** 
     * Set the 'AirlineCode' element value.
     * 
     * @param airlineCode
     */
    public void setAirlineCode(String airlineCode) {
        this.airlineCode = airlineCode;
    }

    /** 
     * Get the 'FlightNumber' element value.
     * 
     * @return value
     */
    public String getFlightNumber() {
        return flightNumber;
    }

    /** 
     * Set the 'FlightNumber' element value.
     * 
     * @param flightNumber
     */
    public void setFlightNumber(String flightNumber) {
        this.flightNumber = flightNumber;
    }

    /** 
     * Get the 'OperatingFlightNumber' element value. Operating flight number
     * 
     * @return value
     */
    public String getOperatingFlightNumber() {
        return operatingFlightNumber;
    }

    /** 
     * Set the 'OperatingFlightNumber' element value. Operating flight number
     * 
     * @param operatingFlightNumber
     */
    public void setOperatingFlightNumber(String operatingFlightNumber) {
        this.operatingFlightNumber = operatingFlightNumber;
    }

    /** 
     * Get the 'ClassOfService' element value.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'DepartureDate' element value.
     * 
     * @return value
     */
    public Date getDepartureDate() {
        return departureDate;
    }

    /** 
     * Set the 'DepartureDate' element value.
     * 
     * @param departureDate
     */
    public void setDepartureDate(Date departureDate) {
        this.departureDate = departureDate;
    }

    /** 
     * Get the 'BoardPoint' element value.
     * 
     * @return value
     */
    public String getBoardPoint() {
        return boardPoint;
    }

    /** 
     * Set the 'BoardPoint' element value.
     * 
     * @param boardPoint
     */
    public void setBoardPoint(String boardPoint) {
        this.boardPoint = boardPoint;
    }

    /** 
     * Get the 'OffPoint' element value.
     * 
     * @return value
     */
    public String getOffPoint() {
        return offPoint;
    }

    /** 
     * Set the 'OffPoint' element value.
     * 
     * @param offPoint
     */
    public void setOffPoint(String offPoint) {
        this.offPoint = offPoint;
    }

    /** 
     * Get the 'EquipmentType' element value.
     * 
     * @return value
     */
    public String getEquipmentType() {
        return equipmentType;
    }

    /** 
     * Set the 'EquipmentType' element value.
     * 
     * @param equipmentType
     */
    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    /** 
     * Get the 'ETicketNumber' element value.
     * 
     * @return value
     */
    public String getETicketNumber() {
        return ETicketNumber;
    }

    /** 
     * Set the 'ETicketNumber' element value.
     * 
     * @param ETicketNumber
     */
    public void setETicketNumber(String ETicketNumber) {
        this.ETicketNumber = ETicketNumber;
    }

    /** 
     * Get the 'ETicketCoupon' element value.
     * 
     * @return value
     */
    public String getETicketCoupon() {
        return ETicketCoupon;
    }

    /** 
     * Set the 'ETicketCoupon' element value.
     * 
     * @param ETicketCoupon
     */
    public void setETicketCoupon(String ETicketCoupon) {
        this.ETicketCoupon = ETicketCoupon;
    }

    /** 
     * Get the 'EMDNumber' element value.
     * 
     * @return value
     */
    public String getEMDNumber() {
        return EMDNumber;
    }

    /** 
     * Set the 'EMDNumber' element value.
     * 
     * @param EMDNumber
     */
    public void setEMDNumber(String EMDNumber) {
        this.EMDNumber = EMDNumber;
    }

    /** 
     * Get the 'EMDCoupon' element value.
     * 
     * @return value
     */
    public String getEMDCoupon() {
        return EMDCoupon;
    }

    /** 
     * Set the 'EMDCoupon' element value.
     * 
     * @param EMDCoupon
     */
    public void setEMDCoupon(String EMDCoupon) {
        this.EMDCoupon = EMDCoupon;
    }

    /** 
     * Get the 'MarketingCarrier' element value.
     * 
     * @return value
     */
    public String getMarketingCarrier() {
        return marketingCarrier;
    }

    /** 
     * Set the 'MarketingCarrier' element value.
     * 
     * @param marketingCarrier
     */
    public void setMarketingCarrier(String marketingCarrier) {
        this.marketingCarrier = marketingCarrier;
    }

    /** 
     * Get the 'OperatingCarrier' element value.
     * 
     * @return value
     */
    public String getOperatingCarrier() {
        return operatingCarrier;
    }

    /** 
     * Set the 'OperatingCarrier' element value.
     * 
     * @param operatingCarrier
     */
    public void setOperatingCarrier(String operatingCarrier) {
        this.operatingCarrier = operatingCarrier;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'sequence' attribute value.
     * 
     * @return value
     */
    public BigInteger getSequence() {
        return sequence;
    }

    /** 
     * Set the 'sequence' attribute value.
     * 
     * @param sequence
     */
    public void setSequence(BigInteger sequence) {
        this.sequence = sequence;
    }

    /** 
     * Get the 'advisory' attribute value.
     * 
     * @return value
     */
    public Boolean getAdvisory() {
        return advisory;
    }

    /** 
     * Set the 'advisory' attribute value.
     * 
     * @param advisory
     */
    public void setAdvisory(Boolean advisory) {
        this.advisory = advisory;
    }
}
