
package com.sabre.services.stl.v02;

import java.io.Serializable;
import org.opentravel.common.message.v02.ExtensionPointDetail;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v02" xmlns:ns1="http://opentravel.org/common/message/v02" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Address_Detail">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:Address">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns1:ExtensionPoint_Detail" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *       &lt;xs:attribute type="xs:boolean" use="optional" name="defaultInd"/>
 *       &lt;xs:attribute type="xs:boolean" use="optional" name="shareSyncInd"/>
 *       &lt;xs:attribute type="xs:boolean" use="optional" name="shareMarketingInd"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AddressDetail extends Address1 implements Serializable
{
    private ExtensionPointDetail extensionPointDetail;
    private Boolean defaultInd;
    private Boolean shareSyncInd;
    private Boolean shareMarketingInd;

    /** 
     * Get the 'ExtensionPoint_Detail' element value.
     * 
     * @return value
     */
    public ExtensionPointDetail getExtensionPointDetail() {
        return extensionPointDetail;
    }

    /** 
     * Set the 'ExtensionPoint_Detail' element value.
     * 
     * @param extensionPointDetail
     */
    public void setExtensionPointDetail(
            ExtensionPointDetail extensionPointDetail) {
        this.extensionPointDetail = extensionPointDetail;
    }

    /** 
     * Get the 'defaultInd' attribute value. Indicates that the receiving system should assume the default value if the
                              user specifies no overriding value or action.
                          
     * 
     * @return value
     */
    public Boolean getDefaultInd() {
        return defaultInd;
    }

    /** 
     * Set the 'defaultInd' attribute value. Indicates that the receiving system should assume the default value if the
                              user specifies no overriding value or action.
                          
     * 
     * @param defaultInd
     */
    public void setDefaultInd(Boolean defaultInd) {
        this.defaultInd = defaultInd;
    }

    /** 
     * Get the 'shareSyncInd' attribute value. Assigned XSD Type:
                              {http://services.sabre.com/STL/v01}ShareIndicator
                          
     * 
     * @return value
     */
    public Boolean getShareSyncInd() {
        return shareSyncInd;
    }

    /** 
     * Set the 'shareSyncInd' attribute value. Assigned XSD Type:
                              {http://services.sabre.com/STL/v01}ShareIndicator
                          
     * 
     * @param shareSyncInd
     */
    public void setShareSyncInd(Boolean shareSyncInd) {
        this.shareSyncInd = shareSyncInd;
    }

    /** 
     * Get the 'shareMarketingInd' attribute value. Assigned XSD Type:
                              {http://services.sabre.com/STL/v01}ShareIndicator
                          
     * 
     * @return value
     */
    public Boolean getShareMarketingInd() {
        return shareMarketingInd;
    }

    /** 
     * Set the 'shareMarketingInd' attribute value. Assigned XSD Type:
                              {http://services.sabre.com/STL/v01}ShareIndicator
                          
     * 
     * @param shareMarketingInd
     */
    public void setShareMarketingInd(Boolean shareMarketingInd) {
        this.shareMarketingInd = shareMarketingInd;
    }
}
