
package com.sabre.services.stlheader.v120;

import java.io.Serializable;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL_Header/v120" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ProblemBase">
 *   &lt;xs:attribute type="ns:ErrorType" use="required" name="type"/>
 *   &lt;xs:attribute type="ns:CompletionCodes" use="required" name="status"/>
 *   &lt;xs:attribute type="xs:dateTime" name="timeStamp"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ProblemBase implements Serializable
{
    private ErrorType type;
    private CompletionCodes status;
    private Date timeStamp;

    /** 
     * Get the 'type' attribute value. An indication of the source of error when processing the request.
     * 
     * @return value
     */
    public ErrorType getType() {
        return type;
    }

    /** 
     * Set the 'type' attribute value. An indication of the source of error when processing the request.
     * 
     * @param type
     */
    public void setType(ErrorType type) {
        this.type = type;
    }

    /** 
     * Get the 'status' attribute value. Impact of the error on process completion.
     * 
     * @return value
     */
    public CompletionCodes getStatus() {
        return status;
    }

    /** 
     * Set the 'status' attribute value. Impact of the error on process completion.
     * 
     * @param status
     */
    public void setStatus(CompletionCodes status) {
        this.status = status;
    }

    /** 
     * Get the 'timeStamp' attribute value.
     * 
     * @return value
     */
    public Date getTimeStamp() {
        return timeStamp;
    }

    /** 
     * Set the 'timeStamp' attribute value.
     * 
     * @param timeStamp
     */
    public void setTimeStamp(Date timeStamp) {
        this.timeStamp = timeStamp;
    }
}
