
package com.sabre.services.stlheader.v120;

import java.io.Serializable;

/** 
 * Header records no longer contain user credentials (username/password) as these are needed only for 
 SessionCreateRQ in which the credentials should be in the payload.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL_Header/v120" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Security">
 *   &lt;xs:choice>
 *     &lt;xs:element type="xs:string" name="SecurityToken"/>
 *   &lt;/xs:choice>
 * &lt;/xs:complexType>
 * </pre>
 */
public class Security implements Serializable
{
    private String securityToken;

    /** 
     * Get the 'SecurityToken' element value.
     * 
     * @return value
     */
    public String getSecurityToken() {
        return securityToken;
    }

    /** 
     * Set the 'SecurityToken' element value.
     * 
     * @param securityToken
     */
    public void setSecurityToken(String securityToken) {
        this.securityToken = securityToken;
    }
}
