
package com.sabre.services.stlpayload.v0201;

import com.sabre.services.stlmessagecommon.v0201.ErrorType;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL_MessageCommon/v02_01" xmlns:ns1="http://services.sabre.com/STL_Payload/v02_01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ProblemInformation">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns1:SystemSpecificResults" name="SystemSpecificResults" minOccurs="0" maxOccurs="99"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="ns:ErrorType" name="type"/>
 *   &lt;xs:attribute type="xs:dateTime" name="timeStamp"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ProblemInformation implements Serializable
{
    private List<SystemSpecificResults> systemSpecificResultList = new ArrayList<SystemSpecificResults>();
    private ErrorType type;
    private Date timeStamp;

    /** 
     * Get the list of 'SystemSpecificResults' element items.
     * 
     * @return list
     */
    public List<SystemSpecificResults> getSystemSpecificResultList() {
        return systemSpecificResultList;
    }

    /** 
     * Set the list of 'SystemSpecificResults' element items.
     * 
     * @param list
     */
    public void setSystemSpecificResultList(List<SystemSpecificResults> list) {
        systemSpecificResultList = list;
    }

    /** 
     * Get the 'type' attribute value. An indication of the source of error when processing the request.
     * 
     * @return value
     */
    public ErrorType getType() {
        return type;
    }

    /** 
     * Set the 'type' attribute value. An indication of the source of error when processing the request.
     * 
     * @param type
     */
    public void setType(ErrorType type) {
        this.type = type;
    }

    /** 
     * Get the 'timeStamp' attribute value.
     * 
     * @return value
     */
    public Date getTimeStamp() {
        return timeStamp;
    }

    /** 
     * Set the 'timeStamp' attribute value.
     * 
     * @param timeStamp
     */
    public void setTimeStamp(Date timeStamp) {
        this.timeStamp = timeStamp;
    }
}
