
package com.sabre.stl.merchandising.v6;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://stl.sabre.com/Merchandising/v6" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Flight_Segment_Journey_data">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Id" minOccurs="0"/>
 *     &lt;xs:element type="ns:ChoiceType" name="CnxxIndicator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="ActionCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FareBasisCode" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FlightSegmentJourneyData1 implements Serializable
{
    private String id;
    private ChoiceType cnxxIndicator;
    private String classOfService;
    private String actionCode;
    private String fareBasisCode;

    /** 
     * Get the 'Id' element value. Unique identifier
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'Id' element value. Unique identifier
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'CnxxIndicator' element value. If Y, there are one or more connections.
     * 
     * @return value
     */
    public ChoiceType getCnxxIndicator() {
        return cnxxIndicator;
    }

    /** 
     * Set the 'CnxxIndicator' element value. If Y, there are one or more connections.
     * 
     * @param cnxxIndicator
     */
    public void setCnxxIndicator(ChoiceType cnxxIndicator) {
        this.cnxxIndicator = cnxxIndicator;
    }

    /** 
     * Get the 'ClassOfService' element value. Class of service.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value. Class of service.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'ActionCode' element value. Reservation system action code.Example: HK
                          ACCEPTED VALUES: 2 character reservation code.Sabre will only pass segments
                          with SS and HK status as journey control data
                      
     * 
     * @return value
     */
    public String getActionCode() {
        return actionCode;
    }

    /** 
     * Set the 'ActionCode' element value. Reservation system action code.Example: HK
                          ACCEPTED VALUES: 2 character reservation code.Sabre will only pass segments
                          with SS and HK status as journey control data
                      
     * 
     * @param actionCode
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode;
    }

    /** 
     * Get the 'FareBasisCode' element value. Fare Basis Code for the filed fare.
     * 
     * @return value
     */
    public String getFareBasisCode() {
        return fareBasisCode;
    }

    /** 
     * Set the 'FareBasisCode' element value. Fare Basis Code for the filed fare.
     * 
     * @param fareBasisCode
     */
    public void setFareBasisCode(String fareBasisCode) {
        this.fareBasisCode = fareBasisCode;
    }
}
