
package com.sabre.stl.merchandising.v6;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://stl.sabre.com/Merchandising/v6" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Request">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="Stateful"/>
 *     &lt;xs:enumeration value="Stateless"/>
 *     &lt;xs:enumeration value="Payload"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum Request implements Serializable {
    STATEFUL("Stateful"), STATELESS("Stateless"), PAYLOAD("Payload");
    private final String value;

    private Request(String value) {
        this.value = value;
    }

    public String xmlValue() {
        return value;
    }

    public static Request convert(String value) {
        for (Request inst : values()) {
            if (inst.xmlValue().equals(value)) {
                return inst;
            }
        }
        return null;
    }
}
