
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Max line lengths

 * generic DOCS/DOCO - 108 chars
 after the first slash.
 Alphas, numerics, slashses and spaces are
 allowed.
 *segment specific DOCS/DOCO - 91 chars after the first
 slash
 * DOCA is variable. It is the same as DOCS and
 DOCO unless associated to more than one name. There is
 one less char allowed for
 each name to which the item is
 associated.
 * the AFAX DOCA (4DOCA) has a max length of 127 chars

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="APISRequest.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:DOCAEntry.PNRB" name="DOCAEntry" minOccurs="0"/>
 *     &lt;xs:element type="ns:DOCOEntry.PNRB" name="DOCOEntry" minOccurs="0"/>
 *     &lt;xs:element type="ns:DOCSEntry.PNRB" name="DOCSEntry" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="RPH"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class APISRequestPNRB implements Serializable
{
    private DOCAEntryPNRB DOCAEntry;
    private DOCOEntryPNRB DOCOEntry;
    private DOCSEntryPNRB DOCSEntry;
    private String RPH;

    /** 
     * Get the 'DOCAEntry' element value. Code indicating the type of SSR that was sent.
     * 
     * @return value
     */
    public DOCAEntryPNRB getDOCAEntry() {
        return DOCAEntry;
    }

    /** 
     * Set the 'DOCAEntry' element value. Code indicating the type of SSR that was sent.
     * 
     * @param DOCAEntry
     */
    public void setDOCAEntry(DOCAEntryPNRB DOCAEntry) {
        this.DOCAEntry = DOCAEntry;
    }

    /** 
     * Get the 'DOCOEntry' element value. Code indicating the type of SSR that was sent.
     * 
     * @return value
     */
    public DOCOEntryPNRB getDOCOEntry() {
        return DOCOEntry;
    }

    /** 
     * Set the 'DOCOEntry' element value. Code indicating the type of SSR that was sent.
     * 
     * @param DOCOEntry
     */
    public void setDOCOEntry(DOCOEntryPNRB DOCOEntry) {
        this.DOCOEntry = DOCOEntry;
    }

    /** 
     * Get the 'DOCSEntry' element value.
     * 
     * @return value
     */
    public DOCSEntryPNRB getDOCSEntry() {
        return DOCSEntry;
    }

    /** 
     * Set the 'DOCSEntry' element value.
     * 
     * @param DOCSEntry
     */
    public void setDOCSEntry(DOCSEntryPNRB DOCSEntry) {
        this.DOCSEntry = DOCSEntry;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
