
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.util.Date;
import org.w3c.dom.Element;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Action.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="RuleSet" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Rule" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="TargetMethod" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Target" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ActionOwner" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ActionPrimeHost" minOccurs="0"/>
 *     &lt;xs:element name="TripActionData" minOccurs="0">
 *       &lt;xs:complexType>
 *         &lt;xs:sequence>
 *           &lt;xs:any minOccurs="0" processContents="lax"/>
 *         &lt;/xs:sequence>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:string" name="externalRecordId"/>
 *   &lt;xs:attribute type="xs:dateTime" name="ActionDue"/>
 *   &lt;xs:attribute type="xs:dateTime" name="ActionDone"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ActionPNRB implements Serializable
{
    private String ruleSet;
    private String rule;
    private String targetMethod;
    private String target;
    private String actionOwner;
    private String actionPrimeHost;
    private Element tripActionData;
    private String id;
    private String externalRecordId;
    private Date actionDue;
    private Date actionDone;
    private OperationTypePNRB op;

    /** 
     * Get the 'RuleSet' element value.
     * 
     * @return value
     */
    public String getRuleSet() {
        return ruleSet;
    }

    /** 
     * Set the 'RuleSet' element value.
     * 
     * @param ruleSet
     */
    public void setRuleSet(String ruleSet) {
        this.ruleSet = ruleSet;
    }

    /** 
     * Get the 'Rule' element value.
     * 
     * @return value
     */
    public String getRule() {
        return rule;
    }

    /** 
     * Set the 'Rule' element value.
     * 
     * @param rule
     */
    public void setRule(String rule) {
        this.rule = rule;
    }

    /** 
     * Get the 'TargetMethod' element value.
     * 
     * @return value
     */
    public String getTargetMethod() {
        return targetMethod;
    }

    /** 
     * Set the 'TargetMethod' element value.
     * 
     * @param targetMethod
     */
    public void setTargetMethod(String targetMethod) {
        this.targetMethod = targetMethod;
    }

    /** 
     * Get the 'Target' element value.
     * 
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /** 
     * Set the 'Target' element value.
     * 
     * @param target
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /** 
     * Get the 'ActionOwner' element value.
     * 
     * @return value
     */
    public String getActionOwner() {
        return actionOwner;
    }

    /** 
     * Set the 'ActionOwner' element value.
     * 
     * @param actionOwner
     */
    public void setActionOwner(String actionOwner) {
        this.actionOwner = actionOwner;
    }

    /** 
     * Get the 'ActionPrimeHost' element value.
     * 
     * @return value
     */
    public String getActionPrimeHost() {
        return actionPrimeHost;
    }

    /** 
     * Set the 'ActionPrimeHost' element value.
     * 
     * @param actionPrimeHost
     */
    public void setActionPrimeHost(String actionPrimeHost) {
        this.actionPrimeHost = actionPrimeHost;
    }

    /** 
     * Get the 'TripActionData' element value.
     * 
     * @return value
     */
    public Element getTripActionData() {
        return tripActionData;
    }

    /** 
     * Set the 'TripActionData' element value.
     * 
     * @param tripActionData
     */
    public void setTripActionData(Element tripActionData) {
        this.tripActionData = tripActionData;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'externalRecordId' attribute value.
     * 
     * @return value
     */
    public String getExternalRecordId() {
        return externalRecordId;
    }

    /** 
     * Set the 'externalRecordId' attribute value.
     * 
     * @param externalRecordId
     */
    public void setExternalRecordId(String externalRecordId) {
        this.externalRecordId = externalRecordId;
    }

    /** 
     * Get the 'ActionDue' attribute value.
     * 
     * @return value
     */
    public Date getActionDue() {
        return actionDue;
    }

    /** 
     * Set the 'ActionDue' attribute value.
     * 
     * @param actionDue
     */
    public void setActionDue(Date actionDue) {
        this.actionDue = actionDue;
    }

    /** 
     * Get the 'ActionDone' attribute value.
     * 
     * @return value
     */
    public Date getActionDone() {
        return actionDone;
    }

    /** 
     * Set the 'ActionDone' attribute value.
     * 
     * @param actionDone
     */
    public void setActionDone(Date actionDone) {
        this.actionDone = actionDone;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
