
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.sql.Date;
import java.sql.Time;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSegmentBundledSell.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AirlineCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:date" name="DepartureDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DepartureCity" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ArrivalCity" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ConnectingCity" minOccurs="0"/>
 *     &lt;xs:element type="xs:time" name="DepartureTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:date" name="ArrivalDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:time" name="ArrivalTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:int" name="NumberOfStops" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="StatusCode" minOccurs="0"/>
 *     &lt;xs:element type="ns:ItinerarySpecialRequests.PNRB" name="SegmentSpecialRequests" minOccurs="0"/>
 *     &lt;xs:element type="ns:Loyalty.PNRB" name="FrequentFlyer" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="segmentNumber"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:AirSegmentType.PNRB" name="type"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirSegmentBundledSellPNRB implements Serializable
{
    private String classOfService;
    private String airlineCode;
    private Date departureDate;
    private String departureCity;
    private String arrivalCity;
    private String connectingCity;
    private Time departureTime;
    private String flightNumber;
    private Date arrivalDate;
    private Time arrivalTime;
    private Integer numberOfStops;
    private String statusCode;
    private ItinerarySpecialRequestsPNRB segmentSpecialRequests;
    private LoyaltyPNRB frequentFlyer;
    private BigInteger segmentNumber;
    private String id;
    private AirSegmentTypePNRB type;
    private OperationTypePNRB op;

    /** 
     * Get the 'ClassOfService' element value.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'AirlineCode' element value.
     * 
     * @return value
     */
    public String getAirlineCode() {
        return airlineCode;
    }

    /** 
     * Set the 'AirlineCode' element value.
     * 
     * @param airlineCode
     */
    public void setAirlineCode(String airlineCode) {
        this.airlineCode = airlineCode;
    }

    /** 
     * Get the 'DepartureDate' element value.
     * 
     * @return value
     */
    public Date getDepartureDate() {
        return departureDate;
    }

    /** 
     * Set the 'DepartureDate' element value.
     * 
     * @param departureDate
     */
    public void setDepartureDate(Date departureDate) {
        this.departureDate = departureDate;
    }

    /** 
     * Get the 'DepartureCity' element value.
     * 
     * @return value
     */
    public String getDepartureCity() {
        return departureCity;
    }

    /** 
     * Set the 'DepartureCity' element value.
     * 
     * @param departureCity
     */
    public void setDepartureCity(String departureCity) {
        this.departureCity = departureCity;
    }

    /** 
     * Get the 'ArrivalCity' element value.
     * 
     * @return value
     */
    public String getArrivalCity() {
        return arrivalCity;
    }

    /** 
     * Set the 'ArrivalCity' element value.
     * 
     * @param arrivalCity
     */
    public void setArrivalCity(String arrivalCity) {
        this.arrivalCity = arrivalCity;
    }

    /** 
     * Get the 'ConnectingCity' element value.
     * 
     * @return value
     */
    public String getConnectingCity() {
        return connectingCity;
    }

    /** 
     * Set the 'ConnectingCity' element value.
     * 
     * @param connectingCity
     */
    public void setConnectingCity(String connectingCity) {
        this.connectingCity = connectingCity;
    }

    /** 
     * Get the 'DepartureTime' element value.
     * 
     * @return value
     */
    public Time getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' element value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(Time departureTime) {
        this.departureTime = departureTime;
    }

    /** 
     * Get the 'FlightNumber' element value.
     * 
     * @return value
     */
    public String getFlightNumber() {
        return flightNumber;
    }

    /** 
     * Set the 'FlightNumber' element value.
     * 
     * @param flightNumber
     */
    public void setFlightNumber(String flightNumber) {
        this.flightNumber = flightNumber;
    }

    /** 
     * Get the 'ArrivalDate' element value.
     * 
     * @return value
     */
    public Date getArrivalDate() {
        return arrivalDate;
    }

    /** 
     * Set the 'ArrivalDate' element value.
     * 
     * @param arrivalDate
     */
    public void setArrivalDate(Date arrivalDate) {
        this.arrivalDate = arrivalDate;
    }

    /** 
     * Get the 'ArrivalTime' element value.
     * 
     * @return value
     */
    public Time getArrivalTime() {
        return arrivalTime;
    }

    /** 
     * Set the 'ArrivalTime' element value.
     * 
     * @param arrivalTime
     */
    public void setArrivalTime(Time arrivalTime) {
        this.arrivalTime = arrivalTime;
    }

    /** 
     * Get the 'NumberOfStops' element value.
     * 
     * @return value
     */
    public Integer getNumberOfStops() {
        return numberOfStops;
    }

    /** 
     * Set the 'NumberOfStops' element value.
     * 
     * @param numberOfStops
     */
    public void setNumberOfStops(Integer numberOfStops) {
        this.numberOfStops = numberOfStops;
    }

    /** 
     * Get the 'StatusCode' element value.
     * 
     * @return value
     */
    public String getStatusCode() {
        return statusCode;
    }

    /** 
     * Set the 'StatusCode' element value.
     * 
     * @param statusCode
     */
    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    /** 
     * Get the 'SegmentSpecialRequests' element value.
     * 
     * @return value
     */
    public ItinerarySpecialRequestsPNRB getSegmentSpecialRequests() {
        return segmentSpecialRequests;
    }

    /** 
     * Set the 'SegmentSpecialRequests' element value.
     * 
     * @param segmentSpecialRequests
     */
    public void setSegmentSpecialRequests(
            ItinerarySpecialRequestsPNRB segmentSpecialRequests) {
        this.segmentSpecialRequests = segmentSpecialRequests;
    }

    /** 
     * Get the 'FrequentFlyer' element value.
     * 
     * @return value
     */
    public LoyaltyPNRB getFrequentFlyer() {
        return frequentFlyer;
    }

    /** 
     * Set the 'FrequentFlyer' element value.
     * 
     * @param frequentFlyer
     */
    public void setFrequentFlyer(LoyaltyPNRB frequentFlyer) {
        this.frequentFlyer = frequentFlyer;
    }

    /** 
     * Get the 'segmentNumber' attribute value.
     * 
     * @return value
     */
    public BigInteger getSegmentNumber() {
        return segmentNumber;
    }

    /** 
     * Set the 'segmentNumber' attribute value.
     * 
     * @param segmentNumber
     */
    public void setSegmentNumber(BigInteger segmentNumber) {
        this.segmentNumber = segmentNumber;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'type' attribute value.
     * 
     * @return value
     */
    public AirSegmentTypePNRB getType() {
        return type;
    }

    /** 
     * Set the 'type' attribute value.
     * 
     * @param type
     */
    public void setType(AirSegmentTypePNRB type) {
        this.type = type;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
