
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSegmentMultiLeg.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="AirlineDesignator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AircraftTypeCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:date" name="DepartureDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DepartureTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ArrivalDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ArrivalTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MealCode1" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MealCode2" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MealCode3" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DayOfWeekIndicator" minOccurs="0"/>
 *     &lt;xs:element type="ns:DayOfWeek" name="DayOfWeek" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ElapsedTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AirMilesFlown" minOccurs="0"/>
 *     &lt;xs:element type="xs:boolean" name="SmokingPrefOfferedIndicator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OperatingAirlineDesignator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AirlineName" minOccurs="0"/>
 *     &lt;xs:element type="ns:ItinerarySpecialRequests.PNRB" name="SegmentSpecialRequests" minOccurs="0"/>
 *     &lt;xs:element type="ns:PreReservedSeats.PNRB" name="PreReservedSeats" minOccurs="0"/>
 *     &lt;xs:element type="ns:Loyalty.PNRB" name="FrequentFlyer" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="segmentNumber"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirSegmentMultiLegPNRB implements Serializable
{
    private String airlineDesignator;
    private String aircraftTypeCode;
    private Date departureDate;
    private String departureTime;
    private String arrivalDate;
    private String arrivalTime;
    private String mealCode1;
    private String mealCode2;
    private String mealCode3;
    private String dayOfWeekIndicator;
    private DayOfWeek dayOfWeek;
    private String elapsedTime;
    private String airMilesFlown;
    private Boolean smokingPrefOfferedIndicator;
    private String operatingAirlineDesignator;
    private String airlineName;
    private ItinerarySpecialRequestsPNRB segmentSpecialRequests;
    private PreReservedSeatsPNRB preReservedSeats;
    private LoyaltyPNRB frequentFlyer;
    private BigInteger segmentNumber;
    private String id;
    private OperationTypePNRB op;

    /** 
     * Get the 'AirlineDesignator' element value.
     * 
     * @return value
     */
    public String getAirlineDesignator() {
        return airlineDesignator;
    }

    /** 
     * Set the 'AirlineDesignator' element value.
     * 
     * @param airlineDesignator
     */
    public void setAirlineDesignator(String airlineDesignator) {
        this.airlineDesignator = airlineDesignator;
    }

    /** 
     * Get the 'AircraftTypeCode' element value.
     * 
     * @return value
     */
    public String getAircraftTypeCode() {
        return aircraftTypeCode;
    }

    /** 
     * Set the 'AircraftTypeCode' element value.
     * 
     * @param aircraftTypeCode
     */
    public void setAircraftTypeCode(String aircraftTypeCode) {
        this.aircraftTypeCode = aircraftTypeCode;
    }

    /** 
     * Get the 'DepartureDate' element value.
     * 
     * @return value
     */
    public Date getDepartureDate() {
        return departureDate;
    }

    /** 
     * Set the 'DepartureDate' element value.
     * 
     * @param departureDate
     */
    public void setDepartureDate(Date departureDate) {
        this.departureDate = departureDate;
    }

    /** 
     * Get the 'DepartureTime' element value.
     * 
     * @return value
     */
    public String getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' element value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(String departureTime) {
        this.departureTime = departureTime;
    }

    /** 
     * Get the 'ArrivalDate' element value.
     * 
     * @return value
     */
    public String getArrivalDate() {
        return arrivalDate;
    }

    /** 
     * Set the 'ArrivalDate' element value.
     * 
     * @param arrivalDate
     */
    public void setArrivalDate(String arrivalDate) {
        this.arrivalDate = arrivalDate;
    }

    /** 
     * Get the 'ArrivalTime' element value.
     * 
     * @return value
     */
    public String getArrivalTime() {
        return arrivalTime;
    }

    /** 
     * Set the 'ArrivalTime' element value.
     * 
     * @param arrivalTime
     */
    public void setArrivalTime(String arrivalTime) {
        this.arrivalTime = arrivalTime;
    }

    /** 
     * Get the 'MealCode1' element value.
     * 
     * @return value
     */
    public String getMealCode1() {
        return mealCode1;
    }

    /** 
     * Set the 'MealCode1' element value.
     * 
     * @param mealCode1
     */
    public void setMealCode1(String mealCode1) {
        this.mealCode1 = mealCode1;
    }

    /** 
     * Get the 'MealCode2' element value.
     * 
     * @return value
     */
    public String getMealCode2() {
        return mealCode2;
    }

    /** 
     * Set the 'MealCode2' element value.
     * 
     * @param mealCode2
     */
    public void setMealCode2(String mealCode2) {
        this.mealCode2 = mealCode2;
    }

    /** 
     * Get the 'MealCode3' element value.
     * 
     * @return value
     */
    public String getMealCode3() {
        return mealCode3;
    }

    /** 
     * Set the 'MealCode3' element value.
     * 
     * @param mealCode3
     */
    public void setMealCode3(String mealCode3) {
        this.mealCode3 = mealCode3;
    }

    /** 
     * Get the 'DayOfWeekIndicator' element value.
     * 
     * @return value
     */
    public String getDayOfWeekIndicator() {
        return dayOfWeekIndicator;
    }

    /** 
     * Set the 'DayOfWeekIndicator' element value.
     * 
     * @param dayOfWeekIndicator
     */
    public void setDayOfWeekIndicator(String dayOfWeekIndicator) {
        this.dayOfWeekIndicator = dayOfWeekIndicator;
    }

    /** 
     * Get the 'DayOfWeek' element value.
     * 
     * @return value
     */
    public DayOfWeek getDayOfWeek() {
        return dayOfWeek;
    }

    /** 
     * Set the 'DayOfWeek' element value.
     * 
     * @param dayOfWeek
     */
    public void setDayOfWeek(DayOfWeek dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    /** 
     * Get the 'ElapsedTime' element value.
     * 
     * @return value
     */
    public String getElapsedTime() {
        return elapsedTime;
    }

    /** 
     * Set the 'ElapsedTime' element value.
     * 
     * @param elapsedTime
     */
    public void setElapsedTime(String elapsedTime) {
        this.elapsedTime = elapsedTime;
    }

    /** 
     * Get the 'AirMilesFlown' element value.
     * 
     * @return value
     */
    public String getAirMilesFlown() {
        return airMilesFlown;
    }

    /** 
     * Set the 'AirMilesFlown' element value.
     * 
     * @param airMilesFlown
     */
    public void setAirMilesFlown(String airMilesFlown) {
        this.airMilesFlown = airMilesFlown;
    }

    /** 
     * Get the 'SmokingPrefOfferedIndicator' element value.
     * 
     * @return value
     */
    public Boolean getSmokingPrefOfferedIndicator() {
        return smokingPrefOfferedIndicator;
    }

    /** 
     * Set the 'SmokingPrefOfferedIndicator' element value.
     * 
     * @param smokingPrefOfferedIndicator
     */
    public void setSmokingPrefOfferedIndicator(
            Boolean smokingPrefOfferedIndicator) {
        this.smokingPrefOfferedIndicator = smokingPrefOfferedIndicator;
    }

    /** 
     * Get the 'OperatingAirlineDesignator' element value.
     * 
     * @return value
     */
    public String getOperatingAirlineDesignator() {
        return operatingAirlineDesignator;
    }

    /** 
     * Set the 'OperatingAirlineDesignator' element value.
     * 
     * @param operatingAirlineDesignator
     */
    public void setOperatingAirlineDesignator(String operatingAirlineDesignator) {
        this.operatingAirlineDesignator = operatingAirlineDesignator;
    }

    /** 
     * Get the 'AirlineName' element value.
     * 
     * @return value
     */
    public String getAirlineName() {
        return airlineName;
    }

    /** 
     * Set the 'AirlineName' element value.
     * 
     * @param airlineName
     */
    public void setAirlineName(String airlineName) {
        this.airlineName = airlineName;
    }

    /** 
     * Get the 'SegmentSpecialRequests' element value.
     * 
     * @return value
     */
    public ItinerarySpecialRequestsPNRB getSegmentSpecialRequests() {
        return segmentSpecialRequests;
    }

    /** 
     * Set the 'SegmentSpecialRequests' element value.
     * 
     * @param segmentSpecialRequests
     */
    public void setSegmentSpecialRequests(
            ItinerarySpecialRequestsPNRB segmentSpecialRequests) {
        this.segmentSpecialRequests = segmentSpecialRequests;
    }

    /** 
     * Get the 'PreReservedSeats' element value.
     * 
     * @return value
     */
    public PreReservedSeatsPNRB getPreReservedSeats() {
        return preReservedSeats;
    }

    /** 
     * Set the 'PreReservedSeats' element value.
     * 
     * @param preReservedSeats
     */
    public void setPreReservedSeats(PreReservedSeatsPNRB preReservedSeats) {
        this.preReservedSeats = preReservedSeats;
    }

    /** 
     * Get the 'FrequentFlyer' element value.
     * 
     * @return value
     */
    public LoyaltyPNRB getFrequentFlyer() {
        return frequentFlyer;
    }

    /** 
     * Set the 'FrequentFlyer' element value.
     * 
     * @param frequentFlyer
     */
    public void setFrequentFlyer(LoyaltyPNRB frequentFlyer) {
        this.frequentFlyer = frequentFlyer;
    }

    /** 
     * Get the 'segmentNumber' attribute value.
     * 
     * @return value
     */
    public BigInteger getSegmentNumber() {
        return segmentNumber;
    }

    /** 
     * Set the 'segmentNumber' attribute value.
     * 
     * @param segmentNumber
     */
    public void setSegmentNumber(BigInteger segmentNumber) {
        this.segmentNumber = segmentNumber;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
