
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSegmentOpen.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="StatusCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="UnitsBooked" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AirlineDesignator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DepartureDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DepartureTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DayOfWeekIndicator" minOccurs="0"/>
 *     &lt;xs:element type="ns:ItinerarySpecialRequests.PNRB" name="SegmentSpecialRequests" minOccurs="0"/>
 *     &lt;xs:element type="ns:PreReservedSeats.PNRB" name="PreReservedSeats" minOccurs="0"/>
 *     &lt;xs:element type="ns:Loyalty.PNRB" name="FrequentFlyer" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="segmentNumber"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirSegmentOpenPNRB implements Serializable
{
    private String statusCode;
    private String unitsBooked;
    private String airlineDesignator;
    private String classOfService;
    private String departureDate;
    private String departureTime;
    private String dayOfWeekIndicator;
    private ItinerarySpecialRequestsPNRB segmentSpecialRequests;
    private PreReservedSeatsPNRB preReservedSeats;
    private LoyaltyPNRB frequentFlyer;
    private BigInteger segmentNumber;
    private String id;
    private OperationTypePNRB op;

    /** 
     * Get the 'StatusCode' element value.
     * 
     * @return value
     */
    public String getStatusCode() {
        return statusCode;
    }

    /** 
     * Set the 'StatusCode' element value.
     * 
     * @param statusCode
     */
    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    /** 
     * Get the 'UnitsBooked' element value.
     * 
     * @return value
     */
    public String getUnitsBooked() {
        return unitsBooked;
    }

    /** 
     * Set the 'UnitsBooked' element value.
     * 
     * @param unitsBooked
     */
    public void setUnitsBooked(String unitsBooked) {
        this.unitsBooked = unitsBooked;
    }

    /** 
     * Get the 'AirlineDesignator' element value.
     * 
     * @return value
     */
    public String getAirlineDesignator() {
        return airlineDesignator;
    }

    /** 
     * Set the 'AirlineDesignator' element value.
     * 
     * @param airlineDesignator
     */
    public void setAirlineDesignator(String airlineDesignator) {
        this.airlineDesignator = airlineDesignator;
    }

    /** 
     * Get the 'ClassOfService' element value.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'DepartureDate' element value.
     * 
     * @return value
     */
    public String getDepartureDate() {
        return departureDate;
    }

    /** 
     * Set the 'DepartureDate' element value.
     * 
     * @param departureDate
     */
    public void setDepartureDate(String departureDate) {
        this.departureDate = departureDate;
    }

    /** 
     * Get the 'DepartureTime' element value.
     * 
     * @return value
     */
    public String getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' element value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(String departureTime) {
        this.departureTime = departureTime;
    }

    /** 
     * Get the 'DayOfWeekIndicator' element value.
     * 
     * @return value
     */
    public String getDayOfWeekIndicator() {
        return dayOfWeekIndicator;
    }

    /** 
     * Set the 'DayOfWeekIndicator' element value.
     * 
     * @param dayOfWeekIndicator
     */
    public void setDayOfWeekIndicator(String dayOfWeekIndicator) {
        this.dayOfWeekIndicator = dayOfWeekIndicator;
    }

    /** 
     * Get the 'SegmentSpecialRequests' element value.
     * 
     * @return value
     */
    public ItinerarySpecialRequestsPNRB getSegmentSpecialRequests() {
        return segmentSpecialRequests;
    }

    /** 
     * Set the 'SegmentSpecialRequests' element value.
     * 
     * @param segmentSpecialRequests
     */
    public void setSegmentSpecialRequests(
            ItinerarySpecialRequestsPNRB segmentSpecialRequests) {
        this.segmentSpecialRequests = segmentSpecialRequests;
    }

    /** 
     * Get the 'PreReservedSeats' element value.
     * 
     * @return value
     */
    public PreReservedSeatsPNRB getPreReservedSeats() {
        return preReservedSeats;
    }

    /** 
     * Set the 'PreReservedSeats' element value.
     * 
     * @param preReservedSeats
     */
    public void setPreReservedSeats(PreReservedSeatsPNRB preReservedSeats) {
        this.preReservedSeats = preReservedSeats;
    }

    /** 
     * Get the 'FrequentFlyer' element value.
     * 
     * @return value
     */
    public LoyaltyPNRB getFrequentFlyer() {
        return frequentFlyer;
    }

    /** 
     * Set the 'FrequentFlyer' element value.
     * 
     * @param frequentFlyer
     */
    public void setFrequentFlyer(LoyaltyPNRB frequentFlyer) {
        this.frequentFlyer = frequentFlyer;
    }

    /** 
     * Get the 'segmentNumber' attribute value.
     * 
     * @return value
     */
    public BigInteger getSegmentNumber() {
        return segmentNumber;
    }

    /** 
     * Set the 'segmentNumber' attribute value.
     * 
     * @param segmentNumber
     */
    public void setSegmentNumber(BigInteger segmentNumber) {
        this.segmentNumber = segmentNumber;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
