
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSegment.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="StatusCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumberOfSeats" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AirlineDesignator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumberOfStops" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="SegmentTag" minOccurs="0"/>
 *     &lt;xs:element type="xs:boolean" name="SpecialMeal" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" name="DepartureTime" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightStatusDescription" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ETicketEligibilityIndicator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ConnectionIndicator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MarriedConnectionIndicator" minOccurs="0"/>
 *     &lt;xs:element type="ns:ItinerarySpecialRequests.PNRB" name="SegmentSpecialRequests" minOccurs="0"/>
 *     &lt;xs:element type="ns:PreReservedSeats.PNRB" name="PreReservedSeats" minOccurs="0"/>
 *     &lt;xs:element type="ns:Loyalty.PNRB" name="FrequentFlyer" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OtherAirlineSign" minOccurs="0"/>
 *     &lt;xs:element type="xs:boolean" name="Informational" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="index"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirSegmentPNRB implements Serializable
{
    private String statusCode;
    private BigInteger numberOfSeats;
    private String airlineDesignator;
    private String classOfService;
    private String flightNumber;
    private BigInteger numberOfStops;
    private String segmentTag;
    private Boolean specialMeal;
    private Date departureTime;
    private String flightStatusDescription;
    private String ETicketEligibilityIndicator;
    private String connectionIndicator;
    private String marriedConnectionIndicator;
    private ItinerarySpecialRequestsPNRB segmentSpecialRequests;
    private PreReservedSeatsPNRB preReservedSeats;
    private LoyaltyPNRB frequentFlyer;
    private String otherAirlineSign;
    private Boolean informational;
    private BigInteger index;
    private String id;
    private OperationTypePNRB op;

    /** 
     * Get the 'StatusCode' element value.
     * 
     * @return value
     */
    public String getStatusCode() {
        return statusCode;
    }

    /** 
     * Set the 'StatusCode' element value.
     * 
     * @param statusCode
     */
    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    /** 
     * Get the 'NumberOfSeats' element value.
     * 
     * @return value
     */
    public BigInteger getNumberOfSeats() {
        return numberOfSeats;
    }

    /** 
     * Set the 'NumberOfSeats' element value.
     * 
     * @param numberOfSeats
     */
    public void setNumberOfSeats(BigInteger numberOfSeats) {
        this.numberOfSeats = numberOfSeats;
    }

    /** 
     * Get the 'AirlineDesignator' element value.
     * 
     * @return value
     */
    public String getAirlineDesignator() {
        return airlineDesignator;
    }

    /** 
     * Set the 'AirlineDesignator' element value.
     * 
     * @param airlineDesignator
     */
    public void setAirlineDesignator(String airlineDesignator) {
        this.airlineDesignator = airlineDesignator;
    }

    /** 
     * Get the 'ClassOfService' element value.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'FlightNumber' element value.
     * 
     * @return value
     */
    public String getFlightNumber() {
        return flightNumber;
    }

    /** 
     * Set the 'FlightNumber' element value.
     * 
     * @param flightNumber
     */
    public void setFlightNumber(String flightNumber) {
        this.flightNumber = flightNumber;
    }

    /** 
     * Get the 'NumberOfStops' element value.
     * 
     * @return value
     */
    public BigInteger getNumberOfStops() {
        return numberOfStops;
    }

    /** 
     * Set the 'NumberOfStops' element value.
     * 
     * @param numberOfStops
     */
    public void setNumberOfStops(BigInteger numberOfStops) {
        this.numberOfStops = numberOfStops;
    }

    /** 
     * Get the 'SegmentTag' element value.
     * 
     * @return value
     */
    public String getSegmentTag() {
        return segmentTag;
    }

    /** 
     * Set the 'SegmentTag' element value.
     * 
     * @param segmentTag
     */
    public void setSegmentTag(String segmentTag) {
        this.segmentTag = segmentTag;
    }

    /** 
     * Get the 'SpecialMeal' element value.
     * 
     * @return value
     */
    public Boolean getSpecialMeal() {
        return specialMeal;
    }

    /** 
     * Set the 'SpecialMeal' element value.
     * 
     * @param specialMeal
     */
    public void setSpecialMeal(Boolean specialMeal) {
        this.specialMeal = specialMeal;
    }

    /** 
     * Get the 'DepartureTime' element value.
     * 
     * @return value
     */
    public Date getDepartureTime() {
        return departureTime;
    }

    /** 
     * Set the 'DepartureTime' element value.
     * 
     * @param departureTime
     */
    public void setDepartureTime(Date departureTime) {
        this.departureTime = departureTime;
    }

    /** 
     * Get the 'FlightStatusDescription' element value.
     * 
     * @return value
     */
    public String getFlightStatusDescription() {
        return flightStatusDescription;
    }

    /** 
     * Set the 'FlightStatusDescription' element value.
     * 
     * @param flightStatusDescription
     */
    public void setFlightStatusDescription(String flightStatusDescription) {
        this.flightStatusDescription = flightStatusDescription;
    }

    /** 
     * Get the 'ETicketEligibilityIndicator' element value.
     * 
     * @return value
     */
    public String getETicketEligibilityIndicator() {
        return ETicketEligibilityIndicator;
    }

    /** 
     * Set the 'ETicketEligibilityIndicator' element value.
     * 
     * @param ETicketEligibilityIndicator
     */
    public void setETicketEligibilityIndicator(
            String ETicketEligibilityIndicator) {
        this.ETicketEligibilityIndicator = ETicketEligibilityIndicator;
    }

    /** 
     * Get the 'ConnectionIndicator' element value.
     * 
     * @return value
     */
    public String getConnectionIndicator() {
        return connectionIndicator;
    }

    /** 
     * Set the 'ConnectionIndicator' element value.
     * 
     * @param connectionIndicator
     */
    public void setConnectionIndicator(String connectionIndicator) {
        this.connectionIndicator = connectionIndicator;
    }

    /** 
     * Get the 'MarriedConnectionIndicator' element value.
     * 
     * @return value
     */
    public String getMarriedConnectionIndicator() {
        return marriedConnectionIndicator;
    }

    /** 
     * Set the 'MarriedConnectionIndicator' element value.
     * 
     * @param marriedConnectionIndicator
     */
    public void setMarriedConnectionIndicator(String marriedConnectionIndicator) {
        this.marriedConnectionIndicator = marriedConnectionIndicator;
    }

    /** 
     * Get the 'SegmentSpecialRequests' element value.
     * 
     * @return value
     */
    public ItinerarySpecialRequestsPNRB getSegmentSpecialRequests() {
        return segmentSpecialRequests;
    }

    /** 
     * Set the 'SegmentSpecialRequests' element value.
     * 
     * @param segmentSpecialRequests
     */
    public void setSegmentSpecialRequests(
            ItinerarySpecialRequestsPNRB segmentSpecialRequests) {
        this.segmentSpecialRequests = segmentSpecialRequests;
    }

    /** 
     * Get the 'PreReservedSeats' element value.
     * 
     * @return value
     */
    public PreReservedSeatsPNRB getPreReservedSeats() {
        return preReservedSeats;
    }

    /** 
     * Set the 'PreReservedSeats' element value.
     * 
     * @param preReservedSeats
     */
    public void setPreReservedSeats(PreReservedSeatsPNRB preReservedSeats) {
        this.preReservedSeats = preReservedSeats;
    }

    /** 
     * Get the 'FrequentFlyer' element value.
     * 
     * @return value
     */
    public LoyaltyPNRB getFrequentFlyer() {
        return frequentFlyer;
    }

    /** 
     * Set the 'FrequentFlyer' element value.
     * 
     * @param frequentFlyer
     */
    public void setFrequentFlyer(LoyaltyPNRB frequentFlyer) {
        this.frequentFlyer = frequentFlyer;
    }

    /** 
     * Get the 'OtherAirlineSign' element value.
     * 
     * @return value
     */
    public String getOtherAirlineSign() {
        return otherAirlineSign;
    }

    /** 
     * Set the 'OtherAirlineSign' element value.
     * 
     * @param otherAirlineSign
     */
    public void setOtherAirlineSign(String otherAirlineSign) {
        this.otherAirlineSign = otherAirlineSign;
    }

    /** 
     * Get the 'Informational' element value.
     * 
     * @return value
     */
    public Boolean getInformational() {
        return informational;
    }

    /** 
     * Set the 'Informational' element value.
     * 
     * @param informational
     */
    public void setInformational(Boolean informational) {
        this.informational = informational;
    }

    /** 
     * Get the 'index' attribute value.
     * 
     * @return value
     */
    public BigInteger getIndex() {
        return index;
    }

    /** 
     * Set the 'index' attribute value.
     * 
     * @param index
     */
    public void setIndex(BigInteger index) {
        this.index = index;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
