
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSegmentSellFromBSGInventory.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="BSGPNRRecordLocator" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumberInParty" minOccurs="0"/>
 *     &lt;xs:element type="ns:ItinerarySpecialRequests.PNRB" name="SegmentSpecialRequests" minOccurs="0"/>
 *     &lt;xs:element type="ns:Loyalty.PNRB" name="FrequentFlyer" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:integer" name="segmentNumber"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AirSegmentSellFromBSGInventoryPNRB implements Serializable
{
    private String BSGPNRRecordLocator;
    private BigInteger numberInParty;
    private ItinerarySpecialRequestsPNRB segmentSpecialRequests;
    private LoyaltyPNRB frequentFlyer;
    private String id;
    private BigInteger segmentNumber;
    private OperationTypePNRB op;

    /** 
     * Get the 'BSGPNRRecordLocator' element value.
     * 
     * @return value
     */
    public String getBSGPNRRecordLocator() {
        return BSGPNRRecordLocator;
    }

    /** 
     * Set the 'BSGPNRRecordLocator' element value.
     * 
     * @param BSGPNRRecordLocator
     */
    public void setBSGPNRRecordLocator(String BSGPNRRecordLocator) {
        this.BSGPNRRecordLocator = BSGPNRRecordLocator;
    }

    /** 
     * Get the 'NumberInParty' element value.
     * 
     * @return value
     */
    public BigInteger getNumberInParty() {
        return numberInParty;
    }

    /** 
     * Set the 'NumberInParty' element value.
     * 
     * @param numberInParty
     */
    public void setNumberInParty(BigInteger numberInParty) {
        this.numberInParty = numberInParty;
    }

    /** 
     * Get the 'SegmentSpecialRequests' element value.
     * 
     * @return value
     */
    public ItinerarySpecialRequestsPNRB getSegmentSpecialRequests() {
        return segmentSpecialRequests;
    }

    /** 
     * Set the 'SegmentSpecialRequests' element value.
     * 
     * @param segmentSpecialRequests
     */
    public void setSegmentSpecialRequests(
            ItinerarySpecialRequestsPNRB segmentSpecialRequests) {
        this.segmentSpecialRequests = segmentSpecialRequests;
    }

    /** 
     * Get the 'FrequentFlyer' element value.
     * 
     * @return value
     */
    public LoyaltyPNRB getFrequentFlyer() {
        return frequentFlyer;
    }

    /** 
     * Set the 'FrequentFlyer' element value.
     * 
     * @param frequentFlyer
     */
    public void setFrequentFlyer(LoyaltyPNRB frequentFlyer) {
        this.frequentFlyer = frequentFlyer;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'segmentNumber' attribute value.
     * 
     * @return value
     */
    public BigInteger getSegmentNumber() {
        return segmentNumber;
    }

    /** 
     * Set the 'segmentNumber' attribute value.
     * 
     * @param segmentNumber
     */
    public void setSegmentNumber(BigInteger segmentNumber) {
        this.segmentNumber = segmentNumber;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
}
