
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AncillaryServiceAdvisorySegmentList.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="Route" minOccurs="1" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class Route -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AncillaryServiceAdvisorySegmentListPNRB implements Serializable
{
    private List<Route> routeList = new ArrayList<Route>();

    /** 
     * Get the list of 'Route' element items.
     * 
     * @return list
     */
    public List<Route> getRouteList() {
        return routeList;
    }

    /** 
     * Set the list of 'Route' element items.
     * 
     * @param list
     */
    public void setRouteList(List<Route> list) {
        routeList = list;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Route" minOccurs="1" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="OperatingCarrierCode"/>
     *       &lt;xs:element type="xs:string" name="MarketingCarrierCode"/>
     *       &lt;xs:element type="xs:string" name="BoardPoint"/>
     *       &lt;xs:element type="xs:string" name="OffPoint"/>
     *       &lt;xs:element type="xs:string" name="EMDNumber"/>
     *       &lt;xs:element type="xs:string" name="EMDCoupon"/>
     *     &lt;/xs:sequence>
     *     &lt;xs:attribute use="required" name="Direction">
     *       &lt;xs:simpleType>
     *         &lt;!-- Reference to inner class Direction -->
     *       &lt;/xs:simpleType>
     *     &lt;/xs:attribute>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Route implements Serializable
    {
        private String operatingCarrierCode;
        private String marketingCarrierCode;
        private String boardPoint;
        private String offPoint;
        private String EMDNumber;
        private String EMDCoupon;
        private Direction direction;

        /** 
         * Get the 'OperatingCarrierCode' element value.
         * 
         * @return value
         */
        public String getOperatingCarrierCode() {
            return operatingCarrierCode;
        }

        /** 
         * Set the 'OperatingCarrierCode' element value.
         * 
         * @param operatingCarrierCode
         */
        public void setOperatingCarrierCode(String operatingCarrierCode) {
            this.operatingCarrierCode = operatingCarrierCode;
        }

        /** 
         * Get the 'MarketingCarrierCode' element value.
         * 
         * @return value
         */
        public String getMarketingCarrierCode() {
            return marketingCarrierCode;
        }

        /** 
         * Set the 'MarketingCarrierCode' element value.
         * 
         * @param marketingCarrierCode
         */
        public void setMarketingCarrierCode(String marketingCarrierCode) {
            this.marketingCarrierCode = marketingCarrierCode;
        }

        /** 
         * Get the 'BoardPoint' element value.
         * 
         * @return value
         */
        public String getBoardPoint() {
            return boardPoint;
        }

        /** 
         * Set the 'BoardPoint' element value.
         * 
         * @param boardPoint
         */
        public void setBoardPoint(String boardPoint) {
            this.boardPoint = boardPoint;
        }

        /** 
         * Get the 'OffPoint' element value.
         * 
         * @return value
         */
        public String getOffPoint() {
            return offPoint;
        }

        /** 
         * Set the 'OffPoint' element value.
         * 
         * @param offPoint
         */
        public void setOffPoint(String offPoint) {
            this.offPoint = offPoint;
        }

        /** 
         * Get the 'EMDNumber' element value.
         * 
         * @return value
         */
        public String getEMDNumber() {
            return EMDNumber;
        }

        /** 
         * Set the 'EMDNumber' element value.
         * 
         * @param EMDNumber
         */
        public void setEMDNumber(String EMDNumber) {
            this.EMDNumber = EMDNumber;
        }

        /** 
         * Get the 'EMDCoupon' element value.
         * 
         * @return value
         */
        public String getEMDCoupon() {
            return EMDCoupon;
        }

        /** 
         * Set the 'EMDCoupon' element value.
         * 
         * @param EMDCoupon
         */
        public void setEMDCoupon(String EMDCoupon) {
            this.EMDCoupon = EMDCoupon;
        }

        /** 
         * Get the 'Direction' attribute value.
         * 
         * @return value
         */
        public Direction getDirection() {
            return direction;
        }

        /** 
         * Set the 'Direction' attribute value.
         * 
         * @param direction
         */
        public void setDirection(Direction direction) {
            this.direction = direction;
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:simpleType xmlns:xs="http://www.w3.org/2001/XMLSchema">
         *   &lt;xs:restriction base="xs:string">
         *     &lt;xs:enumeration value="O"/>
         *     &lt;xs:enumeration value="I"/>
         *   &lt;/xs:restriction>
         * &lt;/xs:simpleType>
         * </pre>
         */
        public static enum Direction implements Serializable {
            O, I
        }
    }
}
