
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AssociationChild">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:RemarkType.PNRB" name="RemarkType" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="Reference"/>
 *   &lt;xs:attribute type="xs:string" name="TempReference"/>
 *   &lt;xs:attribute type="ns:AssociationChildReferenceType" name="ReferenceType"/>
 *   &lt;xs:attribute type="ns:AssociationChildElementType" name="Type"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AssociationChild implements Serializable
{
    private RemarkTypePNRB remarkType;
    private String reference;
    private String tempReference;
    private AssociationChildReferenceType referenceType;
    private AssociationChildElementType type;

    /** 
     * Get the 'RemarkType' element value. Only included when Child/@Type=Remark and Child/@ReferenceType=Type
                          
     * 
     * @return value
     */
    public RemarkTypePNRB getRemarkType() {
        return remarkType;
    }

    /** 
     * Set the 'RemarkType' element value. Only included when Child/@Type=Remark and Child/@ReferenceType=Type
                          
     * 
     * @param remarkType
     */
    public void setRemarkType(RemarkTypePNRB remarkType) {
        this.remarkType = remarkType;
    }

    /** 
     * Get the 'Reference' attribute value. Key value of the child item being associated
     * 
     * @return value
     */
    public String getReference() {
        return reference;
    }

    /** 
     * Set the 'Reference' attribute value. Key value of the child item being associated
     * 
     * @param reference
     */
    public void setReference(String reference) {
        this.reference = reference;
    }

    /** 
     * Get the 'TempReference' attribute value. Key value of the child item being associated which will be updated with reference
                      value.
                  
     * 
     * @return value
     */
    public String getTempReference() {
        return tempReference;
    }

    /** 
     * Set the 'TempReference' attribute value. Key value of the child item being associated which will be updated with reference
                      value.
                  
     * 
     * @param tempReference
     */
    public void setTempReference(String tempReference) {
        this.tempReference = tempReference;
    }

    /** 
     * Get the 'ReferenceType' attribute value. Type of value passed in Reference, which is the item to be associated to the parent
                      item
                  
     * 
     * @return value
     */
    public AssociationChildReferenceType getReferenceType() {
        return referenceType;
    }

    /** 
     * Set the 'ReferenceType' attribute value. Type of value passed in Reference, which is the item to be associated to the parent
                      item
                  
     * 
     * @param referenceType
     */
    public void setReferenceType(AssociationChildReferenceType referenceType) {
        this.referenceType = referenceType;
    }

    /** 
     * Get the 'Type' attribute value. Type of data, optional if Op equals U
     * 
     * @return value
     */
    public AssociationChildElementType getType() {
        return type;
    }

    /** 
     * Set the 'Type' attribute value. Type of data, optional if Op equals U
     * 
     * @param type
     */
    public void setType(AssociationChildElementType type) {
        this.type = type;
    }
}
