
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DescriptiveBillingInfo.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="NameAssociation" minOccurs="0">
 *       &lt;!-- Reference to inner class NameAssociation -->
 *     &lt;/xs:element>
 *     &lt;xs:element type="ns:CardDetails.PNRB" name="CardDetails" minOccurs="0"/>
 *     &lt;xs:element type="ns:Item.PNRB" name="Item" minOccurs="0" maxOccurs="99"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:integer" name="index"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DescriptiveBillingInfoPNRB implements Serializable
{
    private NameAssociation nameAssociation;
    private CardDetailsPNRB cardDetails;
    private List<ItemPNRB> itemList = new ArrayList<ItemPNRB>();
    private String id;
    private BigInteger index;
    private OperationTypePNRB op;

    /** 
     * Get the 'NameAssociation' element value.
     * 
     * @return value
     */
    public NameAssociation getNameAssociation() {
        return nameAssociation;
    }

    /** 
     * Set the 'NameAssociation' element value.
     * 
     * @param nameAssociation
     */
    public void setNameAssociation(NameAssociation nameAssociation) {
        this.nameAssociation = nameAssociation;
    }

    /** 
     * Get the 'CardDetails' element value.
     * 
     * @return value
     */
    public CardDetailsPNRB getCardDetails() {
        return cardDetails;
    }

    /** 
     * Set the 'CardDetails' element value.
     * 
     * @param cardDetails
     */
    public void setCardDetails(CardDetailsPNRB cardDetails) {
        this.cardDetails = cardDetails;
    }

    /** 
     * Get the list of 'Item' element items.
     * 
     * @return list
     */
    public List<ItemPNRB> getItemList() {
        return itemList;
    }

    /** 
     * Set the list of 'Item' element items.
     * 
     * @param list
     */
    public void setItemList(List<ItemPNRB> list) {
        itemList = list;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'index' attribute value.
     * 
     * @return value
     */
    public BigInteger getIndex() {
        return index;
    }

    /** 
     * Set the 'index' attribute value.
     * 
     * @param index
     */
    public void setIndex(BigInteger index) {
        this.index = index;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="NameAssociation" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="AssociatedName" minOccurs="1"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class NameAssociation implements Serializable
    {
        private String associatedName;

        /** 
         * Get the 'AssociatedName' element value.
         * 
         * @return value
         */
        public String getAssociatedName() {
            return associatedName;
        }

        /** 
         * Set the 'AssociatedName' element value.
         * 
         * @param associatedName
         */
        public void setAssociatedName(String associatedName) {
            this.associatedName = associatedName;
        }
    }
}
