
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FrequentFlyer.PNRB">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:Loyalty.PNRB">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="ns:TravelingCarrierCodes.PNRB" name="TravelingCarrierCodes" minOccurs="0"/>
 *         &lt;xs:element type="ns:PartnershipAirlineCodes" name="PartnershipAirlineCodes" minOccurs="0" maxOccurs="1"/>
 *       &lt;/xs:sequence>
 *       &lt;xs:attribute type="xs:string" use="optional" name="RPH"/>
 *       &lt;xs:attribute type="xs:string" use="optional" name="NameNumber"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FrequentFlyerPNRB extends LoyaltyPNRB implements Serializable
{
    private TravelingCarrierCodesPNRB travelingCarrierCodes;
    private PartnershipAirlineCodes partnershipAirlineCodes;
    private String RPH;
    private String nameNumber;

    /** 
     * Get the 'TravelingCarrierCodes' element value.
     * 
     * @return value
     */
    public TravelingCarrierCodesPNRB getTravelingCarrierCodes() {
        return travelingCarrierCodes;
    }

    /** 
     * Set the 'TravelingCarrierCodes' element value.
     * 
     * @param travelingCarrierCodes
     */
    public void setTravelingCarrierCodes(
            TravelingCarrierCodesPNRB travelingCarrierCodes) {
        this.travelingCarrierCodes = travelingCarrierCodes;
    }

    /** 
     * Get the 'PartnershipAirlineCodes' element value.
     * 
     * @return value
     */
    public PartnershipAirlineCodes getPartnershipAirlineCodes() {
        return partnershipAirlineCodes;
    }

    /** 
     * Set the 'PartnershipAirlineCodes' element value.
     * 
     * @param partnershipAirlineCodes
     */
    public void setPartnershipAirlineCodes(
            PartnershipAirlineCodes partnershipAirlineCodes) {
        this.partnershipAirlineCodes = partnershipAirlineCodes;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                              in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                          
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                              in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                          
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }

    /** 
     * Get the 'NameNumber' attribute value. "NameNumber" is used to associate the particular frequent flyer number to a particular passenger within the record.
     * 
     * @return value
     */
    public String getNameNumber() {
        return nameNumber;
    }

    /** 
     * Set the 'NameNumber' attribute value. "NameNumber" is used to associate the particular frequent flyer number to a particular passenger within the record.
     * 
     * @param nameNumber
     */
    public void setNameNumber(String nameNumber) {
        this.nameNumber = nameNumber;
    }
}
