
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="GetReservationRQ">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element type="xs:string" name="Locator" minOccurs="0"/>
 *       &lt;xs:element type="xs:string" name="SnapshotID" minOccurs="0"/>
 *       &lt;xs:element type="xs:string" name="RequestType" minOccurs="0"/>
 *       &lt;xs:element type="xs:date" name="CreateDate" minOccurs="0"/>
 *       &lt;xs:element type="ns:ReturnOptions.PNRB" name="ReturnOptions" minOccurs="0"/>
 *       &lt;xs:element type="ns:POS_Type.PNRB" name="POS" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:Poc" name="Poc" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:RawContentType" name="RawContent" minOccurs="0" maxOccurs="1"/>
 *       &lt;xs:element type="ns:ClientContext" name="ClientContext" minOccurs="0" maxOccurs="1"/>
 *     &lt;/xs:sequence>
 *     &lt;xs:attribute type="xs:string" use="optional" name="Version"/>
 *     &lt;xs:attribute type="xs:string" use="optional" name="EchoToken"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class GetReservationRQ implements Serializable
{
    private String locator;
    private String snapshotID;
    private String requestType;
    private Date createDate;
    private ReturnOptionsPNRB returnOptions;
    private POSTypePNRB POS;
    private Poc poc;
    private RawContentType rawContent;
    private ClientContext clientContext;
    private String version;
    private String echoToken;

    /** 
     * Get the 'Locator' element value.
     * 
     * @return value
     */
    public String getLocator() {
        return locator;
    }

    /** 
     * Set the 'Locator' element value.
     * 
     * @param locator
     */
    public void setLocator(String locator) {
        this.locator = locator;
    }

    /** 
     * Get the 'SnapshotID' element value.
     * 
     * @return value
     */
    public String getSnapshotID() {
        return snapshotID;
    }

    /** 
     * Set the 'SnapshotID' element value.
     * 
     * @param snapshotID
     */
    public void setSnapshotID(String snapshotID) {
        this.snapshotID = snapshotID;
    }

    /** 
     * Get the 'RequestType' element value.
     * 
     * @return value
     */
    public String getRequestType() {
        return requestType;
    }

    /** 
     * Set the 'RequestType' element value.
     * 
     * @param requestType
     */
    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    /** 
     * Get the 'CreateDate' element value. Pnr creation date used to retrieve inactive pnr
     * 
     * @return value
     */
    public Date getCreateDate() {
        return createDate;
    }

    /** 
     * Set the 'CreateDate' element value. Pnr creation date used to retrieve inactive pnr
     * 
     * @param createDate
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /** 
     * Get the 'ReturnOptions' element value.
     * 
     * @return value
     */
    public ReturnOptionsPNRB getReturnOptions() {
        return returnOptions;
    }

    /** 
     * Set the 'ReturnOptions' element value.
     * 
     * @param returnOptions
     */
    public void setReturnOptions(ReturnOptionsPNRB returnOptions) {
        this.returnOptions = returnOptions;
    }

    /** 
     * Get the 'POS' element value.
     * 
     * @return value
     */
    public POSTypePNRB getPOS() {
        return POS;
    }

    /** 
     * Set the 'POS' element value.
     * 
     * @param POS
     */
    public void setPOS(POSTypePNRB POS) {
        this.POS = POS;
    }

    /** 
     * Get the 'Poc' element value.
     * 
     * @return value
     */
    public Poc getPoc() {
        return poc;
    }

    /** 
     * Set the 'Poc' element value.
     * 
     * @param poc
     */
    public void setPoc(Poc poc) {
        this.poc = poc;
    }

    /** 
     * Get the 'RawContent' element value.
     * 
     * @return value
     */
    public RawContentType getRawContent() {
        return rawContent;
    }

    /** 
     * Set the 'RawContent' element value.
     * 
     * @param rawContent
     */
    public void setRawContent(RawContentType rawContent) {
        this.rawContent = rawContent;
    }

    /** 
     * Get the 'ClientContext' element value.
     * 
     * @return value
     */
    public ClientContext getClientContext() {
        return clientContext;
    }

    /** 
     * Set the 'ClientContext' element value.
     * 
     * @param clientContext
     */
    public void setClientContext(ClientContext clientContext) {
        this.clientContext = clientContext;
    }

    /** 
     * Get the 'Version' attribute value.
     * 
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /** 
     * Set the 'Version' attribute value.
     * 
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /** 
     * Get the 'EchoToken' attribute value.
     * 
     * @return value
     */
    public String getEchoToken() {
        return echoToken;
    }

    /** 
     * Set the 'EchoToken' attribute value.
     * 
     * @param echoToken
     */
    public void setEchoToken(String echoToken) {
        this.echoToken = echoToken;
    }
}
