
package com.sabre.webservices.pnrbuilder.v119;

import com.sabre.services.res.or.v114.HotelType;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:ns1="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Hotel">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns1:HotelType">
 *       &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 *       &lt;xs:attribute type="xs:string" use="optional" name="RPH"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class Hotel extends HotelType implements Serializable
{
    private OperationTypePNRB op;
    private String RPH;

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
                          
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
                          
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                              in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                          
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                              in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                          
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
