
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="NameAssociatedSpecialRequests.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:GenericSpecialRequest.PNRB" name="GenericSpecialRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:ChildRequest.PNRB" name="ChildRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:APISRequest.PNRB" name="APISRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:EmergencyContactRequest.PNRB" name="EmergencyContactRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:SpecialMealRequest.PNRB" name="SpecialMealRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:PassportInfoMessage.PNRB" name="PassportInfoMessage" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:SeatRequest.PNRB" name="SeatRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:UnaccompaniedMinorMessage.PNRB" name="UnaccompaniedMinorMessage" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:WheelchairRequest.PNRB" name="WheelchairRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:TicketingRequestType" name="TicketingRequest" minOccurs="0" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class NameAssociatedSpecialRequestsPNRB implements Serializable
{
    private List<GenericSpecialRequestPNRB> genericSpecialRequestList = new ArrayList<GenericSpecialRequestPNRB>();
    private List<ChildRequestPNRB> childRequestList = new ArrayList<ChildRequestPNRB>();
    private List<APISRequestPNRB> APISRequestList = new ArrayList<APISRequestPNRB>();
    private List<EmergencyContactRequestPNRB> emergencyContactRequestList = new ArrayList<EmergencyContactRequestPNRB>();
    private List<SpecialMealRequestPNRB> specialMealRequestList = new ArrayList<SpecialMealRequestPNRB>();
    private List<PassportInfoMessagePNRB> passportInfoMessageList = new ArrayList<PassportInfoMessagePNRB>();
    private List<SeatRequestPNRB> seatRequestList = new ArrayList<SeatRequestPNRB>();
    private List<UnaccompaniedMinorMessagePNRB> unaccompaniedMinorMessageList = new ArrayList<UnaccompaniedMinorMessagePNRB>();
    private List<WheelchairRequestPNRB> wheelchairRequestList = new ArrayList<WheelchairRequestPNRB>();
    private List<TicketingRequestType> ticketingRequestList = new ArrayList<TicketingRequestType>();

    /** 
     * Get the list of 'GenericSpecialRequest' element items.
     * 
     * @return list
     */
    public List<GenericSpecialRequestPNRB> getGenericSpecialRequestList() {
        return genericSpecialRequestList;
    }

    /** 
     * Set the list of 'GenericSpecialRequest' element items.
     * 
     * @param list
     */
    public void setGenericSpecialRequestList(
            List<GenericSpecialRequestPNRB> list) {
        genericSpecialRequestList = list;
    }

    /** 
     * Get the list of 'ChildRequest' element items.
     * 
     * @return list
     */
    public List<ChildRequestPNRB> getChildRequestList() {
        return childRequestList;
    }

    /** 
     * Set the list of 'ChildRequest' element items.
     * 
     * @param list
     */
    public void setChildRequestList(List<ChildRequestPNRB> list) {
        childRequestList = list;
    }

    /** 
     * Get the list of 'APISRequest' element items. Code indicating the type of SSR that was sent. Ex."206"
     * 
     * @return list
     */
    public List<APISRequestPNRB> getAPISRequestList() {
        return APISRequestList;
    }

    /** 
     * Set the list of 'APISRequest' element items. Code indicating the type of SSR that was sent. Ex."206"
     * 
     * @param list
     */
    public void setAPISRequestList(List<APISRequestPNRB> list) {
        APISRequestList = list;
    }

    /** 
     * Get the list of 'EmergencyContactRequest' element items. Code indicating the type of SSR/OSI e.g. APAY, BLND.
     * 
     * @return list
     */
    public List<EmergencyContactRequestPNRB> getEmergencyContactRequestList() {
        return emergencyContactRequestList;
    }

    /** 
     * Set the list of 'EmergencyContactRequest' element items. Code indicating the type of SSR/OSI e.g. APAY, BLND.
     * 
     * @param list
     */
    public void setEmergencyContactRequestList(
            List<EmergencyContactRequestPNRB> list) {
        emergencyContactRequestList = list;
    }

    /** 
     * Get the list of 'SpecialMealRequest' element items.
     * 
     * @return list
     */
    public List<SpecialMealRequestPNRB> getSpecialMealRequestList() {
        return specialMealRequestList;
    }

    /** 
     * Set the list of 'SpecialMealRequest' element items.
     * 
     * @param list
     */
    public void setSpecialMealRequestList(List<SpecialMealRequestPNRB> list) {
        specialMealRequestList = list;
    }

    /** 
     * Get the list of 'PassportInfoMessage' element items. name associated.
     * 
     * @return list
     */
    public List<PassportInfoMessagePNRB> getPassportInfoMessageList() {
        return passportInfoMessageList;
    }

    /** 
     * Set the list of 'PassportInfoMessage' element items. name associated.
     * 
     * @param list
     */
    public void setPassportInfoMessageList(List<PassportInfoMessagePNRB> list) {
        passportInfoMessageList = list;
    }

    /** 
     * Get the list of 'SeatRequest' element items.
     * 
     * @return list
     */
    public List<SeatRequestPNRB> getSeatRequestList() {
        return seatRequestList;
    }

    /** 
     * Set the list of 'SeatRequest' element items.
     * 
     * @param list
     */
    public void setSeatRequestList(List<SeatRequestPNRB> list) {
        seatRequestList = list;
    }

    /** 
     * Get the list of 'UnaccompaniedMinorMessage' element items.
     * 
     * @return list
     */
    public List<UnaccompaniedMinorMessagePNRB> getUnaccompaniedMinorMessageList() {
        return unaccompaniedMinorMessageList;
    }

    /** 
     * Set the list of 'UnaccompaniedMinorMessage' element items.
     * 
     * @param list
     */
    public void setUnaccompaniedMinorMessageList(
            List<UnaccompaniedMinorMessagePNRB> list) {
        unaccompaniedMinorMessageList = list;
    }

    /** 
     * Get the list of 'WheelchairRequest' element items.
     * 
     * @return list
     */
    public List<WheelchairRequestPNRB> getWheelchairRequestList() {
        return wheelchairRequestList;
    }

    /** 
     * Set the list of 'WheelchairRequest' element items.
     * 
     * @param list
     */
    public void setWheelchairRequestList(List<WheelchairRequestPNRB> list) {
        wheelchairRequestList = list;
    }

    /** 
     * Get the list of 'TicketingRequest' element items.
     * 
     * @return list
     */
    public List<TicketingRequestType> getTicketingRequestList() {
        return ticketingRequestList;
    }

    /** 
     * Set the list of 'TicketingRequest' element items.
     * 
     * @param list
     */
    public void setTicketingRequestList(List<TicketingRequestType> list) {
        ticketingRequestList = list;
    }
}
