
package com.sabre.webservices.pnrbuilder.v119;

import com.sabre.services.res.or.v114.OpenReservationElementType;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:ns1="http://services.sabre.com/res/or/v1_14" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="NewReservation.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Itinerary" name="Itinerary" minOccurs="0"/>
 *     &lt;xs:element type="ns:TravelerName" name="PersonName" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:GroupName" name="GroupName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:PhoneNumberUpdate.PNRB" name="PhoneNumber" minOccurs="0" maxOccurs="999"/>
 *     &lt;xs:element type="ns:ProfileUpdate.PNRB" name="Profile" minOccurs="0" maxOccurs="999"/>
 *     &lt;xs:element type="ns:DKNumber.PNRB" name="DkNumber" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:TicketingInfo" name="TicketingInfo" minOccurs="0"/>
 *     &lt;xs:element type="ns:RemarkUpdate.PNRB" name="Remark" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:OtherServiceInformation.PNRB" name="OtherServiceInformation" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:SpecialServiceRequest.PNRB" name="SpecialServiceRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:AncillaryServicesUpdate.PNRB" name="AncillaryCreateRequest" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:ReceivedFrom.PNRB" name="ReceivedFrom" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CustomEntry" minOccurs="0"/>
 *     &lt;xs:element type="ns:EmailAddressUpdate.PNRB" name="EmailAddress" minOccurs="0" maxOccurs="999"/>
 *     &lt;xs:element type="ns:AccountingLine.PNRB" name="AccountingLine" minOccurs="0" maxOccurs="999"/>
 *     &lt;xs:element type="ns:DescriptiveBillingInfo.PNRB" name="DescriptiveBillingInfo" minOccurs="0" maxOccurs="999"/>
 *     &lt;xs:element type="ns1:OpenReservationElementType" name="OpenReservationElement" minOccurs="0" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class NewReservationPNRB implements Serializable
{
    private Itinerary itinerary;
    private List<TravelerName> personNameList = new ArrayList<TravelerName>();
    private GroupName groupName;
    private List<PhoneNumberUpdatePNRB> phoneNumberList = new ArrayList<PhoneNumberUpdatePNRB>();
    private List<ProfileUpdatePNRB> profileList = new ArrayList<ProfileUpdatePNRB>();
    private DKNumberPNRB dkNumber;
    private TicketingInfo ticketingInfo;
    private List<RemarkUpdatePNRB> remarkList = new ArrayList<RemarkUpdatePNRB>();
    private List<OtherServiceInformationPNRB> otherServiceInformationList = new ArrayList<OtherServiceInformationPNRB>();
    private List<SpecialServiceRequestPNRB> specialServiceRequestList = new ArrayList<SpecialServiceRequestPNRB>();
    private List<AncillaryServicesUpdatePNRB> ancillaryCreateRequestList = new ArrayList<AncillaryServicesUpdatePNRB>();
    private ReceivedFromPNRB receivedFrom;
    private String customEntry;
    private List<EmailAddressUpdatePNRB> emailAddressList = new ArrayList<EmailAddressUpdatePNRB>();
    private List<AccountingLinePNRB> accountingLineList = new ArrayList<AccountingLinePNRB>();
    private List<DescriptiveBillingInfoPNRB> descriptiveBillingInfoList = new ArrayList<DescriptiveBillingInfoPNRB>();
    private List<OpenReservationElementType> openReservationElementList = new ArrayList<OpenReservationElementType>();

    /** 
     * Get the 'Itinerary' element value.
     * 
     * @return value
     */
    public Itinerary getItinerary() {
        return itinerary;
    }

    /** 
     * Set the 'Itinerary' element value.
     * 
     * @param itinerary
     */
    public void setItinerary(Itinerary itinerary) {
        this.itinerary = itinerary;
    }

    /** 
     * Get the list of 'PersonName' element items.
     * 
     * @return list
     */
    public List<TravelerName> getPersonNameList() {
        return personNameList;
    }

    /** 
     * Set the list of 'PersonName' element items.
     * 
     * @param list
     */
    public void setPersonNameList(List<TravelerName> list) {
        personNameList = list;
    }

    /** 
     * Get the 'GroupName' element value.
     * 
     * @return value
     */
    public GroupName getGroupName() {
        return groupName;
    }

    /** 
     * Set the 'GroupName' element value.
     * 
     * @param groupName
     */
    public void setGroupName(GroupName groupName) {
        this.groupName = groupName;
    }

    /** 
     * Get the list of 'PhoneNumber' element items.
     * 
     * @return list
     */
    public List<PhoneNumberUpdatePNRB> getPhoneNumberList() {
        return phoneNumberList;
    }

    /** 
     * Set the list of 'PhoneNumber' element items.
     * 
     * @param list
     */
    public void setPhoneNumberList(List<PhoneNumberUpdatePNRB> list) {
        phoneNumberList = list;
    }

    /** 
     * Get the list of 'Profile' element items.
     * 
     * @return list
     */
    public List<ProfileUpdatePNRB> getProfileList() {
        return profileList;
    }

    /** 
     * Set the list of 'Profile' element items.
     * 
     * @param list
     */
    public void setProfileList(List<ProfileUpdatePNRB> list) {
        profileList = list;
    }

    /** 
     * Get the 'DkNumber' element value.
     * 
     * @return value
     */
    public DKNumberPNRB getDkNumber() {
        return dkNumber;
    }

    /** 
     * Set the 'DkNumber' element value.
     * 
     * @param dkNumber
     */
    public void setDkNumber(DKNumberPNRB dkNumber) {
        this.dkNumber = dkNumber;
    }

    /** 
     * Get the 'TicketingInfo' element value.
     * 
     * @return value
     */
    public TicketingInfo getTicketingInfo() {
        return ticketingInfo;
    }

    /** 
     * Set the 'TicketingInfo' element value.
     * 
     * @param ticketingInfo
     */
    public void setTicketingInfo(TicketingInfo ticketingInfo) {
        this.ticketingInfo = ticketingInfo;
    }

    /** 
     * Get the list of 'Remark' element items.
     * 
     * @return list
     */
    public List<RemarkUpdatePNRB> getRemarkList() {
        return remarkList;
    }

    /** 
     * Set the list of 'Remark' element items.
     * 
     * @param list
     */
    public void setRemarkList(List<RemarkUpdatePNRB> list) {
        remarkList = list;
    }

    /** 
     * Get the list of 'OtherServiceInformation' element items.
     * 
     * @return list
     */
    public List<OtherServiceInformationPNRB> getOtherServiceInformationList() {
        return otherServiceInformationList;
    }

    /** 
     * Set the list of 'OtherServiceInformation' element items.
     * 
     * @param list
     */
    public void setOtherServiceInformationList(
            List<OtherServiceInformationPNRB> list) {
        otherServiceInformationList = list;
    }

    /** 
     * Get the list of 'SpecialServiceRequest' element items.
     * 
     * @return list
     */
    public List<SpecialServiceRequestPNRB> getSpecialServiceRequestList() {
        return specialServiceRequestList;
    }

    /** 
     * Set the list of 'SpecialServiceRequest' element items.
     * 
     * @param list
     */
    public void setSpecialServiceRequestList(
            List<SpecialServiceRequestPNRB> list) {
        specialServiceRequestList = list;
    }

    /** 
     * Get the list of 'AncillaryCreateRequest' element items. Ancillary Create Request to support creating ancillaries via Create Reservation.
                      
     * 
     * @return list
     */
    public List<AncillaryServicesUpdatePNRB> getAncillaryCreateRequestList() {
        return ancillaryCreateRequestList;
    }

    /** 
     * Set the list of 'AncillaryCreateRequest' element items. Ancillary Create Request to support creating ancillaries via Create Reservation.
                      
     * 
     * @param list
     */
    public void setAncillaryCreateRequestList(
            List<AncillaryServicesUpdatePNRB> list) {
        ancillaryCreateRequestList = list;
    }

    /** 
     * Get the 'ReceivedFrom' element value.
     * 
     * @return value
     */
    public ReceivedFromPNRB getReceivedFrom() {
        return receivedFrom;
    }

    /** 
     * Set the 'ReceivedFrom' element value.
     * 
     * @param receivedFrom
     */
    public void setReceivedFrom(ReceivedFromPNRB receivedFrom) {
        this.receivedFrom = receivedFrom;
    }

    /** 
     * Get the 'CustomEntry' element value.
     * 
     * @return value
     */
    public String getCustomEntry() {
        return customEntry;
    }

    /** 
     * Set the 'CustomEntry' element value.
     * 
     * @param customEntry
     */
    public void setCustomEntry(String customEntry) {
        this.customEntry = customEntry;
    }

    /** 
     * Get the list of 'EmailAddress' element items.
     * 
     * @return list
     */
    public List<EmailAddressUpdatePNRB> getEmailAddressList() {
        return emailAddressList;
    }

    /** 
     * Set the list of 'EmailAddress' element items.
     * 
     * @param list
     */
    public void setEmailAddressList(List<EmailAddressUpdatePNRB> list) {
        emailAddressList = list;
    }

    /** 
     * Get the list of 'AccountingLine' element items.
     * 
     * @return list
     */
    public List<AccountingLinePNRB> getAccountingLineList() {
        return accountingLineList;
    }

    /** 
     * Set the list of 'AccountingLine' element items.
     * 
     * @param list
     */
    public void setAccountingLineList(List<AccountingLinePNRB> list) {
        accountingLineList = list;
    }

    /** 
     * Get the list of 'DescriptiveBillingInfo' element items.
     * 
     * @return list
     */
    public List<DescriptiveBillingInfoPNRB> getDescriptiveBillingInfoList() {
        return descriptiveBillingInfoList;
    }

    /** 
     * Set the list of 'DescriptiveBillingInfo' element items.
     * 
     * @param list
     */
    public void setDescriptiveBillingInfoList(
            List<DescriptiveBillingInfoPNRB> list) {
        descriptiveBillingInfoList = list;
    }

    /** 
     * Get the list of 'OpenReservationElement' element items.
     * 
     * @return list
     */
    public List<OpenReservationElementType> getOpenReservationElementList() {
        return openReservationElementList;
    }

    /** 
     * Set the list of 'OpenReservationElement' element items.
     * 
     * @param list
     */
    public void setOpenReservationElementList(
            List<OpenReservationElementType> list) {
        openReservationElementList = list;
    }
}
