
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OACType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="PartitionId" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AccountingCityCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AccountingCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AccountingOfficeStationCode" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OACType implements Serializable
{
    private String partitionId;
    private String accountingCityCode;
    private String accountingCode;
    private String accountingOfficeStationCode;

    /** 
     * Get the 'PartitionId' element value. Deafult partition code from the OAC data.
     * 
     * @return value
     */
    public String getPartitionId() {
        return partitionId;
    }

    /** 
     * Set the 'PartitionId' element value. Deafult partition code from the OAC data.
     * 
     * @param partitionId
     */
    public void setPartitionId(String partitionId) {
        this.partitionId = partitionId;
    }

    /** 
     * Get the 'AccountingCityCode' element value. The personal account city code associated with user AAA city during the original
                          PNR create session.
                      
     * 
     * @return value
     */
    public String getAccountingCityCode() {
        return accountingCityCode;
    }

    /** 
     * Set the 'AccountingCityCode' element value. The personal account city code associated with user AAA city during the original
                          PNR create session.
                      
     * 
     * @param accountingCityCode
     */
    public void setAccountingCityCode(String accountingCityCode) {
        this.accountingCityCode = accountingCityCode;
    }

    /** 
     * Get the 'AccountingCode' element value. The personal account code associated with user AAA city during the original PNR
                          create session.
                      
     * 
     * @return value
     */
    public String getAccountingCode() {
        return accountingCode;
    }

    /** 
     * Set the 'AccountingCode' element value. The personal account code associated with user AAA city during the original PNR
                          create session.
                      
     * 
     * @param accountingCode
     */
    public void setAccountingCode(String accountingCode) {
        this.accountingCode = accountingCode;
    }

    /** 
     * Get the 'AccountingOfficeStationCode' element value. The station code from the OAC line used in this PNR Create Session
                      
     * 
     * @return value
     */
    public String getAccountingOfficeStationCode() {
        return accountingOfficeStationCode;
    }

    /** 
     * Set the 'AccountingOfficeStationCode' element value. The station code from the OAC line used in this PNR Create Session
                      
     * 
     * @param accountingOfficeStationCode
     */
    public void setAccountingOfficeStationCode(
            String accountingOfficeStationCode) {
        this.accountingOfficeStationCode = accountingOfficeStationCode;
    }
}
