
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PADISCode.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Code" minOccurs="0"/>
 *     &lt;xs:element type="xs:short" name="BitCode" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PADISCodePNRB implements Serializable
{
    private String code;
    private Short bitCode;

    /** 
     * Get the 'Code' element value. PADIS - Passenger and Airport Data Interchange Standards. Describes passenger seat characteristic
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'Code' element value. PADIS - Passenger and Airport Data Interchange Standards. Describes passenger seat characteristic
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'BitCode' element value. ACS seat characteristic bit map code
     * 
     * @return value
     */
    public Short getBitCode() {
        return bitCode;
    }

    /** 
     * Set the 'BitCode' element value. ACS seat characteristic bit map code
     * 
     * @param bitCode
     */
    public void setBitCode(Short bitCode) {
        this.bitCode = bitCode;
    }
}
