
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PassengerDetailsHistoryType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="HistoryAction" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="NameID" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="PassengerDetailType" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CancelledName" minOccurs="0"/>
 *     &lt;xs:element name="PassengerDetails" minOccurs="0">
 *       &lt;!-- Reference to inner class PassengerDetails -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PassengerDetailsHistoryType implements Serializable
{
    private String historyAction;
    private String nameID;
    private String passengerDetailType;
    private String cancelledName;
    private PassengerDetails passengerDetails;

    /** 
     * Get the 'HistoryAction' element value.
     * 
     * @return value
     */
    public String getHistoryAction() {
        return historyAction;
    }

    /** 
     * Set the 'HistoryAction' element value.
     * 
     * @param historyAction
     */
    public void setHistoryAction(String historyAction) {
        this.historyAction = historyAction;
    }

    /** 
     * Get the 'NameID' element value.
     * 
     * @return value
     */
    public String getNameID() {
        return nameID;
    }

    /** 
     * Set the 'NameID' element value.
     * 
     * @param nameID
     */
    public void setNameID(String nameID) {
        this.nameID = nameID;
    }

    /** 
     * Get the 'PassengerDetailType' element value.
     * 
     * @return value
     */
    public String getPassengerDetailType() {
        return passengerDetailType;
    }

    /** 
     * Set the 'PassengerDetailType' element value.
     * 
     * @param passengerDetailType
     */
    public void setPassengerDetailType(String passengerDetailType) {
        this.passengerDetailType = passengerDetailType;
    }

    /** 
     * Get the 'CancelledName' element value.
     * 
     * @return value
     */
    public String getCancelledName() {
        return cancelledName;
    }

    /** 
     * Set the 'CancelledName' element value.
     * 
     * @param cancelledName
     */
    public void setCancelledName(String cancelledName) {
        this.cancelledName = cancelledName;
    }

    /** 
     * Get the 'PassengerDetails' element value.
     * 
     * @return value
     */
    public PassengerDetails getPassengerDetails() {
        return passengerDetails;
    }

    /** 
     * Set the 'PassengerDetails' element value.
     * 
     * @param passengerDetails
     */
    public void setPassengerDetails(PassengerDetails passengerDetails) {
        this.passengerDetails = passengerDetails;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PassengerDetails" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:choice>
     *       &lt;xs:element type="ns:PassengerEmailType" name="PassengerEmail" minOccurs="0"/>
     *       &lt;xs:element type="ns:PassengerTypeType" name="PassengerType" minOccurs="0"/>
     *       &lt;xs:element type="ns:PassengerProfileType" name="PassengerProfile" minOccurs="0"/>
     *     &lt;/xs:choice>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class PassengerDetails implements Serializable
    {
        private int passengerDetailsSelect = -1;
        private static final int PASSENGER_EMAIL_CHOICE = 0;
        private static final int PASSENGER_TYPE_CHOICE = 1;
        private static final int PASSENGER_PROFILE_CHOICE = 2;
        private PassengerEmailType passengerEmail;
        private PassengerTypeType passengerType;
        private PassengerProfileType passengerProfile;

        private void setPassengerDetailsSelect(int choice) {
            if (passengerDetailsSelect == -1) {
                passengerDetailsSelect = choice;
            } else if (passengerDetailsSelect != choice) {
                throw new IllegalStateException(
                        "Need to call clearPassengerDetailsSelect() before changing existing choice");
            }
        }

        /** 
         * Clear the choice selection.
         */
        public void clearPassengerDetailsSelect() {
            passengerDetailsSelect = -1;
        }

        /** 
         * Check if PassengerEmail is current selection for choice.
         * 
         * @return <code>true</code> if selection, <code>false</code> if not
         */
        public boolean ifPassengerEmail() {
            return passengerDetailsSelect == PASSENGER_EMAIL_CHOICE;
        }

        /** 
         * Get the 'PassengerEmail' element value.
         * 
         * @return value
         */
        public PassengerEmailType getPassengerEmail() {
            return passengerEmail;
        }

        /** 
         * Set the 'PassengerEmail' element value.
         * 
         * @param passengerEmail
         */
        public void setPassengerEmail(PassengerEmailType passengerEmail) {
            setPassengerDetailsSelect(PASSENGER_EMAIL_CHOICE);
            this.passengerEmail = passengerEmail;
        }

        /** 
         * Check if PassengerType is current selection for choice.
         * 
         * @return <code>true</code> if selection, <code>false</code> if not
         */
        public boolean ifPassengerType() {
            return passengerDetailsSelect == PASSENGER_TYPE_CHOICE;
        }

        /** 
         * Get the 'PassengerType' element value.
         * 
         * @return value
         */
        public PassengerTypeType getPassengerType() {
            return passengerType;
        }

        /** 
         * Set the 'PassengerType' element value.
         * 
         * @param passengerType
         */
        public void setPassengerType(PassengerTypeType passengerType) {
            setPassengerDetailsSelect(PASSENGER_TYPE_CHOICE);
            this.passengerType = passengerType;
        }

        /** 
         * Check if PassengerProfile is current selection for choice.
         * 
         * @return <code>true</code> if selection, <code>false</code> if not
         */
        public boolean ifPassengerProfile() {
            return passengerDetailsSelect == PASSENGER_PROFILE_CHOICE;
        }

        /** 
         * Get the 'PassengerProfile' element value.
         * 
         * @return value
         */
        public PassengerProfileType getPassengerProfile() {
            return passengerProfile;
        }

        /** 
         * Set the 'PassengerProfile' element value.
         * 
         * @param passengerProfile
         */
        public void setPassengerProfile(PassengerProfileType passengerProfile) {
            setPassengerDetailsSelect(PASSENGER_PROFILE_CHOICE);
            this.passengerProfile = passengerProfile;
        }
    }
}
