
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * * enter passport data in historical remarks

 5H-‡(passport issuing country)-(passport #)-(country
 code of
 citizenship)-(passenger name as it appears in
 passport, plus free
 text)
 5H-‡US-D123456-US-GREEN/ROBERT W.

 NOTE: only for AA

 * enter data
 for military personnel with pink or
 green
 ID card

 5H-‡(country issuing
 military orders)-(card
 #)-(citizenship)-(passenger's full name)-(area
 order
 number or order
 number)
 5H-‡FR-999999-FR-DUPONT/VALERIE-5577

 NOTE: only for AA

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PassportRemark.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="IssuingCountry" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Citizenship" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="PassengerName" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DocumentNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Comment" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OrderNumber" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="index"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RPH"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PassportRemarkPNRB implements Serializable
{
    private String issuingCountry;
    private String citizenship;
    private String passengerName;
    private String documentNumber;
    private String comment;
    private String orderNumber;
    private BigInteger index;
    private String id;
    private OperationTypePNRB op;
    private String RPH;

    /** 
     * Get the 'IssuingCountry' element value.
     * 
     * @return value
     */
    public String getIssuingCountry() {
        return issuingCountry;
    }

    /** 
     * Set the 'IssuingCountry' element value.
     * 
     * @param issuingCountry
     */
    public void setIssuingCountry(String issuingCountry) {
        this.issuingCountry = issuingCountry;
    }

    /** 
     * Get the 'Citizenship' element value.
     * 
     * @return value
     */
    public String getCitizenship() {
        return citizenship;
    }

    /** 
     * Set the 'Citizenship' element value.
     * 
     * @param citizenship
     */
    public void setCitizenship(String citizenship) {
        this.citizenship = citizenship;
    }

    /** 
     * Get the 'PassengerName' element value.
     * 
     * @return value
     */
    public String getPassengerName() {
        return passengerName;
    }

    /** 
     * Set the 'PassengerName' element value.
     * 
     * @param passengerName
     */
    public void setPassengerName(String passengerName) {
        this.passengerName = passengerName;
    }

    /** 
     * Get the 'DocumentNumber' element value.
     * 
     * @return value
     */
    public String getDocumentNumber() {
        return documentNumber;
    }

    /** 
     * Set the 'DocumentNumber' element value.
     * 
     * @param documentNumber
     */
    public void setDocumentNumber(String documentNumber) {
        this.documentNumber = documentNumber;
    }

    /** 
     * Get the 'Comment' element value.
     * 
     * @return value
     */
    public String getComment() {
        return comment;
    }

    /** 
     * Set the 'Comment' element value.
     * 
     * @param comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /** 
     * Get the 'OrderNumber' element value.
     * 
     * @return value
     */
    public String getOrderNumber() {
        return orderNumber;
    }

    /** 
     * Set the 'OrderNumber' element value.
     * 
     * @param orderNumber
     */
    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    /** 
     * Get the 'index' attribute value.
     * 
     * @return value
     */
    public BigInteger getIndex() {
        return index;
    }

    /** 
     * Set the 'index' attribute value.
     * 
     * @param index
     */
    public void setIndex(BigInteger index) {
        this.index = index;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
