
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Availability seat count for specific class code
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RdbAvailableSeatCountType.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ClassCode"/>
 *     &lt;xs:element type="xs:string" name="AvailableSeatCount"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RdbAvailableSeatCountTypePNRB implements Serializable
{
    private String classCode;
    private String availableSeatCount;

    /** 
     * Get the 'ClassCode' element value. Class of service
     * 
     * @return value
     */
    public String getClassCode() {
        return classCode;
    }

    /** 
     * Set the 'ClassCode' element value. Class of service
     * 
     * @param classCode
     */
    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    /** 
     * Get the 'AvailableSeatCount' element value. Available seat count 0-99
     * 
     * @return value
     */
    public String getAvailableSeatCount() {
        return availableSeatCount;
    }

    /** 
     * Set the 'AvailableSeatCount' element value. Available seat count 0-99
     * 
     * @param availableSeatCount
     */
    public void setAvailableSeatCount(String availableSeatCount) {
        this.availableSeatCount = availableSeatCount;
    }
}
