
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ReissueDetails">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="DocumentNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="BaseFare" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="TaxAmount" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AddCollectAmount" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ReissueDetails implements Serializable
{
    private String documentNumber;
    private String baseFare;
    private String taxAmount;
    private String addCollectAmount;

    /** 
     * Get the 'DocumentNumber' element value. Original/Exchange ticket number Mapped to: DM0Z_38_DACC
     * 
     * @return value
     */
    public String getDocumentNumber() {
        return documentNumber;
    }

    /** 
     * Set the 'DocumentNumber' element value. Original/Exchange ticket number Mapped to: DM0Z_38_DACC
     * 
     * @param documentNumber
     */
    public void setDocumentNumber(String documentNumber) {
        this.documentNumber = documentNumber;
    }

    /** 
     * Get the 'BaseFare' element value. The base fee amount associated to the item or service which does not include
                          taxes. Mapped to: SR05_C1_BAMT
                      
     * 
     * @return value
     */
    public String getBaseFare() {
        return baseFare;
    }

    /** 
     * Set the 'BaseFare' element value. The base fee amount associated to the item or service which does not include
                          taxes. Mapped to: SR05_C1_BAMT
                      
     * 
     * @param baseFare
     */
    public void setBaseFare(String baseFare) {
        this.baseFare = baseFare;
    }

    /** 
     * Get the 'TaxAmount' element value. The total fee taxes associated to the item or service purchased. Mapped to:
                          SR05_C1_TAMT
                      
     * 
     * @return value
     */
    public String getTaxAmount() {
        return taxAmount;
    }

    /** 
     * Set the 'TaxAmount' element value. The total fee taxes associated to the item or service purchased. Mapped to:
                          SR05_C1_TAMT
                      
     * 
     * @param taxAmount
     */
    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    /** 
     * Get the 'AddCollectAmount' element value. Add/Collect Amount Mapped to: DM0Z_C0_GAMT
     * 
     * @return value
     */
    public String getAddCollectAmount() {
        return addCollectAmount;
    }

    /** 
     * Set the 'AddCollectAmount' element value. Add/Collect Amount Mapped to: DM0Z_C0_GAMT
     * 
     * @param addCollectAmount
     */
    public void setAddCollectAmount(String addCollectAmount) {
        this.addCollectAmount = addCollectAmount;
    }
}
