
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RequestType">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="ns:RequestEnumerationType">
 *       &lt;xs:attribute type="xs:boolean" name="commitTransaction"/>
 *       &lt;xs:attribute type="xs:boolean" name="initialIgnore"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RequestType implements Serializable
{
    private RequestEnumerationType requestEnumerationType;
    private Boolean commitTransaction;
    private Boolean initialIgnore;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public RequestEnumerationType getRequestEnumerationType() {
        return requestEnumerationType;
    }

    /** 
     * Set the extension value.
     * 
     * @param requestEnumerationType
     */
    public void setRequestEnumerationType(
            RequestEnumerationType requestEnumerationType) {
        this.requestEnumerationType = requestEnumerationType;
    }

    /** 
     * Get the 'commitTransaction' attribute value. 
                              Allows to control if ET should be called at the end of STATEFUL call.
                              This option is ignored in STATELESS mode.
                              By default it is set to false.
                          
     * 
     * @return value
     */
    public Boolean getCommitTransaction() {
        return commitTransaction;
    }

    /** 
     * Set the 'commitTransaction' attribute value. 
                              Allows to control if ET should be called at the end of STATEFUL call.
                              This option is ignored in STATELESS mode.
                              By default it is set to false.
                          
     * 
     * @param commitTransaction
     */
    public void setCommitTransaction(Boolean commitTransaction) {
        this.commitTransaction = commitTransaction;
    }

    /** 
     * Get the 'initialIgnore' attribute value. 
                              Allows to control if IG should be called at the beginning of STATEFUL call.
                              This option is ignored in STATELESS mode.
                              By default it is set to false.
                          
     * 
     * @return value
     */
    public Boolean getInitialIgnore() {
        return initialIgnore;
    }

    /** 
     * Set the 'initialIgnore' attribute value. 
                              Allows to control if IG should be called at the beginning of STATEFUL call.
                              This option is ignored in STATELESS mode.
                              By default it is set to false.
                          
     * 
     * @param initialIgnore
     */
    public void setInitialIgnore(Boolean initialIgnore) {
        this.initialIgnore = initialIgnore;
    }
}
