
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * When non-air segments are defined they will be added to
 this sequence.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Segments.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:group ref="ns:Segment.PNRB" minOccurs="0" maxOccurs="99"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" name="addARNKS"/>
 * &lt;/xs:complexType>
 * 
 * &lt;xs:group xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Segment.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:group ref="ns:AirSegmentChoiceGroup"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:group>
 * </pre>
 */
public class SegmentsPNRB implements Serializable
{
    private List<AirSegmentChoiceGroup> segmentPNRBs = new ArrayList<AirSegmentChoiceGroup>();
    private Boolean addARNKS;

    /** 
     * Get the list of 'Segment.PNRB' group items.
     * 
     * @return list
     */
    public List<AirSegmentChoiceGroup> getSegmentPNRBs() {
        return segmentPNRBs;
    }

    /** 
     * Set the list of 'Segment.PNRB' group items.
     * 
     * @param list
     */
    public void setSegmentPNRBs(List<AirSegmentChoiceGroup> list) {
        segmentPNRBs = list;
    }

    /** 
     * Get the 'addARNKS' attribute value.
     * 
     * @return value
     */
    public Boolean getAddARNKS() {
        return addARNKS;
    }

    /** 
     * Set the 'addARNKS' attribute value.
     * 
     * @param addARNKS
     */
    public void setAddARNKS(Boolean addARNKS) {
        this.addARNKS = addARNKS;
    }
}
