
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * * enter remark to print on itinerary form

 5‡(free
 text)
 5‡ARRIVE AT AIRPORT EARLY CONSTRUCTION

 * enter remark to print
 on invoice
 form

 5.(free text)
 5.RATE IS BASED ON SATURDAY NIGHT STAY

 *
 enter remark to print in form of
 payment box on the
 ticket

 5-(free
 text) 5-AGENCY CHECK

 * enter remark
 to print on ticket under name
 field for
 reference

 5*(free text)
 5*MUST TRAVEL WITH JUAREZ/J

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SymbolCodedRemark.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:RemarkLines.PNRB" name="RemarkLines" minOccurs="0"/>
 *     &lt;xs:element type="ns:RemarkPrintCode.PNRB" name="Print" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:integer" name="index"/>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="RPH"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SymbolCodedRemarkPNRB implements Serializable
{
    private RemarkLinesPNRB remarkLines;
    private RemarkPrintCodePNRB print;
    private BigInteger index;
    private String id;
    private OperationTypePNRB op;
    private String RPH;

    /** 
     * Get the 'RemarkLines' element value.
     * 
     * @return value
     */
    public RemarkLinesPNRB getRemarkLines() {
        return remarkLines;
    }

    /** 
     * Set the 'RemarkLines' element value.
     * 
     * @param remarkLines
     */
    public void setRemarkLines(RemarkLinesPNRB remarkLines) {
        this.remarkLines = remarkLines;
    }

    /** 
     * Get the 'Print' element value. ITIN = remark is printed on itinerary form
                          INV = remark is printed
                          PAY = remark is printed in payment box on the ticket
                          NAME = remark is printed under name field
                      
     * 
     * @return value
     */
    public RemarkPrintCodePNRB getPrint() {
        return print;
    }

    /** 
     * Set the 'Print' element value. ITIN = remark is printed on itinerary form
                          INV = remark is printed
                          PAY = remark is printed in payment box on the ticket
                          NAME = remark is printed under name field
                      
     * 
     * @param print
     */
    public void setPrint(RemarkPrintCodePNRB print) {
        this.print = print;
    }

    /** 
     * Get the 'index' attribute value.
     * 
     * @return value
     */
    public BigInteger getIndex() {
        return index;
    }

    /** 
     * Set the 'index' attribute value.
     * 
     * @param index
     */
    public void setIndex(BigInteger index) {
        this.index = index;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
