
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TTYRecordLocatorType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="CRSLocator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CRSCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="RecordLocator" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AgencyId" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="IataNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="AgencyLocation" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="SystemCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="UserType" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CountryCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Currency" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="DutyCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ERSPUserId" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FirstPointOfDeparture" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TTYRecordLocatorType implements Serializable
{
    private String CRSLocator;
    private String CRSCode;
    private String recordLocator;
    private String agencyId;
    private String iataNumber;
    private String agencyLocation;
    private String systemCode;
    private String userType;
    private String countryCode;
    private String currency;
    private String dutyCode;
    private String ERSPUserId;
    private String firstPointOfDeparture;

    /** 
     * Get the 'CRSLocator' element value.
     * 
     * @return value
     */
    public String getCRSLocator() {
        return CRSLocator;
    }

    /** 
     * Set the 'CRSLocator' element value.
     * 
     * @param CRSLocator
     */
    public void setCRSLocator(String CRSLocator) {
        this.CRSLocator = CRSLocator;
    }

    /** 
     * Get the 'CRSCode' element value.
     * 
     * @return value
     */
    public String getCRSCode() {
        return CRSCode;
    }

    /** 
     * Set the 'CRSCode' element value.
     * 
     * @param CRSCode
     */
    public void setCRSCode(String CRSCode) {
        this.CRSCode = CRSCode;
    }

    /** 
     * Get the 'RecordLocator' element value.
     * 
     * @return value
     */
    public String getRecordLocator() {
        return recordLocator;
    }

    /** 
     * Set the 'RecordLocator' element value.
     * 
     * @param recordLocator
     */
    public void setRecordLocator(String recordLocator) {
        this.recordLocator = recordLocator;
    }

    /** 
     * Get the 'AgencyId' element value. Booking Source arranger
     * 
     * @return value
     */
    public String getAgencyId() {
        return agencyId;
    }

    /** 
     * Set the 'AgencyId' element value. Booking Source arranger
     * 
     * @param agencyId
     */
    public void setAgencyId(String agencyId) {
        this.agencyId = agencyId;
    }

    /** 
     * Get the 'IataNumber' element value. Booking Source location IATA Number
     * 
     * @return value
     */
    public String getIataNumber() {
        return iataNumber;
    }

    /** 
     * Set the 'IataNumber' element value. Booking Source location IATA Number
     * 
     * @param iataNumber
     */
    public void setIataNumber(String iataNumber) {
        this.iataNumber = iataNumber;
    }

    /** 
     * Get the 'AgencyLocation' element value. Booking Source agent Location
     * 
     * @return value
     */
    public String getAgencyLocation() {
        return agencyLocation;
    }

    /** 
     * Set the 'AgencyLocation' element value. Booking Source agent Location
     * 
     * @param agencyLocation
     */
    public void setAgencyLocation(String agencyLocation) {
        this.agencyLocation = agencyLocation;
    }

    /** 
     * Get the 'SystemCode' element value.
     * 
     * @return value
     */
    public String getSystemCode() {
        return systemCode;
    }

    /** 
     * Set the 'SystemCode' element value.
     * 
     * @param systemCode
     */
    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }

    /** 
     * Get the 'UserType' element value. A - Airline; E - ERSP; N - no user ID assigned by IATA;
                          T - user ID assigned by IATA other than ERSP. Ex. "A"
                      
     * 
     * @return value
     */
    public String getUserType() {
        return userType;
    }

    /** 
     * Set the 'UserType' element value. A - Airline; E - ERSP; N - no user ID assigned by IATA;
                          T - user ID assigned by IATA other than ERSP. Ex. "A"
                      
     * 
     * @param userType
     */
    public void setUserType(String userType) {
        this.userType = userType;
    }

    /** 
     * Get the 'CountryCode' element value.
     * 
     * @return value
     */
    public String getCountryCode() {
        return countryCode;
    }

    /** 
     * Set the 'CountryCode' element value.
     * 
     * @param countryCode
     */
    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    /** 
     * Get the 'Currency' element value.
     * 
     * @return value
     */
    public String getCurrency() {
        return currency;
    }

    /** 
     * Set the 'Currency' element value.
     * 
     * @param currency
     */
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /** 
     * Get the 'DutyCode' element value.
     * 
     * @return value
     */
    public String getDutyCode() {
        return dutyCode;
    }

    /** 
     * Set the 'DutyCode' element value.
     * 
     * @param dutyCode
     */
    public void setDutyCode(String dutyCode) {
        this.dutyCode = dutyCode;
    }

    /** 
     * Get the 'ERSPUserId' element value. Electronic Reservation Service Provider number.
     * 
     * @return value
     */
    public String getERSPUserId() {
        return ERSPUserId;
    }

    /** 
     * Set the 'ERSPUserId' element value. Electronic Reservation Service Provider number.
     * 
     * @param ERSPUserId
     */
    public void setERSPUserId(String ERSPUserId) {
        this.ERSPUserId = ERSPUserId;
    }

    /** 
     * Get the 'FirstPointOfDeparture' element value. First point of departure for this booking.
     * 
     * @return value
     */
    public String getFirstPointOfDeparture() {
        return firstPointOfDeparture;
    }

    /** 
     * Set the 'FirstPointOfDeparture' element value. First point of departure for this booking.
     * 
     * @param firstPointOfDeparture
     */
    public void setFirstPointOfDeparture(String firstPointOfDeparture) {
        this.firstPointOfDeparture = firstPointOfDeparture;
    }
}
