
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Tax.Misc">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Amount" name="Amount"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" default="false" name="exempt"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="code"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TaxMisc implements Serializable
{
    private Amount amount;
    private Boolean exempt;
    private String code;

    /** 
     * Get the 'Amount' element value.
     * 
     * @return value
     */
    public Amount getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' element value.
     * 
     * @param amount
     */
    public void setAmount(Amount amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'exempt' attribute value. An indicator that a tax has been exempted. Mapped to:
     * 
     * @return value
     */
    public Boolean getExempt() {
        return exempt;
    }

    /** 
     * Set the 'exempt' attribute value. An indicator that a tax has been exempted. Mapped to:
     * 
     * @param exempt
     */
    public void setExempt(Boolean exempt) {
        this.exempt = exempt;
    }

    /** 
     * Get the 'code' attribute value. A code that applies to the tax (e.g, US, ZP). Mapped to: SR05_C2_TCOD
                  
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. A code that applies to the tax (e.g, US, ZP). Mapped to: SR05_C2_TCOD
                  
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }
}
