
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TicketingRequestType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="TicketType" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ValidatingCarrier" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ActionCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumberInParty" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="BoardPoint" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OffPoint" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" name="DateOfTravel" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="TicketNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="CouponNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="PassengerName" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="RPH"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TicketingRequestType implements Serializable
{
    private String ticketType;
    private String validatingCarrier;
    private String actionCode;
    private BigInteger numberInParty;
    private String boardPoint;
    private String offPoint;
    private String classOfService;
    private Date dateOfTravel;
    private String ticketNumber;
    private String couponNumber;
    private String passengerName;
    private String RPH;

    /** 
     * Get the 'TicketType' element value.
     * 
     * @return value
     */
    public String getTicketType() {
        return ticketType;
    }

    /** 
     * Set the 'TicketType' element value.
     * 
     * @param ticketType
     */
    public void setTicketType(String ticketType) {
        this.ticketType = ticketType;
    }

    /** 
     * Get the 'ValidatingCarrier' element value.
     * 
     * @return value
     */
    public String getValidatingCarrier() {
        return validatingCarrier;
    }

    /** 
     * Set the 'ValidatingCarrier' element value.
     * 
     * @param validatingCarrier
     */
    public void setValidatingCarrier(String validatingCarrier) {
        this.validatingCarrier = validatingCarrier;
    }

    /** 
     * Get the 'ActionCode' element value.
     * 
     * @return value
     */
    public String getActionCode() {
        return actionCode;
    }

    /** 
     * Set the 'ActionCode' element value.
     * 
     * @param actionCode
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode;
    }

    /** 
     * Get the 'NumberInParty' element value.
     * 
     * @return value
     */
    public BigInteger getNumberInParty() {
        return numberInParty;
    }

    /** 
     * Set the 'NumberInParty' element value.
     * 
     * @param numberInParty
     */
    public void setNumberInParty(BigInteger numberInParty) {
        this.numberInParty = numberInParty;
    }

    /** 
     * Get the 'BoardPoint' element value.
     * 
     * @return value
     */
    public String getBoardPoint() {
        return boardPoint;
    }

    /** 
     * Set the 'BoardPoint' element value.
     * 
     * @param boardPoint
     */
    public void setBoardPoint(String boardPoint) {
        this.boardPoint = boardPoint;
    }

    /** 
     * Get the 'OffPoint' element value.
     * 
     * @return value
     */
    public String getOffPoint() {
        return offPoint;
    }

    /** 
     * Set the 'OffPoint' element value.
     * 
     * @param offPoint
     */
    public void setOffPoint(String offPoint) {
        this.offPoint = offPoint;
    }

    /** 
     * Get the 'ClassOfService' element value.
     * 
     * @return value
     */
    public String getClassOfService() {
        return classOfService;
    }

    /** 
     * Set the 'ClassOfService' element value.
     * 
     * @param classOfService
     */
    public void setClassOfService(String classOfService) {
        this.classOfService = classOfService;
    }

    /** 
     * Get the 'DateOfTravel' element value.
     * 
     * @return value
     */
    public Date getDateOfTravel() {
        return dateOfTravel;
    }

    /** 
     * Set the 'DateOfTravel' element value.
     * 
     * @param dateOfTravel
     */
    public void setDateOfTravel(Date dateOfTravel) {
        this.dateOfTravel = dateOfTravel;
    }

    /** 
     * Get the 'TicketNumber' element value.
     * 
     * @return value
     */
    public String getTicketNumber() {
        return ticketNumber;
    }

    /** 
     * Set the 'TicketNumber' element value.
     * 
     * @param ticketNumber
     */
    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    /** 
     * Get the 'CouponNumber' element value.
     * 
     * @return value
     */
    public String getCouponNumber() {
        return couponNumber;
    }

    /** 
     * Set the 'CouponNumber' element value.
     * 
     * @param couponNumber
     */
    public void setCouponNumber(String couponNumber) {
        this.couponNumber = couponNumber;
    }

    /** 
     * Get the 'PassengerName' element value.
     * 
     * @return value
     */
    public String getPassengerName() {
        return passengerName;
    }

    /** 
     * Set the 'PassengerName' element value.
     * 
     * @param passengerName
     */
    public void setPassengerName(String passengerName) {
        this.passengerName = passengerName;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
