
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelerGroup.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumInGroup" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="NumberOfSeatsRemaining" minOccurs="0"/>
 *     &lt;xs:element name="AncillaryServices" minOccurs="0">
 *       &lt;!-- Reference to inner class AncillaryServices -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="xs:string" name="nameId"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TravelerGroupPNRB implements Serializable
{
    private String name;
    private BigInteger numInGroup;
    private BigInteger numberOfSeatsRemaining;
    private AncillaryServices ancillaryServices;
    private String id;
    private String nameId;
    private OperationTypePNRB op;

    /** 
     * Get the 'Name' element value.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'NumInGroup' element value.
     * 
     * @return value
     */
    public BigInteger getNumInGroup() {
        return numInGroup;
    }

    /** 
     * Set the 'NumInGroup' element value.
     * 
     * @param numInGroup
     */
    public void setNumInGroup(BigInteger numInGroup) {
        this.numInGroup = numInGroup;
    }

    /** 
     * Get the 'NumberOfSeatsRemaining' element value.
     * 
     * @return value
     */
    public BigInteger getNumberOfSeatsRemaining() {
        return numberOfSeatsRemaining;
    }

    /** 
     * Set the 'NumberOfSeatsRemaining' element value.
     * 
     * @param numberOfSeatsRemaining
     */
    public void setNumberOfSeatsRemaining(BigInteger numberOfSeatsRemaining) {
        this.numberOfSeatsRemaining = numberOfSeatsRemaining;
    }

    /** 
     * Get the 'AncillaryServices' element value.
     * 
     * @return value
     */
    public AncillaryServices getAncillaryServices() {
        return ancillaryServices;
    }

    /** 
     * Set the 'AncillaryServices' element value.
     * 
     * @param ancillaryServices
     */
    public void setAncillaryServices(AncillaryServices ancillaryServices) {
        this.ancillaryServices = ancillaryServices;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'nameId' attribute value.
     * 
     * @return value
     */
    public String getNameId() {
        return nameId;
    }

    /** 
     * Set the 'nameId' attribute value.
     * 
     * @param nameId
     */
    public void setNameId(String nameId) {
        this.nameId = nameId;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AncillaryServices" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="ns:AncillaryServices.PNRB" name="AncillaryService" minOccurs="0" maxOccurs="unbounded"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AncillaryServices implements Serializable
    {
        private List<AncillaryServicesPNRB> ancillaryServiceList = new ArrayList<AncillaryServicesPNRB>();

        /** 
         * Get the list of 'AncillaryService' element items.
         * 
         * @return list
         */
        public List<AncillaryServicesPNRB> getAncillaryServiceList() {
            return ancillaryServiceList;
        }

        /** 
         * Set the list of 'AncillaryService' element items.
         * 
         * @param list
         */
        public void setAncillaryServiceList(List<AncillaryServicesPNRB> list) {
            ancillaryServiceList = list;
        }
    }
}
