
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * name associated.

 format (both AFAX and GFAX)

 4UMNR/(seg #)/UM (age in two digits)-(name #)
 4UMNR1/UM 08-1.1

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="UnaccompaniedMinorMessage.PNRB">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:int" name="Age" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="VendorCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="FlightDate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="BoardCity" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OffCity" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="ActionCode" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="id"/>
 *   &lt;xs:attribute type="ns:RequestType.PNRB" name="type"/>
 *   &lt;xs:attribute type="ns:OperationType.PNRB" name="op"/>
 *   &lt;xs:attribute type="xs:string" name="RPH"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class UnaccompaniedMinorMessagePNRB implements Serializable
{
    private Integer age;
    private String flightNumber;
    private String vendorCode;
    private String flightDate;
    private String boardCity;
    private String offCity;
    private String actionCode;
    private String id;
    private RequestTypePNRB type;
    private OperationTypePNRB op;
    private String RPH;

    /** 
     * Get the 'Age' element value. age in two digits. add leading zero if
                          necessary.
                      
     * 
     * @return value
     */
    public Integer getAge() {
        return age;
    }

    /** 
     * Set the 'Age' element value. age in two digits. add leading zero if
                          necessary.
                      
     * 
     * @param age
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    /** 
     * Get the 'FlightNumber' element value. The flight number of the associated flight. Ex."122"
     * 
     * @return value
     */
    public String getFlightNumber() {
        return flightNumber;
    }

    /** 
     * Set the 'FlightNumber' element value. The flight number of the associated flight. Ex."122"
     * 
     * @param flightNumber
     */
    public void setFlightNumber(String flightNumber) {
        this.flightNumber = flightNumber;
    }

    /** 
     * Get the 'VendorCode' element value. Carrier OSI/SSR is being sent to. Ex. "VA"
     * 
     * @return value
     */
    public String getVendorCode() {
        return vendorCode;
    }

    /** 
     * Set the 'VendorCode' element value. Carrier OSI/SSR is being sent to. Ex. "VA"
     * 
     * @param vendorCode
     */
    public void setVendorCode(String vendorCode) {
        this.vendorCode = vendorCode;
    }

    /** 
     * Get the 'FlightDate' element value. Date that service starts for the flight. Ex. "2013-11-08"
     * 
     * @return value
     */
    public String getFlightDate() {
        return flightDate;
    }

    /** 
     * Set the 'FlightDate' element value. Date that service starts for the flight. Ex. "2013-11-08"
     * 
     * @param flightDate
     */
    public void setFlightDate(String flightDate) {
        this.flightDate = flightDate;
    }

    /** 
     * Get the 'BoardCity' element value. Start city for the flight. Ex. "SYD"
     * 
     * @return value
     */
    public String getBoardCity() {
        return boardCity;
    }

    /** 
     * Set the 'BoardCity' element value. Start city for the flight. Ex. "SYD"
     * 
     * @param boardCity
     */
    public void setBoardCity(String boardCity) {
        this.boardCity = boardCity;
    }

    /** 
     * Get the 'OffCity' element value.
     * 
     * @return value
     */
    public String getOffCity() {
        return offCity;
    }

    /** 
     * Set the 'OffCity' element value.
     * 
     * @param offCity
     */
    public void setOffCity(String offCity) {
        this.offCity = offCity;
    }

    /** 
     * Get the 'ActionCode' element value. Indicates the current status of the SSR message. Ex."NN"
     * 
     * @return value
     */
    public String getActionCode() {
        return actionCode;
    }

    /** 
     * Set the 'ActionCode' element value. Indicates the current status of the SSR message. Ex."NN"
     * 
     * @param actionCode
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public String getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /** 
     * Get the 'type' attribute value. A = AFAX G = GFAX
     * 
     * @return value
     */
    public RequestTypePNRB getType() {
        return type;
    }

    /** 
     * Set the 'type' attribute value. A = AFAX G = GFAX
     * 
     * @param type
     */
    public void setType(RequestTypePNRB type) {
        this.type = type;
    }

    /** 
     * Get the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @return value
     */
    public OperationTypePNRB getOp() {
        return op;
    }

    /** 
     * Set the 'op' attribute value. C = Create, U = Update, D = Delete
     * 
     * @param op
     */
    public void setOp(OperationTypePNRB op) {
        this.op = op;
    }

    /** 
     * Get the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @return value
     */
    public String getRPH() {
        return RPH;
    }

    /** 
     * Set the 'RPH' attribute value. The Reference Place Holder (RPH) is an index code used to identify an instance
                      in a collection of like items (e.g. used to assign individual passengers or clients to particular itinerary items).
                  
     * 
     * @param RPH
     */
    public void setRPH(String RPH) {
        this.RPH = RPH;
    }
}
