
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="VCR">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="TicketingDocument" minOccurs="0" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class TicketingDocument -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class VCR implements Serializable
{
    private List<TicketingDocument> ticketingDocumentList = new ArrayList<TicketingDocument>();

    /** 
     * Get the list of 'TicketingDocument' element items.
     * 
     * @return list
     */
    public List<TicketingDocument> getTicketingDocumentList() {
        return ticketingDocumentList;
    }

    /** 
     * Set the list of 'TicketingDocument' element items.
     * 
     * @param list
     */
    public void setTicketingDocumentList(List<TicketingDocument> list) {
        ticketingDocumentList = list;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TicketingDocument" minOccurs="0" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element name="ServiceCoupon" minOccurs="0" maxOccurs="16">
     *         &lt;!-- Reference to inner class ServiceCoupon -->
     *       &lt;/xs:element>
     *     &lt;/xs:sequence>
     *     &lt;xs:attribute type="xs:string" use="optional" name="accountingCode"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="checkDigit"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="formNumber"/>
     *     &lt;xs:attribute type="xs:string" name="number"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="serialNumber"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="type"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class TicketingDocument implements Serializable
    {
        private List<ServiceCoupon> serviceCouponList = new ArrayList<ServiceCoupon>();
        private String accountingCode;
        private String checkDigit;
        private String formNumber;
        private String number;
        private String serialNumber;
        private String type;

        /** 
         * Get the list of 'ServiceCoupon' element items.
         * 
         * @return list
         */
        public List<ServiceCoupon> getServiceCouponList() {
            return serviceCouponList;
        }

        /** 
         * Set the list of 'ServiceCoupon' element items.
         * 
         * @param list
         */
        public void setServiceCouponList(List<ServiceCoupon> list) {
            serviceCouponList = list;
        }

        /** 
         * Get the 'accountingCode' attribute value.
         * 
         * @return value
         */
        public String getAccountingCode() {
            return accountingCode;
        }

        /** 
         * Set the 'accountingCode' attribute value.
         * 
         * @param accountingCode
         */
        public void setAccountingCode(String accountingCode) {
            this.accountingCode = accountingCode;
        }

        /** 
         * Get the 'checkDigit' attribute value.
         * 
         * @return value
         */
        public String getCheckDigit() {
            return checkDigit;
        }

        /** 
         * Set the 'checkDigit' attribute value.
         * 
         * @param checkDigit
         */
        public void setCheckDigit(String checkDigit) {
            this.checkDigit = checkDigit;
        }

        /** 
         * Get the 'formNumber' attribute value.
         * 
         * @return value
         */
        public String getFormNumber() {
            return formNumber;
        }

        /** 
         * Set the 'formNumber' attribute value.
         * 
         * @param formNumber
         */
        public void setFormNumber(String formNumber) {
            this.formNumber = formNumber;
        }

        /** 
         * Get the 'number' attribute value.
         * 
         * @return value
         */
        public String getNumber() {
            return number;
        }

        /** 
         * Set the 'number' attribute value.
         * 
         * @param number
         */
        public void setNumber(String number) {
            this.number = number;
        }

        /** 
         * Get the 'serialNumber' attribute value.
         * 
         * @return value
         */
        public String getSerialNumber() {
            return serialNumber;
        }

        /** 
         * Set the 'serialNumber' attribute value.
         * 
         * @param serialNumber
         */
        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        /** 
         * Get the 'type' attribute value.
         * 
         * @return value
         */
        public String getType() {
            return type;
        }

        /** 
         * Set the 'type' attribute value.
         * 
         * @param type
         */
        public void setType(String type) {
            this.type = type;
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:element xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceCoupon" minOccurs="0" maxOccurs="16">
         *   &lt;xs:complexType>
         *     &lt;xs:sequence>
         *       &lt;xs:element type="xs:string" name="ClassOfService" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="StartLocation" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="StartDateTime" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="EndLocation" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="CurrentStatus" minOccurs="0"/>
         *     &lt;/xs:sequence>
         *     &lt;xs:attribute type="xs:string" name="coupon"/>
         *   &lt;/xs:complexType>
         * &lt;/xs:element>
         * </pre>
         */
        public static class ServiceCoupon implements Serializable
        {
            private String classOfService;
            private String startLocation;
            private String startDateTime;
            private String endLocation;
            private String currentStatus;
            private String coupon;

            /** 
             * Get the 'ClassOfService' element value.
             * 
             * @return value
             */
            public String getClassOfService() {
                return classOfService;
            }

            /** 
             * Set the 'ClassOfService' element value.
             * 
             * @param classOfService
             */
            public void setClassOfService(String classOfService) {
                this.classOfService = classOfService;
            }

            /** 
             * Get the 'StartLocation' element value.
             * 
             * @return value
             */
            public String getStartLocation() {
                return startLocation;
            }

            /** 
             * Set the 'StartLocation' element value.
             * 
             * @param startLocation
             */
            public void setStartLocation(String startLocation) {
                this.startLocation = startLocation;
            }

            /** 
             * Get the 'StartDateTime' element value.
             * 
             * @return value
             */
            public String getStartDateTime() {
                return startDateTime;
            }

            /** 
             * Set the 'StartDateTime' element value.
             * 
             * @param startDateTime
             */
            public void setStartDateTime(String startDateTime) {
                this.startDateTime = startDateTime;
            }

            /** 
             * Get the 'EndLocation' element value.
             * 
             * @return value
             */
            public String getEndLocation() {
                return endLocation;
            }

            /** 
             * Set the 'EndLocation' element value.
             * 
             * @param endLocation
             */
            public void setEndLocation(String endLocation) {
                this.endLocation = endLocation;
            }

            /** 
             * Get the 'CurrentStatus' element value.
             * 
             * @return value
             */
            public String getCurrentStatus() {
                return currentStatus;
            }

            /** 
             * Set the 'CurrentStatus' element value.
             * 
             * @param currentStatus
             */
            public void setCurrentStatus(String currentStatus) {
                this.currentStatus = currentStatus;
            }

            /** 
             * Get the 'coupon' attribute value.
             * 
             * @return value
             */
            public String getCoupon() {
                return coupon;
            }

            /** 
             * Set the 'coupon' attribute value.
             * 
             * @param coupon
             */
            public void setCoupon(String coupon) {
                this.coupon = coupon;
            }
        }
    }
}
