
package com.sabre.webservices.pnrbuilder.v119;

import java.io.Serializable;

/** 
 * This private type enumerates flight number literals used for ground links and open
 segments in an itinerary.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://webservices.sabre.com/pnrbuilder/v1_19" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_flightNumberLiterals">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="OPEN"/>
 *     &lt;xs:enumeration value="ARNK"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum _FlightNumberLiterals implements Serializable {
    OPEN, ARNK
}
