
package com.sabre.webservices.sabrexml;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirSeatCancelRQ">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element name="Seats">
 *         &lt;xs:complexType>
 *           &lt;xs:sequence>
 *             &lt;xs:element name="Seat">
 *               &lt;xs:complexType>
 *                 &lt;xs:sequence>
 *                   &lt;xs:element name="VendorPrefs" minOccurs="0">
 *                     &lt;!-- Reference to inner class VendorPrefs -->
 *                   &lt;/xs:element>
 *                 &lt;/xs:sequence>
 *                 &lt;xs:attribute type="xs:boolean" use="optional" name="All"/>
 *                 &lt;xs:attribute type="xs:boolean" use="optional" name="BoardingPass"/>
 *                 &lt;xs:attribute type="xs:boolean" use="optional" name="ChangeOfGauge"/>
 *                 &lt;xs:attribute type="xs:boolean" use="optional" name="Group"/>
 *                 &lt;xs:attribute type="xs:decimal" use="optional" name="NameNumber"/>
 *                 &lt;xs:attribute type="xs:string" use="optional" name="SeatNumber"/>
 *                 &lt;xs:attribute type="xs:integer" use="optional" name="SegmentNumber"/>
 *               &lt;/xs:complexType>
 *             &lt;/xs:element>
 *           &lt;/xs:sequence>
 *         &lt;/xs:complexType>
 *       &lt;/xs:element>
 *     &lt;/xs:sequence>
 *     &lt;xs:attribute type="xs:boolean" use="optional" name="ReturnHostCommand"/>
 *     &lt;xs:attribute type="xs:dateTime" use="optional" name="TimeStamp"/>
 *     &lt;xs:attribute type="xs:string" use="required" fixed="2.1.0" name="Version"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class AirSeatCancelRQ implements Serializable
{
    private VendorPrefs vendorPrefs;
    private Boolean seatsSeatAll;
    private Boolean seatsSeatBoardingPass;
    private Boolean seatsSeatChangeOfGauge;
    private Boolean seatsSeatGroup;
    private BigDecimal seatsSeatNameNumber;
    private String seatsSeatSeatNumber;
    private BigInteger seatsSeatSegmentNumber;
    private Boolean returnHostCommand;
    private Date timeStamp;
    private String version;

    /** 
     * Get the 'VendorPrefs' element value.
     * 
     * @return value
     */
    public VendorPrefs getVendorPrefs() {
        return vendorPrefs;
    }

    /** 
     * Set the 'VendorPrefs' element value.
     * 
     * @param vendorPrefs
     */
    public void setVendorPrefs(VendorPrefs vendorPrefs) {
        this.vendorPrefs = vendorPrefs;
    }

    /** 
     * Get the 'All' attribute value.
     * 
     * @return value
     */
    public Boolean getSeatsSeatAll() {
        return seatsSeatAll;
    }

    /** 
     * Set the 'All' attribute value.
     * 
     * @param seatsSeatAll
     */
    public void setSeatsSeatAll(Boolean seatsSeatAll) {
        this.seatsSeatAll = seatsSeatAll;
    }

    /** 
     * Get the 'BoardingPass' attribute value.
     * 
     * @return value
     */
    public Boolean getSeatsSeatBoardingPass() {
        return seatsSeatBoardingPass;
    }

    /** 
     * Set the 'BoardingPass' attribute value.
     * 
     * @param seatsSeatBoardingPass
     */
    public void setSeatsSeatBoardingPass(Boolean seatsSeatBoardingPass) {
        this.seatsSeatBoardingPass = seatsSeatBoardingPass;
    }

    /** 
     * Get the 'ChangeOfGauge' attribute value.
     * 
     * @return value
     */
    public Boolean getSeatsSeatChangeOfGauge() {
        return seatsSeatChangeOfGauge;
    }

    /** 
     * Set the 'ChangeOfGauge' attribute value.
     * 
     * @param seatsSeatChangeOfGauge
     */
    public void setSeatsSeatChangeOfGauge(Boolean seatsSeatChangeOfGauge) {
        this.seatsSeatChangeOfGauge = seatsSeatChangeOfGauge;
    }

    /** 
     * Get the 'Group' attribute value.
     * 
     * @return value
     */
    public Boolean getSeatsSeatGroup() {
        return seatsSeatGroup;
    }

    /** 
     * Set the 'Group' attribute value.
     * 
     * @param seatsSeatGroup
     */
    public void setSeatsSeatGroup(Boolean seatsSeatGroup) {
        this.seatsSeatGroup = seatsSeatGroup;
    }

    /** 
     * Get the 'NameNumber' attribute value.
     * 
     * @return value
     */
    public BigDecimal getSeatsSeatNameNumber() {
        return seatsSeatNameNumber;
    }

    /** 
     * Set the 'NameNumber' attribute value.
     * 
     * @param seatsSeatNameNumber
     */
    public void setSeatsSeatNameNumber(BigDecimal seatsSeatNameNumber) {
        this.seatsSeatNameNumber = seatsSeatNameNumber;
    }

    /** 
     * Get the 'SeatNumber' attribute value.
     * 
     * @return value
     */
    public String getSeatsSeatSeatNumber() {
        return seatsSeatSeatNumber;
    }

    /** 
     * Set the 'SeatNumber' attribute value.
     * 
     * @param seatsSeatSeatNumber
     */
    public void setSeatsSeatSeatNumber(String seatsSeatSeatNumber) {
        this.seatsSeatSeatNumber = seatsSeatSeatNumber;
    }

    /** 
     * Get the 'SegmentNumber' attribute value.
     * 
     * @return value
     */
    public BigInteger getSeatsSeatSegmentNumber() {
        return seatsSeatSegmentNumber;
    }

    /** 
     * Set the 'SegmentNumber' attribute value.
     * 
     * @param seatsSeatSegmentNumber
     */
    public void setSeatsSeatSegmentNumber(BigInteger seatsSeatSegmentNumber) {
        this.seatsSeatSegmentNumber = seatsSeatSegmentNumber;
    }

    /** 
     * Get the 'ReturnHostCommand' attribute value.
     * 
     * @return value
     */
    public Boolean getReturnHostCommand() {
        return returnHostCommand;
    }

    /** 
     * Set the 'ReturnHostCommand' attribute value.
     * 
     * @param returnHostCommand
     */
    public void setReturnHostCommand(Boolean returnHostCommand) {
        this.returnHostCommand = returnHostCommand;
    }

    /** 
     * Get the 'TimeStamp' attribute value.
     * 
     * @return value
     */
    public Date getTimeStamp() {
        return timeStamp;
    }

    /** 
     * Set the 'TimeStamp' attribute value.
     * 
     * @param timeStamp
     */
    public void setTimeStamp(Date timeStamp) {
        this.timeStamp = timeStamp;
    }

    /** 
     * Get the 'Version' attribute value.
     * 
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /** 
     * Set the 'Version' attribute value.
     * 
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="VendorPrefs" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element name="Airline">
     *         &lt;xs:complexType>
     *           &lt;xs:attribute type="xs:string" use="required" name="Code"/>
     *         &lt;/xs:complexType>
     *       &lt;/xs:element>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class VendorPrefs implements Serializable
    {
        private String airline;

        /** 
         * Get the 'Code' attribute value.
         * 
         * @return value
         */
        public String getAirline() {
            return airline;
        }

        /** 
         * Set the 'Code' attribute value.
         * 
         * @param airline
         */
        public void setAirline(String airline) {
            this.airline = airline;
        }
    }
}
