
package com.sabre.webservices.sabrexml;

import java.io.Serializable;

/** 
 * Not acceptable forms of payment
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/sabreXML/2003/07" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="NotAcceptableFormsOfPaymentType">
 *   &lt;xs:attribute type="xs:boolean" name="CashIsNotAcceptable"/>
 *   &lt;xs:attribute type="xs:boolean" name="CheckIsNotAcceptable"/>
 *   &lt;xs:attribute type="xs:boolean" name="CreditCardIsNotAcceptable"/>
 *   &lt;xs:attribute type="xs:boolean" name="GTRIsNotAcceptable"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class NotAcceptableFormsOfPaymentType implements Serializable
{
    private Boolean cashIsNotAcceptable;
    private Boolean checkIsNotAcceptable;
    private Boolean creditCardIsNotAcceptable;
    private Boolean GTRIsNotAcceptable;

    /** 
     * Get the 'CashIsNotAcceptable' attribute value. Cash is not acceptable indicator
     * 
     * @return value
     */
    public Boolean getCashIsNotAcceptable() {
        return cashIsNotAcceptable;
    }

    /** 
     * Set the 'CashIsNotAcceptable' attribute value. Cash is not acceptable indicator
     * 
     * @param cashIsNotAcceptable
     */
    public void setCashIsNotAcceptable(Boolean cashIsNotAcceptable) {
        this.cashIsNotAcceptable = cashIsNotAcceptable;
    }

    /** 
     * Get the 'CheckIsNotAcceptable' attribute value. Check is not acceptable indicator
     * 
     * @return value
     */
    public Boolean getCheckIsNotAcceptable() {
        return checkIsNotAcceptable;
    }

    /** 
     * Set the 'CheckIsNotAcceptable' attribute value. Check is not acceptable indicator
     * 
     * @param checkIsNotAcceptable
     */
    public void setCheckIsNotAcceptable(Boolean checkIsNotAcceptable) {
        this.checkIsNotAcceptable = checkIsNotAcceptable;
    }

    /** 
     * Get the 'CreditCardIsNotAcceptable' attribute value. Credit card is not acceptable indicator
     * 
     * @return value
     */
    public Boolean getCreditCardIsNotAcceptable() {
        return creditCardIsNotAcceptable;
    }

    /** 
     * Set the 'CreditCardIsNotAcceptable' attribute value. Credit card is not acceptable indicator
     * 
     * @param creditCardIsNotAcceptable
     */
    public void setCreditCardIsNotAcceptable(Boolean creditCardIsNotAcceptable) {
        this.creditCardIsNotAcceptable = creditCardIsNotAcceptable;
    }

    /** 
     * Get the 'GTRIsNotAcceptable' attribute value. GTR is not acceptable indicator
     * 
     * @return value
     */
    public Boolean getGTRIsNotAcceptable() {
        return GTRIsNotAcceptable;
    }

    /** 
     * Set the 'GTRIsNotAcceptable' attribute value. GTR is not acceptable indicator
     * 
     * @param GTRIsNotAcceptable
     */
    public void setGTRIsNotAcceptable(Boolean GTRIsNotAcceptable) {
        this.GTRIsNotAcceptable = GTRIsNotAcceptable;
    }
}
