
package com.sabre.webservices.sabrexml;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="QueueAccessRQ">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element name="Navigation" minOccurs="0">
 *         &lt;!-- Reference to inner class Navigation -->
 *       &lt;/xs:element>
 *       &lt;xs:element name="QueueIdentifier" minOccurs="0" maxOccurs="3">
 *         &lt;!-- Reference to inner class QueueIdentifier -->
 *       &lt;/xs:element>
 *       &lt;xs:element name="Selection" minOccurs="0" maxOccurs="8">
 *         &lt;!-- Reference to inner class Selection -->
 *       &lt;/xs:element>
 *     &lt;/xs:sequence>
 *     &lt;xs:attribute type="xs:boolean" use="optional" name="ReturnHostCommand"/>
 *     &lt;xs:attribute type="xs:dateTime" use="optional" name="TimeStamp"/>
 *     &lt;xs:attribute type="xs:string" use="required" fixed="2.1.0" name="Version"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class QueueAccessRQ implements Serializable
{
    private Navigation navigation;
    private java.util.List<QueueIdentifier> queueIdentifierList = new ArrayList<QueueIdentifier>();
    private java.util.List<Selection> selectionList = new ArrayList<Selection>();
    private Boolean returnHostCommand;
    private Date timeStamp;
    private String version;

    /** 
     * Get the 'Navigation' element value.
     * 
     * @return value
     */
    public Navigation getNavigation() {
        return navigation;
    }

    /** 
     * Set the 'Navigation' element value.
     * 
     * @param navigation
     */
    public void setNavigation(Navigation navigation) {
        this.navigation = navigation;
    }

    /** 
     * Get the list of 'QueueIdentifier' element items.
     * 
     * @return list
     */
    public java.util.List<QueueIdentifier> getQueueIdentifierList() {
        return queueIdentifierList;
    }

    /** 
     * Set the list of 'QueueIdentifier' element items.
     * 
     * @param list
     */
    public void setQueueIdentifierList(java.util.List<QueueIdentifier> list) {
        queueIdentifierList = list;
    }

    /** 
     * Get the list of 'Selection' element items.
     * 
     * @return list
     */
    public java.util.List<Selection> getSelectionList() {
        return selectionList;
    }

    /** 
     * Set the list of 'Selection' element items.
     * 
     * @param list
     */
    public void setSelectionList(java.util.List<Selection> list) {
        selectionList = list;
    }

    /** 
     * Get the 'ReturnHostCommand' attribute value.
     * 
     * @return value
     */
    public Boolean getReturnHostCommand() {
        return returnHostCommand;
    }

    /** 
     * Set the 'ReturnHostCommand' attribute value.
     * 
     * @param returnHostCommand
     */
    public void setReturnHostCommand(Boolean returnHostCommand) {
        this.returnHostCommand = returnHostCommand;
    }

    /** 
     * Get the 'TimeStamp' attribute value.
     * 
     * @return value
     */
    public Date getTimeStamp() {
        return timeStamp;
    }

    /** 
     * Set the 'TimeStamp' attribute value.
     * 
     * @param timeStamp
     */
    public void setTimeStamp(Date timeStamp) {
        this.timeStamp = timeStamp;
    }

    /** 
     * Get the 'Version' attribute value.
     * 
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /** 
     * Set the 'Version' attribute value.
     * 
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Navigation" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element name="Direction" minOccurs="0">
     *         &lt;!-- Reference to inner class Direction -->
     *       &lt;/xs:element>
     *     &lt;/xs:sequence>
     *     &lt;xs:attribute use="optional" name="Action">
     *       &lt;xs:simpleType>
     *         &lt;!-- Reference to inner class Action -->
     *       &lt;/xs:simpleType>
     *     &lt;/xs:attribute>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Navigation implements Serializable
    {
        private Direction direction;
        private Action action;

        /** 
         * Get the 'Direction' element value.
         * 
         * @return value
         */
        public Direction getDirection() {
            return direction;
        }

        /** 
         * Set the 'Direction' element value.
         * 
         * @param direction
         */
        public void setDirection(Direction direction) {
            this.direction = direction;
        }

        /** 
         * Get the 'Action' attribute value.
         * 
         * @return value
         */
        public Action getAction() {
            return action;
        }

        /** 
         * Set the 'Action' attribute value.
         * 
         * @param action
         */
        public void setAction(Action action) {
            this.action = action;
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Direction" minOccurs="0">
         *   &lt;xs:complexType>
         *     &lt;xs:attribute use="required" name="Action">
         *       &lt;xs:simpleType>
         *         &lt;!-- Reference to inner class Action -->
         *       &lt;/xs:simpleType>
         *     &lt;/xs:attribute>
         *     &lt;xs:attribute type="xs:string" use="optional" name="Minus"/>
         *     &lt;xs:attribute type="xs:string" use="optional" name="Plus"/>
         *   &lt;/xs:complexType>
         * &lt;/xs:element>
         * </pre>
         */
        public static class Direction implements Serializable
        {
            private Action action;
            private String minus;
            private String plus;

            /** 
             * Get the 'Action' attribute value.
             * 
             * @return value
             */
            public Action getAction() {
                return action;
            }

            /** 
             * Set the 'Action' attribute value.
             * 
             * @param action
             */
            public void setAction(Action action) {
                this.action = action;
            }

            /** 
             * Get the 'Minus' attribute value.
             * 
             * @return value
             */
            public String getMinus() {
                return minus;
            }

            /** 
             * Set the 'Minus' attribute value.
             * 
             * @param minus
             */
            public void setMinus(String minus) {
                this.minus = minus;
            }

            /** 
             * Get the 'Plus' attribute value.
             * 
             * @return value
             */
            public String getPlus() {
                return plus;
            }

            /** 
             * Set the 'Plus' attribute value.
             * 
             * @param plus
             */
            public void setPlus(String plus) {
                this.plus = plus;
            }
            /** 
             * Schema fragment(s) for this class:
             * <pre>
             * &lt;xs:simpleType xmlns:xs="http://www.w3.org/2001/XMLSchema">
             *   &lt;xs:restriction base="xs:string">
             *     &lt;xs:enumeration value="E"/>
             *     &lt;xs:enumeration value="I"/>
             *     &lt;xs:enumeration value="L"/>
             *     &lt;xs:enumeration value="U"/>
             *   &lt;/xs:restriction>
             * &lt;/xs:simpleType>
             * </pre>
             */
            public static enum Action implements Serializable {
                E, I, L, U
            }
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:simpleType xmlns:xs="http://www.w3.org/2001/XMLSchema">
         *   &lt;xs:restriction base="xs:string">
         *     &lt;xs:enumeration value="E"/>
         *     &lt;xs:enumeration value="EL"/>
         *     &lt;xs:enumeration value="ER"/>
         *     &lt;xs:enumeration value="I"/>
         *     &lt;xs:enumeration value="IR"/>
         *     &lt;xs:enumeration value="QR"/>
         *     &lt;xs:enumeration value="QXE"/>
         *     &lt;xs:enumeration value="QXER"/>
         *     &lt;xs:enumeration value="QXI"/>
         *     &lt;xs:enumeration value="QXIR"/>
         *     &lt;xs:enumeration value="QXR"/>
         *   &lt;/xs:restriction>
         * &lt;/xs:simpleType>
         * </pre>
         */
        public static enum Action implements Serializable {
            E, EL, ER, I, IR, QR, QXE, QXER, QXI, QXIR, QXR
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="QueueIdentifier" minOccurs="0" maxOccurs="3">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element name="List" minOccurs="0">
     *         &lt;!-- Reference to inner class List -->
     *       &lt;/xs:element>
     *     &lt;/xs:sequence>
     *     &lt;xs:attribute type="xs:string" use="optional" name="PseudoCityCode"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="Name"/>
     *     &lt;xs:attribute type="xs:string" use="optional" name="Number"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class QueueIdentifier implements Serializable
    {
        private List list;
        private String pseudoCityCode;
        private String name;
        private String number;

        /** 
         * Get the 'List' element value.
         * 
         * @return value
         */
        public List getList() {
            return list;
        }

        /** 
         * Set the 'List' element value.
         * 
         * @param list
         */
        public void setList(List list) {
            this.list = list;
        }

        /** 
         * Get the 'PseudoCityCode' attribute value.
         * 
         * @return value
         */
        public String getPseudoCityCode() {
            return pseudoCityCode;
        }

        /** 
         * Set the 'PseudoCityCode' attribute value.
         * 
         * @param pseudoCityCode
         */
        public void setPseudoCityCode(String pseudoCityCode) {
            this.pseudoCityCode = pseudoCityCode;
        }

        /** 
         * Get the 'Name' attribute value.
         * 
         * @return value
         */
        public String getName() {
            return name;
        }

        /** 
         * Set the 'Name' attribute value.
         * 
         * @param name
         */
        public void setName(String name) {
            this.name = name;
        }

        /** 
         * Get the 'Number' attribute value.
         * 
         * @return value
         */
        public String getNumber() {
            return number;
        }

        /** 
         * Set the 'Number' attribute value.
         * 
         * @param number
         */
        public void setNumber(String number) {
            this.number = number;
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="List" minOccurs="0">
         *   &lt;xs:complexType>
         *     &lt;xs:attribute type="xs:boolean" use="required" name="Ind"/>
         *     &lt;xs:attribute type="xs:boolean" use="optional" name="PrimaryPassenger"/>
         *   &lt;/xs:complexType>
         * &lt;/xs:element>
         * </pre>
         */
        public static class List implements Serializable
        {
            private boolean ind;
            private Boolean primaryPassenger;

            /** 
             * Get the 'Ind' attribute value.
             * 
             * @return value
             */
            public boolean isInd() {
                return ind;
            }

            /** 
             * Set the 'Ind' attribute value.
             * 
             * @param ind
             */
            public void setInd(boolean ind) {
                this.ind = ind;
            }

            /** 
             * Get the 'PrimaryPassenger' attribute value.
             * 
             * @return value
             */
            public Boolean getPrimaryPassenger() {
                return primaryPassenger;
            }

            /** 
             * Set the 'PrimaryPassenger' attribute value.
             * 
             * @param primaryPassenger
             */
            public void setPrimaryPassenger(Boolean primaryPassenger) {
                this.primaryPassenger = primaryPassenger;
            }
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://webservices.sabre.com/sabreXML/2011/10" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Selection" minOccurs="0" maxOccurs="8">
     *   &lt;xs:complexType>
     *     &lt;xs:attribute type="xs:string" use="required" name="Criteria"/>
     *     &lt;xs:attribute type="xs:string" use="required" name="Function"/>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Selection implements Serializable
    {
        private String criteria;
        private String function;

        /** 
         * Get the 'Criteria' attribute value.
         * 
         * @return value
         */
        public String getCriteria() {
            return criteria;
        }

        /** 
         * Set the 'Criteria' attribute value.
         * 
         * @param criteria
         */
        public void setCriteria(String criteria) {
            this.criteria = criteria;
        }

        /** 
         * Get the 'Function' attribute value.
         * 
         * @return value
         */
        public String getFunction() {
            return function;
        }

        /** 
         * Set the 'Function' attribute value.
         * 
         * @param function
         */
        public void setFunction(String function) {
            this.function = function;
        }
    }
}
