
package com.sabre.webservices.sabrexml;

import java.io.Serializable;

/** 
 * Subcode Definition
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/sabreXML/2003/07" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SubcodeDefinitionType">
 *   &lt;xs:attribute type="xs:string" use="required" name="ExtendedSubcodeKey"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="CommercialName"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="AncillaryFeeGroupCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="AncillaryServiceSubgroupCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="AncillarySubgroupTextDescription"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Description1Code"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Description1Text"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Description2Code"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Description2Text"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MinimumWeight"/>
 *   &lt;xs:attribute type="ns:WeightUnitType" use="optional" name="MinimumWeightUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MinimumWeightInAltUnits"/>
 *   &lt;xs:attribute type="ns:WeightUnitType" use="optional" name="MinimumWeightInAltUnitsUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MaximumWeight"/>
 *   &lt;xs:attribute type="ns:WeightUnitType" use="optional" name="MaximumWeightUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MaximumWeightInAltUnits"/>
 *   &lt;xs:attribute type="ns:WeightUnitType" use="optional" name="MaximumWeightInAltUnitsUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MinimumSize"/>
 *   &lt;xs:attribute type="ns:LengthUnitType" use="optional" name="MinimumSizeUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MinimumSizeInAltUnits"/>
 *   &lt;xs:attribute type="ns:LengthUnitType" use="optional" name="MinimumSizeInAltUnitsUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MaximumSize"/>
 *   &lt;xs:attribute type="ns:LengthUnitType" use="optional" name="MaximumSizeUnits"/>
 *   &lt;xs:attribute type="xs:short" use="optional" name="MaximumSizeInAltUnits"/>
 *   &lt;xs:attribute type="ns:LengthUnitType" use="optional" name="MaximumSizeInAltUnitsUnits"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="ReasonForIssuanceCode"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="SpecialServiceRequestCode"/>
 *   &lt;xs:attribute type="ns:ElectronicMiscellaneousDocumentType" use="optional" name="ElectronicMiscellaneousDocumentType"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="BookingMethod"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SubcodeDefinitionType implements Serializable
{
    private String extendedSubcodeKey;
    private String commercialName;
    private String ancillaryFeeGroupCode;
    private String ancillaryServiceSubgroupCode;
    private String ancillarySubgroupTextDescription;
    private String description1Code;
    private String description1Text;
    private String description2Code;
    private String description2Text;
    private Short minimumWeight;
    private WeightUnitType minimumWeightUnits;
    private Short minimumWeightInAltUnits;
    private WeightUnitType minimumWeightInAltUnitsUnits;
    private Short maximumWeight;
    private WeightUnitType maximumWeightUnits;
    private Short maximumWeightInAltUnits;
    private WeightUnitType maximumWeightInAltUnitsUnits;
    private Short minimumSize;
    private LengthUnitType minimumSizeUnits;
    private Short minimumSizeInAltUnits;
    private LengthUnitType minimumSizeInAltUnitsUnits;
    private Short maximumSize;
    private LengthUnitType maximumSizeUnits;
    private Short maximumSizeInAltUnits;
    private LengthUnitType maximumSizeInAltUnitsUnits;
    private String reasonForIssuanceCode;
    private String specialServiceRequestCode;
    private ElectronicMiscellaneousDocumentType electronicMiscellaneousDocumentType;
    private String bookingMethod;

    /** 
     * Get the 'ExtendedSubcodeKey' attribute value. OSC/@SHK
     * 
     * @return value
     */
    public String getExtendedSubcodeKey() {
        return extendedSubcodeKey;
    }

    /** 
     * Set the 'ExtendedSubcodeKey' attribute value. OSC/@SHK
     * 
     * @param extendedSubcodeKey
     */
    public void setExtendedSubcodeKey(String extendedSubcodeKey) {
        this.extendedSubcodeKey = extendedSubcodeKey;
    }

    /** 
     * Get the 'CommercialName' attribute value. OSC/@SFF
     * 
     * @return value
     */
    public String getCommercialName() {
        return commercialName;
    }

    /** 
     * Set the 'CommercialName' attribute value. OSC/@SFF
     * 
     * @param commercialName
     */
    public void setCommercialName(String commercialName) {
        this.commercialName = commercialName;
    }

    /** 
     * Get the 'AncillaryFeeGroupCode' attribute value. OSC/@SF0 
     * 
     * @return value
     */
    public String getAncillaryFeeGroupCode() {
        return ancillaryFeeGroupCode;
    }

    /** 
     * Set the 'AncillaryFeeGroupCode' attribute value. OSC/@SF0 
     * 
     * @param ancillaryFeeGroupCode
     */
    public void setAncillaryFeeGroupCode(String ancillaryFeeGroupCode) {
        this.ancillaryFeeGroupCode = ancillaryFeeGroupCode;
    }

    /** 
     * Get the 'AncillaryServiceSubgroupCode' attribute value. OSC/@ASG
     * 
     * @return value
     */
    public String getAncillaryServiceSubgroupCode() {
        return ancillaryServiceSubgroupCode;
    }

    /** 
     * Set the 'AncillaryServiceSubgroupCode' attribute value. OSC/@ASG
     * 
     * @param ancillaryServiceSubgroupCode
     */
    public void setAncillaryServiceSubgroupCode(
            String ancillaryServiceSubgroupCode) {
        this.ancillaryServiceSubgroupCode = ancillaryServiceSubgroupCode;
    }

    /** 
     * Get the 'AncillarySubgroupTextDescription' attribute value. OSC/@ASD
     * 
     * @return value
     */
    public String getAncillarySubgroupTextDescription() {
        return ancillarySubgroupTextDescription;
    }

    /** 
     * Set the 'AncillarySubgroupTextDescription' attribute value. OSC/@ASD
     * 
     * @param ancillarySubgroupTextDescription
     */
    public void setAncillarySubgroupTextDescription(
            String ancillarySubgroupTextDescription) {
        this.ancillarySubgroupTextDescription = ancillarySubgroupTextDescription;
    }

    /** 
     * Get the 'Description1Code' attribute value. OSC/@DC1
     * 
     * @return value
     */
    public String getDescription1Code() {
        return description1Code;
    }

    /** 
     * Set the 'Description1Code' attribute value. OSC/@DC1
     * 
     * @param description1Code
     */
    public void setDescription1Code(String description1Code) {
        this.description1Code = description1Code;
    }

    /** 
     * Get the 'Description1Text' attribute value. OSC/@D01
     * 
     * @return value
     */
    public String getDescription1Text() {
        return description1Text;
    }

    /** 
     * Set the 'Description1Text' attribute value. OSC/@D01
     * 
     * @param description1Text
     */
    public void setDescription1Text(String description1Text) {
        this.description1Text = description1Text;
    }

    /** 
     * Get the 'Description2Code' attribute value. OSC/@DC2
     * 
     * @return value
     */
    public String getDescription2Code() {
        return description2Code;
    }

    /** 
     * Set the 'Description2Code' attribute value. OSC/@DC2
     * 
     * @param description2Code
     */
    public void setDescription2Code(String description2Code) {
        this.description2Code = description2Code;
    }

    /** 
     * Get the 'Description2Text' attribute value. OSC/@D02
     * 
     * @return value
     */
    public String getDescription2Text() {
        return description2Text;
    }

    /** 
     * Set the 'Description2Text' attribute value. OSC/@D02
     * 
     * @param description2Text
     */
    public void setDescription2Text(String description2Text) {
        this.description2Text = description2Text;
    }

    /** 
     * Get the 'MinimumWeight' attribute value. OSC/@W01
     * 
     * @return value
     */
    public Short getMinimumWeight() {
        return minimumWeight;
    }

    /** 
     * Set the 'MinimumWeight' attribute value. OSC/@W01
     * 
     * @param minimumWeight
     */
    public void setMinimumWeight(Short minimumWeight) {
        this.minimumWeight = minimumWeight;
    }

    /** 
     * Get the 'MinimumWeightUnits' attribute value. OSC/@WU1
     * 
     * @return value
     */
    public WeightUnitType getMinimumWeightUnits() {
        return minimumWeightUnits;
    }

    /** 
     * Set the 'MinimumWeightUnits' attribute value. OSC/@WU1
     * 
     * @param minimumWeightUnits
     */
    public void setMinimumWeightUnits(WeightUnitType minimumWeightUnits) {
        this.minimumWeightUnits = minimumWeightUnits;
    }

    /** 
     * Get the 'MinimumWeightInAltUnits' attribute value. OSC/@W02
     * 
     * @return value
     */
    public Short getMinimumWeightInAltUnits() {
        return minimumWeightInAltUnits;
    }

    /** 
     * Set the 'MinimumWeightInAltUnits' attribute value. OSC/@W02
     * 
     * @param minimumWeightInAltUnits
     */
    public void setMinimumWeightInAltUnits(Short minimumWeightInAltUnits) {
        this.minimumWeightInAltUnits = minimumWeightInAltUnits;
    }

    /** 
     * Get the 'MinimumWeightInAltUnitsUnits' attribute value. OSC/@WU2
     * 
     * @return value
     */
    public WeightUnitType getMinimumWeightInAltUnitsUnits() {
        return minimumWeightInAltUnitsUnits;
    }

    /** 
     * Set the 'MinimumWeightInAltUnitsUnits' attribute value. OSC/@WU2
     * 
     * @param minimumWeightInAltUnitsUnits
     */
    public void setMinimumWeightInAltUnitsUnits(
            WeightUnitType minimumWeightInAltUnitsUnits) {
        this.minimumWeightInAltUnitsUnits = minimumWeightInAltUnitsUnits;
    }

    /** 
     * Get the 'MaximumWeight' attribute value. OSC/@W03
     * 
     * @return value
     */
    public Short getMaximumWeight() {
        return maximumWeight;
    }

    /** 
     * Set the 'MaximumWeight' attribute value. OSC/@W03
     * 
     * @param maximumWeight
     */
    public void setMaximumWeight(Short maximumWeight) {
        this.maximumWeight = maximumWeight;
    }

    /** 
     * Get the 'MaximumWeightUnits' attribute value. OSC/@WU3
     * 
     * @return value
     */
    public WeightUnitType getMaximumWeightUnits() {
        return maximumWeightUnits;
    }

    /** 
     * Set the 'MaximumWeightUnits' attribute value. OSC/@WU3
     * 
     * @param maximumWeightUnits
     */
    public void setMaximumWeightUnits(WeightUnitType maximumWeightUnits) {
        this.maximumWeightUnits = maximumWeightUnits;
    }

    /** 
     * Get the 'MaximumWeightInAltUnits' attribute value. OSC/@W04
     * 
     * @return value
     */
    public Short getMaximumWeightInAltUnits() {
        return maximumWeightInAltUnits;
    }

    /** 
     * Set the 'MaximumWeightInAltUnits' attribute value. OSC/@W04
     * 
     * @param maximumWeightInAltUnits
     */
    public void setMaximumWeightInAltUnits(Short maximumWeightInAltUnits) {
        this.maximumWeightInAltUnits = maximumWeightInAltUnits;
    }

    /** 
     * Get the 'MaximumWeightInAltUnitsUnits' attribute value. OSC/@WU4
     * 
     * @return value
     */
    public WeightUnitType getMaximumWeightInAltUnitsUnits() {
        return maximumWeightInAltUnitsUnits;
    }

    /** 
     * Set the 'MaximumWeightInAltUnitsUnits' attribute value. OSC/@WU4
     * 
     * @param maximumWeightInAltUnitsUnits
     */
    public void setMaximumWeightInAltUnitsUnits(
            WeightUnitType maximumWeightInAltUnitsUnits) {
        this.maximumWeightInAltUnitsUnits = maximumWeightInAltUnitsUnits;
    }

    /** 
     * Get the 'MinimumSize' attribute value. OSC/@S01
     * 
     * @return value
     */
    public Short getMinimumSize() {
        return minimumSize;
    }

    /** 
     * Set the 'MinimumSize' attribute value. OSC/@S01
     * 
     * @param minimumSize
     */
    public void setMinimumSize(Short minimumSize) {
        this.minimumSize = minimumSize;
    }

    /** 
     * Get the 'MinimumSizeUnits' attribute value. OSC/@SU1
     * 
     * @return value
     */
    public LengthUnitType getMinimumSizeUnits() {
        return minimumSizeUnits;
    }

    /** 
     * Set the 'MinimumSizeUnits' attribute value. OSC/@SU1
     * 
     * @param minimumSizeUnits
     */
    public void setMinimumSizeUnits(LengthUnitType minimumSizeUnits) {
        this.minimumSizeUnits = minimumSizeUnits;
    }

    /** 
     * Get the 'MinimumSizeInAltUnits' attribute value. OSC/@S02
     * 
     * @return value
     */
    public Short getMinimumSizeInAltUnits() {
        return minimumSizeInAltUnits;
    }

    /** 
     * Set the 'MinimumSizeInAltUnits' attribute value. OSC/@S02
     * 
     * @param minimumSizeInAltUnits
     */
    public void setMinimumSizeInAltUnits(Short minimumSizeInAltUnits) {
        this.minimumSizeInAltUnits = minimumSizeInAltUnits;
    }

    /** 
     * Get the 'MinimumSizeInAltUnitsUnits' attribute value. OSC/@SU2
     * 
     * @return value
     */
    public LengthUnitType getMinimumSizeInAltUnitsUnits() {
        return minimumSizeInAltUnitsUnits;
    }

    /** 
     * Set the 'MinimumSizeInAltUnitsUnits' attribute value. OSC/@SU2
     * 
     * @param minimumSizeInAltUnitsUnits
     */
    public void setMinimumSizeInAltUnitsUnits(
            LengthUnitType minimumSizeInAltUnitsUnits) {
        this.minimumSizeInAltUnitsUnits = minimumSizeInAltUnitsUnits;
    }

    /** 
     * Get the 'MaximumSize' attribute value. OSC/@S03
     * 
     * @return value
     */
    public Short getMaximumSize() {
        return maximumSize;
    }

    /** 
     * Set the 'MaximumSize' attribute value. OSC/@S03
     * 
     * @param maximumSize
     */
    public void setMaximumSize(Short maximumSize) {
        this.maximumSize = maximumSize;
    }

    /** 
     * Get the 'MaximumSizeUnits' attribute value. OSC/@SU3
     * 
     * @return value
     */
    public LengthUnitType getMaximumSizeUnits() {
        return maximumSizeUnits;
    }

    /** 
     * Set the 'MaximumSizeUnits' attribute value. OSC/@SU3
     * 
     * @param maximumSizeUnits
     */
    public void setMaximumSizeUnits(LengthUnitType maximumSizeUnits) {
        this.maximumSizeUnits = maximumSizeUnits;
    }

    /** 
     * Get the 'MaximumSizeInAltUnits' attribute value. OSC/@S04
     * 
     * @return value
     */
    public Short getMaximumSizeInAltUnits() {
        return maximumSizeInAltUnits;
    }

    /** 
     * Set the 'MaximumSizeInAltUnits' attribute value. OSC/@S04
     * 
     * @param maximumSizeInAltUnits
     */
    public void setMaximumSizeInAltUnits(Short maximumSizeInAltUnits) {
        this.maximumSizeInAltUnits = maximumSizeInAltUnits;
    }

    /** 
     * Get the 'MaximumSizeInAltUnitsUnits' attribute value. OSC/@SU4
     * 
     * @return value
     */
    public LengthUnitType getMaximumSizeInAltUnitsUnits() {
        return maximumSizeInAltUnitsUnits;
    }

    /** 
     * Set the 'MaximumSizeInAltUnitsUnits' attribute value. OSC/@SU4
     * 
     * @param maximumSizeInAltUnitsUnits
     */
    public void setMaximumSizeInAltUnitsUnits(
            LengthUnitType maximumSizeInAltUnitsUnits) {
        this.maximumSizeInAltUnitsUnits = maximumSizeInAltUnitsUnits;
    }

    /** 
     * Get the 'ReasonForIssuanceCode' attribute value. OSC/@N01
     * 
     * @return value
     */
    public String getReasonForIssuanceCode() {
        return reasonForIssuanceCode;
    }

    /** 
     * Set the 'ReasonForIssuanceCode' attribute value. OSC/@N01
     * 
     * @param reasonForIssuanceCode
     */
    public void setReasonForIssuanceCode(String reasonForIssuanceCode) {
        this.reasonForIssuanceCode = reasonForIssuanceCode;
    }

    /** 
     * Get the 'SpecialServiceRequestCode' attribute value. OSC/@SHL
     * 
     * @return value
     */
    public String getSpecialServiceRequestCode() {
        return specialServiceRequestCode;
    }

    /** 
     * Set the 'SpecialServiceRequestCode' attribute value. OSC/@SHL
     * 
     * @param specialServiceRequestCode
     */
    public void setSpecialServiceRequestCode(String specialServiceRequestCode) {
        this.specialServiceRequestCode = specialServiceRequestCode;
    }

    /** 
     * Get the 'ElectronicMiscellaneousDocumentType' attribute value. OSC/@N02
     * 
     * @return value
     */
    public ElectronicMiscellaneousDocumentType getElectronicMiscellaneousDocumentType() {
        return electronicMiscellaneousDocumentType;
    }

    /** 
     * Set the 'ElectronicMiscellaneousDocumentType' attribute value. OSC/@N02
     * 
     * @param electronicMiscellaneousDocumentType
     */
    public void setElectronicMiscellaneousDocumentType(
            ElectronicMiscellaneousDocumentType electronicMiscellaneousDocumentType) {
        this.electronicMiscellaneousDocumentType = electronicMiscellaneousDocumentType;
    }

    /** 
     * Get the 'BookingMethod' attribute value. OSC/@SFN
     * 
     * @return value
     */
    public String getBookingMethod() {
        return bookingMethod;
    }

    /** 
     * Set the 'BookingMethod' attribute value. OSC/@SFN
     * 
     * @param bookingMethod
     */
    public void setBookingMethod(String bookingMethod) {
        this.bookingMethod = bookingMethod;
    }
}
