
package com.sabre.webservices.sabrexml;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/sabreXML/2003/07" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TaxType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="Amount">
 *       &lt;xs:complexType>
 *         &lt;xs:attribute type="xs:float" name="Amount"/>
 *         &lt;xs:attribute type="xs:integer" name="PointsAmount"/>
 *         &lt;xs:attribute type="xs:string" name="CurrencyCode"/>
 *         &lt;xs:attribute type="xs:float" name="PublishedAmount"/>
 *         &lt;xs:attribute type="xs:string" name="PublishedCurrencyCode"/>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" name="Code"/>
 *   &lt;xs:attribute type="xs:string" name="StationCode"/>
 *   &lt;xs:attribute type="xs:string" name="Description"/>
 *   &lt;xs:attribute type="xs:string" name="NationCode"/>
 *   &lt;xs:attribute type="xs:boolean" name="GoodAndServiceTaxInd"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TaxType implements Serializable
{
    private Float amountAmount;
    private BigInteger amountPointsAmount;
    private String amountCurrencyCode;
    private Float amountPublishedAmount;
    private String amountPublishedCurrencyCode;
    private String code;
    private String stationCode;
    private String description;
    private String nationCode;
    private Boolean goodAndServiceTaxInd;

    /** 
     * Get the 'Amount' attribute value.  TAX/@C6B
     * 
     * @return value
     */
    public Float getAmountAmount() {
        return amountAmount;
    }

    /** 
     * Set the 'Amount' attribute value.  TAX/@C6B
     * 
     * @param amountAmount
     */
    public void setAmountAmount(Float amountAmount) {
        this.amountAmount = amountAmount;
    }

    /** 
     * Get the 'PointsAmount' attribute value.  TAX/@PTS
     * 
     * @return value
     */
    public BigInteger getAmountPointsAmount() {
        return amountPointsAmount;
    }

    /** 
     * Set the 'PointsAmount' attribute value.  TAX/@PTS
     * 
     * @param amountPointsAmount
     */
    public void setAmountPointsAmount(BigInteger amountPointsAmount) {
        this.amountPointsAmount = amountPointsAmount;
    }

    /** 
     * Get the 'CurrencyCode' attribute value.  TAX/@C40
     * 
     * @return value
     */
    public String getAmountCurrencyCode() {
        return amountCurrencyCode;
    }

    /** 
     * Set the 'CurrencyCode' attribute value.  TAX/@C40
     * 
     * @param amountCurrencyCode
     */
    public void setAmountCurrencyCode(String amountCurrencyCode) {
        this.amountCurrencyCode = amountCurrencyCode;
    }

    /** 
     * Get the 'PublishedAmount' attribute value.  TAX/@C6A
     * 
     * @return value
     */
    public Float getAmountPublishedAmount() {
        return amountPublishedAmount;
    }

    /** 
     * Set the 'PublishedAmount' attribute value.  TAX/@C6A
     * 
     * @param amountPublishedAmount
     */
    public void setAmountPublishedAmount(Float amountPublishedAmount) {
        this.amountPublishedAmount = amountPublishedAmount;
    }

    /** 
     * Get the 'PublishedCurrencyCode' attribute value.  TAX/@C41
     * 
     * @return value
     */
    public String getAmountPublishedCurrencyCode() {
        return amountPublishedCurrencyCode;
    }

    /** 
     * Set the 'PublishedCurrencyCode' attribute value.  TAX/@C41
     * 
     * @param amountPublishedCurrencyCode
     */
    public void setAmountPublishedCurrencyCode(
            String amountPublishedCurrencyCode) {
        this.amountPublishedCurrencyCode = amountPublishedCurrencyCode;
    }

    /** 
     * Get the 'Code' attribute value.  TAX/@BC0
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'Code' attribute value.  TAX/@BC0
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'StationCode' attribute value.  TAX/@S05
     * 
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /** 
     * Set the 'StationCode' attribute value.  TAX/@S05
     * 
     * @param stationCode
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /** 
     * Get the 'Description' attribute value.  TAX/@S04
     * 
     * @return value
     */
    public String getDescription() {
        return description;
    }

    /** 
     * Set the 'Description' attribute value.  TAX/@S04
     * 
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /** 
     * Get the 'NationCode' attribute value.  TAX/@A40
     * 
     * @return value
     */
    public String getNationCode() {
        return nationCode;
    }

    /** 
     * Set the 'NationCode' attribute value.  TAX/@A40
     * 
     * @param nationCode
     */
    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    /** 
     * Get the 'GoodAndServiceTaxInd' attribute value.  TAX/@P2Q
     * 
     * @return value
     */
    public Boolean getGoodAndServiceTaxInd() {
        return goodAndServiceTaxInd;
    }

    /** 
     * Set the 'GoodAndServiceTaxInd' attribute value.  TAX/@P2Q
     * 
     * @param goodAndServiceTaxInd
     */
    public void setGoodAndServiceTaxInd(Boolean goodAndServiceTaxInd) {
        this.goodAndServiceTaxInd = goodAndServiceTaxInd;
    }
}
