
package com.sabre.webservices.triprecord;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://webservices.sabre.com/triprecord" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ContactType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:TelephoneType" name="Phone" minOccurs="0"/>
 *     &lt;xs:element type="ns:AddressType" name="Address" minOccurs="0"/>
 *     &lt;xs:element type="ns:EmailType" name="Email" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" use="optional" name="FirstName"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="LastName"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Purpose"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="MediaType"/>
 *   &lt;xs:attributeGroup ref="ns:UpdateAttributes"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ContactType implements Serializable
{
    private TelephoneType phone;
    private AddressType address;
    private EmailType email;
    private String firstName;
    private String lastName;
    private String purpose;
    private String mediaType;
    private UpdateAttributes updateAttributes;

    /** 
     * Get the 'Phone' element value.
     * 
     * @return value
     */
    public TelephoneType getPhone() {
        return phone;
    }

    /** 
     * Set the 'Phone' element value.
     * 
     * @param phone
     */
    public void setPhone(TelephoneType phone) {
        this.phone = phone;
    }

    /** 
     * Get the 'Address' element value.
     * 
     * @return value
     */
    public AddressType getAddress() {
        return address;
    }

    /** 
     * Set the 'Address' element value.
     * 
     * @param address
     */
    public void setAddress(AddressType address) {
        this.address = address;
    }

    /** 
     * Get the 'Email' element value.
     * 
     * @return value
     */
    public EmailType getEmail() {
        return email;
    }

    /** 
     * Set the 'Email' element value.
     * 
     * @param email
     */
    public void setEmail(EmailType email) {
        this.email = email;
    }

    /** 
     * Get the 'FirstName' attribute value.
     * 
     * @return value
     */
    public String getFirstName() {
        return firstName;
    }

    /** 
     * Set the 'FirstName' attribute value.
     * 
     * @param firstName
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /** 
     * Get the 'LastName' attribute value.
     * 
     * @return value
     */
    public String getLastName() {
        return lastName;
    }

    /** 
     * Set the 'LastName' attribute value.
     * 
     * @param lastName
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /** 
     * Get the 'Purpose' attribute value.
     * 
     * @return value
     */
    public String getPurpose() {
        return purpose;
    }

    /** 
     * Set the 'Purpose' attribute value.
     * 
     * @param purpose
     */
    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    /** 
     * Get the 'MediaType' attribute value.
     * 
     * @return value
     */
    public String getMediaType() {
        return mediaType;
    }

    /** 
     * Set the 'MediaType' attribute value.
     * 
     * @param mediaType
     */
    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    /** 
     * Get the 'UpdateAttributes' attributeGroup value.
     * 
     * @return value
     */
    public UpdateAttributes getUpdateAttributes() {
        return updateAttributes;
    }

    /** 
     * Set the 'UpdateAttributes' attributeGroup value.
     * 
     * @param updateAttributes
     */
    public void setUpdateAttributes(UpdateAttributes updateAttributes) {
        this.updateAttributes = updateAttributes;
    }
}
