
package org.ebxml.namespaces.messageheader;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.Element;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.ebxml.org/namespaces/messageHeader" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AckRequested">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:any minOccurs="0" maxOccurs="unbounded" processContents="lax" namespace="##other"/>
 *     &lt;/xs:sequence>
 *     &lt;xs:attributeGroup ref="ns:headerExtension.grp"/>
 *     &lt;xs:attribute ref="soap:actor">
 *       &lt;!-- Reference to inner class Actor -->
 *     &lt;/xs:attribute>
 *     &lt;xs:attribute type="xs:boolean" use="required" name="signed"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class AckRequested implements Serializable
{
    private List<Element> anyList = new ArrayList<Element>();
    private HeaderExtensionGrp headerExtensionGrp;
    private Actor actor;
    private boolean signed;

    /** 
     * Get the list of any items.
     * 
     * @return list
     */
    public List<Element> getAnyList() {
        return anyList;
    }

    /** 
     * Set the list of any items.
     * 
     * @param list
     */
    public void setAnyList(List<Element> list) {
        anyList = list;
    }

    /** 
     * Get the 'headerExtension.grp' attributeGroup value.
     * 
     * @return value
     */
    public HeaderExtensionGrp getHeaderExtensionGrp() {
        return headerExtensionGrp;
    }

    /** 
     * Set the 'headerExtension.grp' attributeGroup value.
     * 
     * @param headerExtensionGrp
     */
    public void setHeaderExtensionGrp(HeaderExtensionGrp headerExtensionGrp) {
        this.headerExtensionGrp = headerExtensionGrp;
    }

    /** 
     * Get the 'actor' attribute value.
     * 
     * @return value
     */
    public Actor getActor() {
        return actor;
    }

    /** 
     * Set the 'actor' attribute value.
     * 
     * @param actor
     */
    public void setActor(Actor actor) {
        this.actor = actor;
    }

    /** 
     * Get the 'signed' attribute value.
     * 
     * @return value
     */
    public boolean isSigned() {
        return signed;
    }

    /** 
     * Set the 'signed' attribute value.
     * 
     * @param signed
     */
    public void setSigned(boolean signed) {
        this.signed = signed;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:attribute xmlns:ns="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xs="http://www.w3.org/2001/XMLSchema" ref="ns:actor"/>
     * 
     * &lt;xs:attribute xmlns:ns="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="xs:string" name="actor"/>
     * </pre>
     */
    public static class Actor implements Serializable
    {
        private String actor;

        /** 
         * Get the 'actor' attribute value.
         * 
         * @return value
         */
        public String getActor() {
            return actor;
        }

        /** 
         * Set the 'actor' attribute value.
         * 
         * @param actor
         */
        public void setActor(String actor) {
            this.actor = actor;
        }
    }
}
