
package org.ebxml.namespaces.messageheader;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.Element;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.ebxml.org/namespaces/messageHeader" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Manifest">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:Reference" maxOccurs="unbounded"/>
 *       &lt;xs:any minOccurs="0" maxOccurs="unbounded" processContents="lax" namespace="##other"/>
 *     &lt;/xs:sequence>
 *     &lt;xs:attributeGroup ref="ns:bodyExtension.grp"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class Manifest implements Serializable
{
    private List<Reference> referenceList = new ArrayList<Reference>();
    private List<Element> anyList = new ArrayList<Element>();
    private BodyExtensionGrp bodyExtensionGrp;

    /** 
     * Get the list of 'Reference' element items.
     * 
     * @return list
     */
    public List<Reference> getReferenceList() {
        return referenceList;
    }

    /** 
     * Set the list of 'Reference' element items.
     * 
     * @param list
     */
    public void setReferenceList(List<Reference> list) {
        referenceList = list;
    }

    /** 
     * Get the list of any items.
     * 
     * @return list
     */
    public List<Element> getAnyList() {
        return anyList;
    }

    /** 
     * Set the list of any items.
     * 
     * @param list
     */
    public void setAnyList(List<Element> list) {
        anyList = list;
    }

    /** 
     * Get the 'bodyExtension.grp' attributeGroup value.
     * 
     * @return value
     */
    public BodyExtensionGrp getBodyExtensionGrp() {
        return bodyExtensionGrp;
    }

    /** 
     * Set the 'bodyExtension.grp' attributeGroup value.
     * 
     * @param bodyExtensionGrp
     */
    public void setBodyExtensionGrp(BodyExtensionGrp bodyExtensionGrp) {
        this.bodyExtensionGrp = bodyExtensionGrp;
    }
}
