
package org.ebxml.namespaces.messageheader;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.Element;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.ebxml.org/namespaces/messageHeader" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Error">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:Description" minOccurs="0"/>
 *       &lt;xs:any minOccurs="0" maxOccurs="unbounded" processContents="lax" namespace="##other"/>
 *     &lt;/xs:sequence>
 *     &lt;xs:attribute ref="ns:id">
 *       &lt;!-- Reference to inner class Id -->
 *     &lt;/xs:attribute>
 *     &lt;xs:attribute type="xs:string" default="urn:oasis:names:tc:ebxml-msg:service:errors" name="codeContext"/>
 *     &lt;xs:attribute type="xs:string" use="required" name="errorCode"/>
 *     &lt;xs:attribute type="ns:severity.type" use="required" name="severity"/>
 *     &lt;xs:attribute type="xs:string" name="location"/>
 *     &lt;xs:anyAttribute processContents="lax" namespace="##other"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class _Error implements Serializable
{
    private Description description;
    private List<Element> anyList = new ArrayList<Element>();
    private Id id;
    private String codeContext;
    private String errorCode;
    private SeverityType severity;
    private String location;

    /** 
     * Get the 'Description' element value.
     * 
     * @return value
     */
    public Description getDescription() {
        return description;
    }

    /** 
     * Set the 'Description' element value.
     * 
     * @param description
     */
    public void setDescription(Description description) {
        this.description = description;
    }

    /** 
     * Get the list of any items.
     * 
     * @return list
     */
    public List<Element> getAnyList() {
        return anyList;
    }

    /** 
     * Set the list of any items.
     * 
     * @param list
     */
    public void setAnyList(List<Element> list) {
        anyList = list;
    }

    /** 
     * Get the 'id' attribute value.
     * 
     * @return value
     */
    public Id getId() {
        return id;
    }

    /** 
     * Set the 'id' attribute value.
     * 
     * @param id
     */
    public void setId(Id id) {
        this.id = id;
    }

    /** 
     * Get the 'codeContext' attribute value.
     * 
     * @return value
     */
    public String getCodeContext() {
        return codeContext;
    }

    /** 
     * Set the 'codeContext' attribute value.
     * 
     * @param codeContext
     */
    public void setCodeContext(String codeContext) {
        this.codeContext = codeContext;
    }

    /** 
     * Get the 'errorCode' attribute value.
     * 
     * @return value
     */
    public String getErrorCode() {
        return errorCode;
    }

    /** 
     * Set the 'errorCode' attribute value.
     * 
     * @param errorCode
     */
    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    /** 
     * Get the 'severity' attribute value.
     * 
     * @return value
     */
    public SeverityType getSeverity() {
        return severity;
    }

    /** 
     * Set the 'severity' attribute value.
     * 
     * @param severity
     */
    public void setSeverity(SeverityType severity) {
        this.severity = severity;
    }

    /** 
     * Get the 'location' attribute value.
     * 
     * @return value
     */
    public String getLocation() {
        return location;
    }

    /** 
     * Set the 'location' attribute value.
     * 
     * @param location
     */
    public void setLocation(String location) {
        this.location = location;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:attribute xmlns:ns="http://www.ebxml.org/namespaces/messageHeader" xmlns:xs="http://www.w3.org/2001/XMLSchema" ref="ns:id"/>
     * 
     * &lt;xs:attribute xmlns:ns="http://www.ebxml.org/namespaces/messageHeader" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="xs:string" name="id"/>
     * </pre>
     */
    public static class Id implements Serializable
    {
        private String id;

        /** 
         * Get the 'id' attribute value.
         * 
         * @return value
         */
        public String getId() {
            return id;
        }

        /** 
         * Set the 'id' attribute value.
         * 
         * @param id
         */
        public void setId(String id) {
            this.id = id;
        }
    }
}
